// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#ifndef _APPLICATION_GLADE_HH
#  define _APPLICATION_GLADE_HH

#include <gnome--/app.h>
#include <gtk--/tooltips.h>
#include <gtk--/notebook.h>
#include <libgnomeui/gtkpixmapmenuitem.h>
#include <gnome--/clock.h>
#include <gnome--/canvas.h>
#include "virtual_sky_page.hh"
#include "observatory_page.hh"
#include "satellite_map_page.hh"

class application_glade : public Gnome::App
{   
        
protected:
        
        application_glade();
        
        ~application_glade();
	
	Gtk::Notebook * m_mdi;
	
private:
	void install_toolbar();
	void install_menu ();
	void install_pixmaps();

        Gtk::Tooltips _tooltips;
        class Gtk::Clock *clock;
	
public:
	Gnome::Canvas *legend;
};
#endif
