// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood


#ifndef _ASTRO_OBJECT_HH
#  define _ASTRO_OBJECT_HH

#define ASTRO_ALL	0
#define ASTRO_BSC	1

#include <glib.h>

class astro_object
{   
	public:
		struct astro_data
		{
			gdouble RA;		// Right ascension
			gdouble DEC;		// Declination
			gfloat Vmag;		// Visual Magnitude
		} astro;
		
		astro_object * head;	// linked list pointers
		astro_object * tail;
		
		int obj_type;
		
		virtual int get_size () = 0;	// return object size in bytes
		
		astro_object();
		~astro_object();
};

#endif
		
