// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "ccd_capture_image_dialog.hh"
#include <vector>
#include <libgnomeui/gnome-stock.h>
#include <gtk--/button.h>
#include <gtk--/buttonbox.h>
#include <gtk--/entry.h>
#include <gtk--/combo.h>
#include <gtk--/label.h>
#include <gtk--/table.h>
#include <gtk--/frame.h>
#include <gtk--/spinbutton.h>
#include <gtk--/adjustment.h>
#include <gtk--/box.h>

ccd_capture_image_dialog_glade::ccd_capture_image_dialog_glade(
) : Gnome::Dialog(_("CCD Capture Image"), vector<string>())
{   
   
   Gnome::Dialog *ccd_capture_image_dialog = this;
   ccd_capture_image_dialog->append_button(GNOME_STOCK_BUTTON_OK);
   ccd_capture_image_dialog->append_button(GNOME_STOCK_BUTTON_CANCEL);
   
   Gtk::Combo *combo17 = manage(new class Gtk::Combo());
   Gtk::Label *label319 = manage(new class Gtk::Label(_("Resolution")));
   Gtk::Combo *combo18 = manage(new class Gtk::Combo());
   Gtk::Label *label320 = manage(new class Gtk::Label(_("Depth")));
   Gtk::Table *table52 = manage(new class Gtk::Table(2, 2, true));
   Gtk::Frame *frame65 = manage(new class Gtk::Frame(_("CCD Mode")));
   Gtk::Adjustment *spinbutton25_adj = manage(new class Gtk::Adjustment(5, 0, 100, 1, 10, 10));
   Gtk::SpinButton *spinbutton25 = manage(new class Gtk::SpinButton(*spinbutton25_adj, 1, 0));
   Gtk::Adjustment *spinbutton26_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *spinbutton26 = manage(new class Gtk::SpinButton(*spinbutton26_adj, 1, 0));
   Gtk::Label *label321 = manage(new class Gtk::Label(_("No of Integrations")));
   Gtk::Label *label322 = manage(new class Gtk::Label(_("Integration Length (secs)")));
   Gtk::Table *table53 = manage(new class Gtk::Table(2, 2, true));
   Gtk::Frame *frame66 = manage(new class Gtk::Frame(_("Integrations")));
   Gtk::VBox *vbox55 = manage(new class Gtk::VBox(false, 0));
   ccd_capture_image_dialog->get_button(0)->set_name("ok_button");
   ccd_capture_image_dialog->get_button(1)->set_name("cancel_button");
   combo17->get_entry()->set_name("combo-entry12");
   combo17->get_entry()->set_editable(true);
   combo17->get_entry()->set_text(_("400 x 300"));
   combo17->set_name("combo17");
   {   
      vector <string> items;
      items.push_back (N_("320 x 240"));
      items.push_back (N_("400 x 300"));
      items.push_back (N_("640 x 480"));
      combo17->set_popdown_strings(items);
   }
   combo17->get_entry()->set_name("combo-entry12");
   combo17->get_entry()->set_editable(true);
   combo17->get_entry()->set_text(_("400 x 300"));
   label319->set_name("label319");
   label319->set_alignment(0.5, 0.5);
   label319->set_padding(0, 0);
   combo18->get_entry()->set_name("combo-entry13");
   combo18->get_entry()->set_editable(true);
   combo18->get_entry()->set_text(_("Greyscale 12 bit"));
   combo18->set_name("combo18");
   {   
      vector <string> items;
      items.push_back(N_("Greyscale  8 bit"));
      items.push_back(N_("Greyscale 12 bit"));
      items.push_back(N_("etc."));
      items.push_back(N_("Color 444"));
      items.push_back(N_("Color 555"));
      items.push_back(N_("Color 888 :)"));
      combo18->set_popdown_strings(items);
   }
   combo18->get_entry()->set_name("combo-entry13");
   combo18->get_entry()->set_editable(true);
   combo18->get_entry()->set_text(_("Greyscale 12 bit"));
   label320->set_name("label320");
   label320->set_alignment(0.5, 0.5);
   label320->set_padding(0, 0);
   table52->set_name("table52");
   table52->set_border_width(2);
   table52->set_row_spacings(2);
   table52->set_col_spacings(2);
   table52->attach(*combo17, 1, 2, 0, 1, GTK_EXPAND, 0, 0, 0);
   table52->attach(*label319, 0, 1, 0, 1, GTK_EXPAND, 0, 0, 0);
   table52->attach(*combo18, 1, 2, 1, 2, 0, 0, 0, 0);
   table52->attach(*label320, 0, 1, 1, 2, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   frame65->set_name("frame65");
   frame65->set_border_width(2);
   frame65->set_label_align(0, 0);
   frame65->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame65->add(*table52);
   spinbutton25->set_name("spinbutton25");
   spinbutton25->set_editable(true);
   spinbutton26->set_name("spinbutton26");
   spinbutton26->set_editable(true);
   label321->set_name("label321");
   label321->set_alignment(0.5, 0.5);
   label321->set_padding(0, 0);
   label322->set_name("label322");
   label322->set_alignment(0.5, 0.5);
   label322->set_padding(0, 0);
   table53->set_name("table53");
   table53->set_border_width(2);
   table53->set_row_spacings(2);
   table53->set_col_spacings(2);
   table53->attach(*spinbutton25, 1, 2, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table53->attach(*spinbutton26, 1, 2, 1, 2, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table53->attach(*label321, 0, 1, 0, 1, 0, 0, 0, 0);
   table53->attach(*label322, 0, 1, 1, 2, GTK_EXPAND, 0, 0, 0);
   frame66->set_name("frame66");
   frame66->set_label_align(0, 0);
   frame66->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame66->add(*table53);
   vbox55->set_name("vbox55");
   vbox55->pack_start(*frame65);
   vbox55->pack_start(*frame66);
   ccd_capture_image_dialog->get_vbox()->set_name("dialog-vbox9");
   ccd_capture_image_dialog->get_vbox()->set_spacing(8);
   ccd_capture_image_dialog->get_vbox()->pack_start(*vbox55);
   ccd_capture_image_dialog->set_name("ccd_capture_image_dialog");
   ccd_capture_image_dialog->set_border_width(2);
   ccd_capture_image_dialog->set_title(_("CCD Capture Image"));
   ccd_capture_image_dialog->set_policy(false, false, false);
   
   Gtk::HButtonBox *dialog_action_area9 = Gtk::wrap((GtkHButtonBox*)GNOME_DIALOG(ccd_capture_image_dialog->gtkobj())->action_area);
   dialog_action_area9->set_name("dialog-action_area9");
   dialog_action_area9->set_spacing(8);
   combo17->show();
   label319->show();
   combo18->show();
   label320->show();
   table52->show();
   frame65->show();
   spinbutton25->show();
   spinbutton26->show();
   label321->show();
   label322->show();
   table53->show();
   frame66->show();
   vbox55->show();
   ccd_capture_image_dialog->show();
   ccd_capture_image_dialog->get_button(0)->clicked.connect(SigC::slot(static_cast<class ccd_capture_image_dialog*>(this), &ccd_capture_image_dialog::on_ok_button_clicked));
   ccd_capture_image_dialog->get_button(1)->clicked.connect(SigC::slot(static_cast<class ccd_capture_image_dialog*>(this), &ccd_capture_image_dialog::on_cancel_button_clicked));
}

ccd_capture_image_dialog_glade::~ccd_capture_image_dialog_glade()
{   
}
