// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "database_ephemeris_druid.hh"
#include <gnome--/druid-page-start.h>
#include <gtk--/radiobutton.h>
#include <gtk--/box.h>
#include <gtk--/frame.h>
#include <gtk--/label.h>
#include <gtk--/entry.h>
#include <gtk--/text.h>
#include <gtk--/scrolledwindow.h>
#include <gtk--/button.h>
#include <gtk--/notebook.h>
#include <gnome--/druid-page-standard.h>
#include <gtk--/calendar.h>
#include <gtk--/table.h>
#include <gtk--/spinbutton.h>
#include <gtk--/adjustment.h>
#include <gtk--/combo.h>
#include <gnome--/druid-page-finish.h>
#include <gnome--/druid.h>
#include <gnome--/dialog.h>
#include <vector>
#include <string>

database_ephemeris_druid_glade::database_ephemeris_druid_glade(
) : Gnome::Dialog()
{   
   
   Gnome::Dialog *database_ephemeris_druid = this;
   Gnome::DruidPageStart *druidpagestart = manage(new class Gnome::DruidPageStart());
   Gtk::RadioButton::Group _RadioBGroup_;
   Gtk::RadioButton *asteroid_button = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Asteroid")));
   Gtk::RadioButton *comet_button = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Comet")));
   Gtk::RadioButton *other_button = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Other")));
   Gtk::HBox *hbox118 = manage(new class Gtk::HBox(true, 0));
   Gtk::Frame *frame109 = manage(new class Gtk::Frame(_("Object Type")));
   Gtk::Label *label523 = manage(new class Gtk::Label(_("Name")));
   Gtk::Entry *name_entry = manage(new class Gtk::Entry());
   Gtk::HBox *hbox119 = manage(new class Gtk::HBox(false, 2));
   Gtk::Text *text11 = manage(new class Gtk::Text());
   Gtk::ScrolledWindow *list_window = manage(new class Gtk::ScrolledWindow());
   Gtk::VBox *vbox92 = manage(new class Gtk::VBox(false, 0));
   Gtk::Label *label521 = manage(new class Gtk::Label(_("List")));
   Gtk::Label *label524 = manage(new class Gtk::Label(_("Name")));
   Gtk::Entry *search_entry = manage(new class Gtk::Entry());
   Gtk::Button *search_button = manage(new class Gtk::Button(_("Search")));
   Gtk::HBox *hbox120 = manage(new class Gtk::HBox(false, 2));
   Gtk::Text *text12 = manage(new class Gtk::Text());
   Gtk::ScrolledWindow *search_window = manage(new class Gtk::ScrolledWindow());
   Gtk::VBox *vbox93 = manage(new class Gtk::VBox(false, 0));
   Gtk::Label *label522 = manage(new class Gtk::Label(_("Search")));
   Gtk::Notebook *notebook15 = manage(new class Gtk::Notebook());
   Gtk::Frame *frame110 = manage(new class Gtk::Frame(_("Object ")));
   Gtk::VBox *object_parameters = manage(new class Gtk::VBox(false, 0));
   Gnome::DruidPageStandard *ephemeris_database_page = manage(new class Gnome::DruidPageStandard());
   Gtk::Calendar *calendar14 = manage(new class Gtk::Calendar());
   Gtk::Calendar *calendar15 = manage(new class Gtk::Calendar());
   Gtk::Label *label518 = manage(new class Gtk::Label(_("From")));
   Gtk::Label *label519 = manage(new class Gtk::Label(_("To")));
   Gtk::Table *table79 = manage(new class Gtk::Table(2, 2, false));
   Gtk::Frame *frame107 = manage(new class Gtk::Frame(_("Period")));
   Gtk::Label *label520 = manage(new class Gtk::Label(_("Plot Frequency")));
   Gtk::Adjustment *plot_spin_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *plot_spin = manage(new class Gtk::SpinButton(*plot_spin_adj, 1, 0));
   Gtk::Combo *plot_combo = manage(new class Gtk::Combo());
   Gtk::HBox *hbox117 = manage(new class Gtk::HBox(false, 30));
   Gtk::Frame *frame108 = manage(new class Gtk::Frame(_("Frequency")));
   Gtk::VBox *ephemeris_date = manage(new class Gtk::VBox(false, 0));
   Gnome::DruidPageStandard *ephemeris_date_page = manage(new class Gnome::DruidPageStandard());
   Gnome::DruidPageFinish *druidpagefinish = manage(new class Gnome::DruidPageFinish());
   Gnome::Druid *ephemeris_druid = manage(new class Gnome::Druid());
   druidpagestart->set_name("druidpagestart");
   druidpagestart->set_title_color(Gdk_Color("#ffffff"));
   druidpagestart->set_bg_color(Gdk_Color("#191970"));
   druidpagestart->set_logo_bg_color(Gdk_Color("#ffffff"));
   druidpagestart->set_title(_("Database Object Ephemeris Druid"));
   druidpagestart->set_text_color(Gdk_Color("#000000"));
   druidpagestart->set_textbox_color(Gdk_Color("#ffffff"));
   asteroid_button->set_name("asteroid_button");
   comet_button->set_name("comet_button");
   other_button->set_name("other_button");
   hbox118->set_name("hbox118");
   hbox118->pack_start(*asteroid_button, false, false, 0);
   hbox118->pack_start(*comet_button, false, false, 0);
   hbox118->pack_start(*other_button, false, false, 0);
   frame109->set_name("frame109");
   frame109->set_border_width(5);
   frame109->set_label_align(0, 0);
   frame109->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame109->add(*hbox118);
   label523->set_name("label523");
   label523->set_alignment(0.5, 0.5);
   label523->set_padding(0, 0);
   name_entry->set_name("name_entry");
   name_entry->set_editable(true);
   hbox119->set_name("hbox119");
   hbox119->set_border_width(2);
   hbox119->pack_start(*label523, false, false, 0);
   hbox119->pack_start(*name_entry, false, false, 0);
   text11->set_name("text11");
   text11->set_editable(false);
   text11->set_word_wrap(false);
   text11->set_point(0);
   list_window->set_name("list_window");
   list_window->set_border_width(2);
   list_window->set_policy(GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);
   list_window->add(*text11);
   vbox92->set_name("vbox92");
   vbox92->pack_start(*hbox119);
   vbox92->pack_start(*list_window);
   label521->set_name("label521");
   label521->set_alignment(0.5, 0.5);
   label521->set_padding(0, 0);
   label524->set_name("label524");
   label524->set_alignment(0.5, 0.5);
   label524->set_padding(0, 0);
   search_entry->set_name("search_entry");
   search_entry->set_editable(true);
   search_button->set_name("search_button");
   search_button->set_border_width(2);
   hbox120->set_name("hbox120");
   hbox120->set_border_width(2);
   hbox120->pack_start(*label524, false, false, 0);
   hbox120->pack_start(*search_entry, false, false, 0);
   hbox120->pack_start(*search_button, false, false, 0);
   text12->set_name("text12");
   text12->set_editable(false);
   text12->set_word_wrap(false);
   text12->set_point(0);
   search_window->set_name("search_window");
   search_window->set_border_width(2);
   search_window->set_policy(GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);
   search_window->add(*text12);
   vbox93->set_name("vbox93");
   vbox93->pack_start(*hbox120);
   vbox93->pack_start(*search_window);
   label522->set_name("label522");
   label522->set_alignment(0.5, 0.5);
   label522->set_padding(0, 0);
   notebook15->set_name("notebook15");
   notebook15->set_show_tabs(true);
   notebook15->set_tab_border(3);
   notebook15->pages().push_back(Gtk::Notebook_Helpers::TabElem(*vbox92, *label521));
   notebook15->pages().push_back(Gtk::Notebook_Helpers::TabElem(*vbox93, *label522));
   frame110->set_name("frame110");
   frame110->set_border_width(5);
   frame110->set_label_align(0, 0);
   frame110->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame110->add(*notebook15);
   object_parameters->set_name("object_parameters");
   object_parameters->pack_start(*frame109);
   object_parameters->pack_start(*frame110);
   ephemeris_database_page->set_name("ephemeris_database_page");
   ephemeris_database_page->set_title_color(Gdk_Color("#ffffff"));
   ephemeris_database_page->set_bg_color(Gdk_Color("#191970"));
   ephemeris_database_page->set_logo_bg_color(Gdk_Color("#ffffff"));
   ephemeris_database_page->set_title(_("Database Object Parameters"));
   
   Gtk::VBox *druid_vbox23 = Gtk::wrap((GtkVBox*)GNOME_DRUID_PAGE_STANDARD(ephemeris_database_page->gtkobj())->vbox);
   druid_vbox23->set_name("druid-vbox23");
   druid_vbox23->pack_start(*object_parameters);
   calendar14->set_name("calendar14");
   calendar14->display_options((GtkCalendarDisplayOptions)(GTK_CALENDAR_SHOW_HEADING|GTK_CALENDAR_SHOW_DAY_NAMES));
   calendar15->set_name("calendar15");
   calendar15->display_options((GtkCalendarDisplayOptions)(GTK_CALENDAR_SHOW_HEADING|GTK_CALENDAR_SHOW_DAY_NAMES));
   label518->set_name("label518");
   label518->set_alignment(0.5, 0.5);
   label518->set_padding(0, 0);
   label519->set_name("label519");
   label519->set_alignment(0.5, 0.5);
   label519->set_padding(0, 0);
   table79->set_name("table79");
   table79->set_row_spacings(3);
   table79->set_col_spacings(18);
   table79->attach(*calendar14, 0, 1, 1, 2, GTK_EXPAND|GTK_FILL, GTK_EXPAND|GTK_FILL, 0, 0);
   table79->attach(*calendar15, 1, 2, 1, 2, GTK_EXPAND|GTK_FILL, GTK_FILL, 0, 0);
   table79->attach(*label518, 0, 1, 0, 1, 0, 0, 0, 0);
   table79->attach(*label519, 1, 2, 0, 1, 0, 0, 0, 0);
   frame107->set_name("frame107");
   frame107->set_border_width(5);
   frame107->set_label_align(0, 0);
   frame107->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame107->add(*table79);
   label520->set_name("label520");
   label520->set_alignment(0.5, 0.5);
   label520->set_padding(0, 0);
   plot_spin->set_name("plot_spin");
   plot_spin->set_editable(true);
   plot_combo->get_entry()->set_name("plot_scale_entry");
   plot_combo->get_entry()->set_editable(true);
   plot_combo->get_entry()->set_text(_("Minutes"));
   plot_combo->set_name("plot_combo");
   {   
      vector <string> items;
      items.push_back (N_("Minutes"));
      items.push_back (N_("Hours"));
      items.push_back (N_("Days"));
      items.push_back (N_("Weeks"));
      items.push_back (N_("Years"));
      plot_combo->set_popdown_strings(items);
   }
   plot_combo->get_entry()->set_name("plot_scale_entry");
   plot_combo->get_entry()->set_editable(true);
   plot_combo->get_entry()->set_text(_("Minutes"));
   hbox117->set_name("hbox117");
   hbox117->set_border_width(2);
   hbox117->pack_start(*label520, false, false, 0);
   hbox117->pack_start(*plot_spin);
   hbox117->pack_start(*plot_combo);
   frame108->set_name("frame108");
   frame108->set_border_width(5);
   frame108->set_label_align(0, 0);
   frame108->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame108->add(*hbox117);
   ephemeris_date->set_name("ephemeris_date");
   ephemeris_date->pack_start(*frame107);
   ephemeris_date->pack_start(*frame108);
   ephemeris_date_page->set_name("ephemeris_date_page");
   ephemeris_date_page->set_title_color(Gdk_Color("#ffffff"));
   ephemeris_date_page->set_bg_color(Gdk_Color("#191970"));
   ephemeris_date_page->set_logo_bg_color(Gdk_Color("#ffffff"));
   ephemeris_date_page->set_title(_("Ephemeris Period"));
   
   Gtk::VBox *druid_vbox24 = Gtk::wrap((GtkVBox*)GNOME_DRUID_PAGE_STANDARD(ephemeris_date_page->gtkobj())->vbox);
   druid_vbox24->set_name("druid-vbox24");
   druid_vbox24->pack_start(*ephemeris_date);
   druidpagefinish->set_name("druidpagefinish");
   druidpagefinish->set_title_color(Gdk_Color("#ffffff"));
   druidpagefinish->set_bg_color(Gdk_Color("#191970"));
   druidpagefinish->set_logo_bg_color(Gdk_Color("#ffffff"));
   druidpagefinish->set_title(_("Create Ephemeris"));
   druidpagefinish->set_text_color(Gdk_Color("#000000"));
   druidpagefinish->set_textbox_color(Gdk_Color("#ffffff"));
   ephemeris_druid->set_name("ephemeris_druid");
   ephemeris_druid->pages().push_back(*druidpagestart);
   ephemeris_druid->pages().push_back(*ephemeris_database_page);
   ephemeris_druid->pages().push_back(*ephemeris_date_page);
   ephemeris_druid->pages().push_back(*druidpagefinish);
   database_ephemeris_druid->set_name("database_ephemeris_druid");
   database_ephemeris_druid->set_title(_("Database Object Druid"));
   database_ephemeris_druid->get_vbox()->pack_start(*ephemeris_druid);
   druidpagestart->show();
   asteroid_button->show();
   comet_button->show();
   other_button->show();
   hbox118->show();
   frame109->show();
   label523->show();
   name_entry->show();
   hbox119->show();
   text11->show();
   list_window->show();
   vbox92->show();
   label521->show();
   label524->show();
   search_entry->show();
   search_button->show();
   hbox120->show();
   text12->show();
   search_window->show();
   vbox93->show();
   label522->show();
   notebook15->show();
   frame110->show();
   object_parameters->show();
   ephemeris_database_page->show();
   calendar14->show();
   calendar15->show();
   label518->show();
   label519->show();
   table79->show();
   frame107->show();
   label520->show();
   plot_spin->show();
   plot_combo->show();
   hbox117->show();
   frame108->show();
   ephemeris_date->show();
   ephemeris_date_page->show();
   druidpagefinish->show();
   ephemeris_druid->show();
   database_ephemeris_druid->show();
//   druidpagestart->next.connect(SigC::slot(static_cast<class database_ephemeris_druid*>(this), &database_ephemeris_druid::on_druidpagestart_next));
   asteroid_button->toggled.connect(SigC::slot(static_cast<class database_ephemeris_druid*>(this), &database_ephemeris_druid::on_asteroid_button_toggled));
   other_button->toggled.connect(SigC::slot(static_cast<class database_ephemeris_druid*>(this), &database_ephemeris_druid::on_other_button_toggled));
//   ephemeris_database_page->next.connect(SigC::slot(static_cast<class database_ephemeris_druid*>(this), &database_ephemeris_druid::on_ephemeris_database_page_next));
//   ephemeris_database_page->back.connect(SigC::slot(static_cast<class database_ephemeris_druid*>(this), &database_ephemeris_druid::on_ephemeris_database_page_back));
   calendar14->day_selected.connect(SigC::slot(static_cast<class database_ephemeris_druid*>(this), &database_ephemeris_druid::on_calendar14_day_selected));
   calendar15->day_selected.connect(SigC::slot(static_cast<class database_ephemeris_druid*>(this), &database_ephemeris_druid::on_calendar15_day_selected));
   plot_spin->changed.connect(SigC::slot(static_cast<class database_ephemeris_druid*>(this), &database_ephemeris_druid::on_plot_spin_changed));
   plot_combo->get_entry()->changed.connect(SigC::slot(static_cast<class database_ephemeris_druid*>(this), &database_ephemeris_druid::on_plot_scale_entry_changed));
//   ephemeris_date_page->next.connect(SigC::slot(static_cast<class database_ephemeris_druid*>(this), &database_ephemeris_druid::on_ephemeris_date_page_next));
//   ephemeris_date_page->back.connect(SigC::slot(static_cast<class database_ephemeris_druid*>(this), &database_ephemeris_druid::on_ephemeris_date_page_back));
   druidpagefinish->finish.connect(SigC::slot(static_cast<class database_ephemeris_druid*>(this), &database_ephemeris_druid::on_druidpagefinish_finish));
   ephemeris_druid->cancel.connect(SigC::slot(static_cast<class database_ephemeris_druid*>(this), &database_ephemeris_druid::on_ephemeris_druid_cancel));
}



database_ephemeris_druid_glade::~database_ephemeris_druid_glade()
{   
}
