// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "ephemeris_edit_dialog.hh"
#include <vector>
#include <gtk--/entry.h>
#include <gtk--/combo.h>
#include <gtk--/label.h>
#include <gtk--/table.h>
#include <gtk--/box.h>
#include <gtk--/frame.h>
#include <gtk--/calendar.h>
#include <gtk--/spinbutton.h>
#include <gtk--/adjustment.h>
#include <gtk--/notebook.h>

ephemeris_edit_dialog_glade::ephemeris_edit_dialog_glade(
)
{   
   
   Gnome::PropertyBox *ephemeris_edit_dialog = this;
   Gtk::Combo *object_type_combo = manage(new class Gtk::Combo());
   Gtk::Label *label503 = manage(new class Gtk::Label(_("Category")));
   Gtk::Label *label502 = manage(new class Gtk::Label(_("Name")));
   Gtk::Entry *object_name_entry = manage(new class Gtk::Entry());
   Gtk::Table *table75 = manage(new class Gtk::Table(1, 4, false));
   Gtk::VBox *vbox85 = manage(new class Gtk::VBox(false, 0));
   Gtk::Frame *frame99 = manage(new class Gtk::Frame(_("Name")));
   Gtk::Label *label490 = manage(new class Gtk::Label(_("Semi-Major Axis")));
   Gtk::Label *label491 = manage(new class Gtk::Label(_("Eccentricity")));
   Gtk::Entry *semi_major_entry = manage(new class Gtk::Entry());
   Gtk::Entry *inclination_entry = manage(new class Gtk::Entry());
   Gtk::Entry *long_perihelion_entry = manage(new class Gtk::Entry());
   Gtk::Label *label492 = manage(new class Gtk::Label(_("Inclination")));
   Gtk::Label *label493 = manage(new class Gtk::Label(_("Long. Perihelion")));
   Gtk::Entry *long_asc_node_entry = manage(new class Gtk::Entry());
   Gtk::Entry *eccentricity_entry = manage(new class Gtk::Entry());
   Gtk::Entry *mean_long_entry = manage(new class Gtk::Entry());
   Gtk::Label *label496 = manage(new class Gtk::Label(_("Long. Asc. Node")));
   Gtk::Label *label497 = manage(new class Gtk::Label(_("Mean Longitude")));
   Gtk::Table *table74 = manage(new class Gtk::Table(3, 4, false));
   Gtk::VBox *vbox84 = manage(new class Gtk::VBox(false, 0));
   Gtk::Frame *frame100 = manage(new class Gtk::Frame(_("Orbital Elements")));
   Gtk::VBox *orbital_elements = manage(new class Gtk::VBox(false, 2));
   Gtk::Label *label415 = manage(new class Gtk::Label(_("Orbital Elements")));
   Gtk::Calendar *period_from_calendar = manage(new class Gtk::Calendar());
   Gtk::Calendar *period_to_calendar = manage(new class Gtk::Calendar());
   Gtk::Label *label425 = manage(new class Gtk::Label(_("From")));
   Gtk::Label *label426 = manage(new class Gtk::Label(_("To")));
   Gtk::Table *table65 = manage(new class Gtk::Table(2, 2, false));
   Gtk::Frame *frame101 = manage(new class Gtk::Frame(_("Period")));
   Gtk::Label *label427 = manage(new class Gtk::Label(_("Plot Frequency")));
   Gtk::Adjustment *plot_freq_spin_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *plot_freq_spin = manage(new class Gtk::SpinButton(*plot_freq_spin_adj, 1, 0));
   Gtk::Combo *plot_freq_combo = manage(new class Gtk::Combo());
   Gtk::HBox *hbox95 = manage(new class Gtk::HBox(false, 30));
   Gtk::Frame *frame102 = manage(new class Gtk::Frame(_("Frequency")));
   Gtk::VBox *time_frame = manage(new class Gtk::VBox(false, 0));
   Gtk::Label *label416 = manage(new class Gtk::Label(_("Time Frame")));
   object_type_combo->get_entry()->set_name("object_type_entry");
   object_type_combo->get_entry()->set_editable(true);
   object_type_combo->get_entry()->set_text(_("Comet"));
   object_type_combo->set_name("object_type_combo");
   {   
      vector <string> items;
      items.push_back (N_("Asteroid"));
      items.push_back ( N_("Comet"));
      items.push_back (N_("Other"));
      object_type_combo->set_popdown_strings(items);
   }
   object_type_combo->get_entry()->set_name("object_type_entry");
   object_type_combo->get_entry()->set_editable(true);
   object_type_combo->get_entry()->set_text(_("Comet"));
   label503->set_name("label503");
   label503->set_alignment(0.5, 0.5);
   label503->set_padding(0, 0);
   label502->set_name("label502");
   label502->set_alignment(0.5, 0.5);
   label502->set_padding(0, 0);
   object_name_entry->set_name("object_name_entry");
   object_name_entry->set_editable(true);
   table75->set_name("table75");
   table75->set_row_spacings(2);
   table75->set_col_spacings(2);
   table75->attach(*object_type_combo, 3, 4, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table75->attach(*label503, 2, 3, 0, 1, GTK_FILL, 0, 0, 0);
   table75->attach(*label502, 0, 1, 0, 1, GTK_FILL, 0, 0, 0);
   table75->attach(*object_name_entry, 1, 2, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   vbox85->set_name("vbox85");
   vbox85->pack_start(*table75, false, false, 16);
   frame99->set_name("frame99");
   frame99->set_border_width(5);
   frame99->set_label_align(0, 0);
   frame99->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame99->add(*vbox85);
   label490->set_name("label490");
   label490->set_alignment(0.5, 0.5);
   label490->set_padding(0, 0);
   label491->set_name("label491");
   label491->set_alignment(0.5, 0.5);
   label491->set_padding(0, 0);
   semi_major_entry->set_name("semi_major_entry");
   semi_major_entry->set_editable(true);
   inclination_entry->set_name("inclination_entry");
   inclination_entry->set_editable(true);
   long_perihelion_entry->set_name("long_perihelion_entry");
   long_perihelion_entry->set_editable(true);
   label492->set_name("label492");
   label492->set_alignment(0.5, 0.5);
   label492->set_padding(0, 0);
   label493->set_name("label493");
   label493->set_alignment(0.5, 0.5);
   label493->set_padding(0, 0);
   long_asc_node_entry->set_name("long_asc_node_entry");
   long_asc_node_entry->set_editable(true);
   eccentricity_entry->set_name("eccentricity_entry");
   eccentricity_entry->set_editable(true);
   mean_long_entry->set_name("mean_long_entry");
   mean_long_entry->set_editable(true);
   label496->set_name("label496");
   label496->set_alignment(0.5, 0.5);
   label496->set_padding(0, 0);
   label497->set_name("label497");
   label497->set_alignment(0.5, 0.5);
   label497->set_padding(0, 0);
   table74->set_name("table74");
   table74->set_row_spacings(2);
   table74->set_col_spacings(2);
   table74->attach(*label490, 2, 3, 0, 1, 0, 0, 0, 0);
   table74->attach(*label491, 0, 1, 1, 2, 0, 0, 0, 0);
   table74->attach(*semi_major_entry, 3, 4, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table74->attach(*inclination_entry, 3, 4, 1, 2, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table74->attach(*long_perihelion_entry, 3, 4, 2, 3, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table74->attach(*label492, 2, 3, 1, 2, 0, 0, 0, 0);
   table74->attach(*label493, 2, 3, 2, 3, 0, 0, 0, 0);
   table74->attach(*long_asc_node_entry, 1, 2, 2, 3, 0, 0, 0, 0);
   table74->attach(*eccentricity_entry, 1, 2, 1, 2, 0, 0, 0, 0);
   table74->attach(*mean_long_entry, 1, 2, 0, 1, 0, 0, 0, 0);
   table74->attach(*label496, 0, 1, 2, 3, 0, 0, 0, 0);
   table74->attach(*label497, 0, 1, 0, 1, 0, 0, 0, 0);
   vbox84->set_name("vbox84");
   vbox84->pack_start(*table74, false, false, 16);
   frame100->set_name("frame100");
   frame100->set_border_width(5);
   frame100->set_label_align(0, 0);
   frame100->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame100->add(*vbox84);
   orbital_elements->set_name("orbital_elements");
   orbital_elements->set_border_width(2);
   orbital_elements->pack_start(*frame99);
   orbital_elements->pack_start(*frame100);
   label415->set_name("label415");
   label415->set_alignment(0.5, 0.5);
   label415->set_padding(0, 0);
   period_from_calendar->set_name("period_from_calendar");
   period_from_calendar->display_options((GtkCalendarDisplayOptions)(GTK_CALENDAR_SHOW_HEADING|GTK_CALENDAR_SHOW_DAY_NAMES));
   period_to_calendar->set_name("period_to_calendar");
   period_to_calendar->display_options((GtkCalendarDisplayOptions)(GTK_CALENDAR_SHOW_HEADING|GTK_CALENDAR_SHOW_DAY_NAMES));
   label425->set_name("label425");
   label425->set_alignment(0.5, 0.5);
   label425->set_padding(0, 0);
   label426->set_name("label426");
   label426->set_alignment(0.5, 0.5);
   label426->set_padding(0, 0);
   table65->set_name("table65");
   table65->set_row_spacings(3);
   table65->set_col_spacings(18);
   table65->attach(*period_from_calendar, 0, 1, 1, 2, GTK_EXPAND|GTK_FILL, GTK_EXPAND|GTK_FILL, 0, 0);
   table65->attach(*period_to_calendar, 1, 2, 1, 2, GTK_EXPAND|GTK_FILL, GTK_FILL, 0, 0);
   table65->attach(*label425, 0, 1, 0, 1, 0, 0, 0, 0);
   table65->attach(*label426, 1, 2, 0, 1, 0, 0, 0, 0);
   frame101->set_name("frame101");
   frame101->set_border_width(5);
   frame101->set_label_align(0, 0);
   frame101->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame101->add(*table65);
   label427->set_name("label427");
   label427->set_alignment(0.5, 0.5);
   label427->set_padding(0, 0);
   plot_freq_spin->set_name("plot_freq_spin");
   plot_freq_spin->set_editable(true);
   plot_freq_combo->get_entry()->set_name("plot_scale_entry");
   plot_freq_combo->get_entry()->set_editable(true);
   plot_freq_combo->get_entry()->set_text(_("Minutes"));
   plot_freq_combo->set_name("plot_freq_combo");
   {   
      vector <string> items;
      items.push_back (N_("Minutes"));
      items.push_back (N_("Hours"));
      items.push_back (N_("Days"));
      items.push_back (N_("Weeks"));
      items.push_back (N_("Years"));
      plot_freq_combo->set_popdown_strings(items);
   }
   plot_freq_combo->get_entry()->set_name("plot_scale_entry");
   plot_freq_combo->get_entry()->set_editable(true);
   plot_freq_combo->get_entry()->set_text(_("Minutes"));
   hbox95->set_name("hbox95");
   hbox95->set_border_width(2);
   hbox95->pack_start(*label427, false, false, 0);
   hbox95->pack_start(*plot_freq_spin);
   hbox95->pack_start(*plot_freq_combo);
   frame102->set_name("frame102");
   frame102->set_border_width(5);
   frame102->set_label_align(0, 0);
   frame102->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame102->add(*hbox95);
   time_frame->set_name("time_frame");
   time_frame->pack_start(*frame101);
   time_frame->pack_start(*frame102);
   label416->set_name("label416");
   label416->set_alignment(0.5, 0.5);
   label416->set_padding(0, 0);
   ephemeris_edit_dialog->set_name("ephemeris_edit_dialog");
   ephemeris_edit_dialog->set_border_width(2);
   ephemeris_edit_dialog->set_title(_("Edit Object Ephemeris"));
   ephemeris_edit_dialog->set_policy(false, false, false);
   
   Gtk::Notebook *notebook = Gtk::wrap((GtkNotebook*)GNOME_PROPERTY_BOX(ephemeris_edit_dialog->gtkobj())->notebook);
   notebook->set_name("notebook");
   notebook->set_show_tabs(true);
   notebook->set_tab_border(3);
   ephemeris_edit_dialog->append_page(*orbital_elements, *label415);
   ephemeris_edit_dialog->append_page(*time_frame, *label416);
   object_type_combo->show();
   label503->show();
   label502->show();
   object_name_entry->show();
   table75->show();
   vbox85->show();
   frame99->show();
   label490->show();
   label491->show();
   semi_major_entry->show();
   inclination_entry->show();
   long_perihelion_entry->show();
   label492->show();
   label493->show();
   long_asc_node_entry->show();
   eccentricity_entry->show();
   mean_long_entry->show();
   label496->show();
   label497->show();
   table74->show();
   vbox84->show();
   frame100->show();
   orbital_elements->show();
   label415->show();
   period_from_calendar->show();
   period_to_calendar->show();
   label425->show();
   label426->show();
   table65->show();
   frame101->show();
   label427->show();
   plot_freq_spin->show();
   plot_freq_combo->show();
   hbox95->show();
   frame102->show();
   time_frame->show();
   label416->show();
   ephemeris_edit_dialog->show();
   object_type_combo->get_entry()->changed.connect(SigC::slot(static_cast<class ephemeris_edit_dialog*>(this), &ephemeris_edit_dialog::on_object_type_entry_changed));
   object_name_entry->changed.connect(SigC::slot(static_cast<class ephemeris_edit_dialog*>(this), &ephemeris_edit_dialog::on_object_name_entry_changed));
   semi_major_entry->changed.connect(SigC::slot(static_cast<class ephemeris_edit_dialog*>(this), &ephemeris_edit_dialog::on_semi_major_entry_changed));
   inclination_entry->changed.connect(SigC::slot(static_cast<class ephemeris_edit_dialog*>(this), &ephemeris_edit_dialog::on_inclination_entry_changed));
   long_perihelion_entry->changed.connect(SigC::slot(static_cast<class ephemeris_edit_dialog*>(this), &ephemeris_edit_dialog::on_long_perihelion_entry_changed));
   long_asc_node_entry->changed.connect(SigC::slot(static_cast<class ephemeris_edit_dialog*>(this), &ephemeris_edit_dialog::on_long_asc_node_entry_changed));
   eccentricity_entry->changed.connect(SigC::slot(static_cast<class ephemeris_edit_dialog*>(this), &ephemeris_edit_dialog::on_eccentricity_entry_changed));
   mean_long_entry->changed.connect(SigC::slot(static_cast<class ephemeris_edit_dialog*>(this), &ephemeris_edit_dialog::on_mean_long_entry_changed));
   period_from_calendar->day_selected.connect(SigC::slot(static_cast<class ephemeris_edit_dialog*>(this), &ephemeris_edit_dialog::on_period_from_calendar_day_selected));
   period_to_calendar->day_selected.connect(SigC::slot(static_cast<class ephemeris_edit_dialog*>(this), &ephemeris_edit_dialog::on_period_to_calendar_day_selected));
   plot_freq_combo->get_entry()->changed.connect(SigC::slot(static_cast<class ephemeris_edit_dialog*>(this), &ephemeris_edit_dialog::on_plot_scale_entry_changed));
}

ephemeris_edit_dialog_glade::~ephemeris_edit_dialog_glade()
{   
}
