// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "file_new_dialog.hh"
#include <vector>
#include <libgnomeui/gnome-stock.h>
#include <gtk--/button.h>
#include <gtk--/buttonbox.h>
#include <gtk--/label.h>
#include <gtk--/scrolledwindow.h>
#include <gtk--/frame.h>
#include <gtk--/box.h>
#include <gnome--/icon-list.h>

#include "nova.hh"

file_new_dialog_glade::file_new_dialog_glade(
) : Gnome::Dialog(_("New Type"), vector<string>())
{   
   char file[256];
   Gnome::Dialog *file_new_dialog = this;
   file_new_dialog->append_button(GNOME_STOCK_BUTTON_OK);
   file_new_dialog->append_button(GNOME_STOCK_BUTTON_CANCEL);
   
   Gnome::IconList *iconlist = manage(new class Gnome::IconList);
   get_pixmap_file ("stars_l.xpm", file);
   iconlist->append(file, "Virtual Sky");
   iconlist->append(file, "Database Object Ephemeris");
   iconlist->append(file, "Object Ephemeris");
   iconlist->append(file, "Target List");
   Gtk::ScrolledWindow *scrolledwindow26 = manage(new class Gtk::ScrolledWindow());
   Gtk::Frame *frame111 = manage(new class Gtk::Frame(_("Select New Type")));
   file_new_dialog->get_button(0)->set_name("ok_button");
   file_new_dialog->get_button(1)->set_name("cancel_button");
   iconlist->set_name("iconlist");
   scrolledwindow26->set_name("scrolledwindow26");
   scrolledwindow26->set_policy(GTK_POLICY_ALWAYS, GTK_POLICY_ALWAYS);
   scrolledwindow26->add(*iconlist);
   frame111->set_name("frame111");
   frame111->set_border_width(5);
   frame111->set_label_align(0, 0);
   frame111->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame111->add(*scrolledwindow26);
   file_new_dialog->get_vbox()->set_name("dialog-vbox13");
   file_new_dialog->get_vbox()->set_spacing(8);
   file_new_dialog->get_vbox()->pack_start(*frame111);
   file_new_dialog->set_name("file_new_dialog");
   file_new_dialog->set_border_width(2);
   file_new_dialog->set_title(_("New Type"));
   file_new_dialog->set_policy(true, true, true);
   
   Gtk::HButtonBox *dialog_action_area13 = Gtk::wrap((GtkHButtonBox*)GNOME_DIALOG(file_new_dialog->gtkobj())->action_area);
   dialog_action_area13->set_name("dialog-action_area13");
   dialog_action_area13->set_spacing(8);
   iconlist->show();
   scrolledwindow26->show();
   frame111->show();
   file_new_dialog->set_usize(410, 225);
   file_new_dialog->show();
   file_new_dialog->get_button(0)->clicked.connect(SigC::slot(static_cast<class file_new_dialog*>(this), &file_new_dialog::on_ok_button_clicked));
   file_new_dialog->get_button(1)->clicked.connect(SigC::slot(static_cast<class file_new_dialog*>(this), &file_new_dialog::on_cancel_button_clicked));
   iconlist->select_icon.connect(SigC::slot(static_cast<class file_new_dialog*>(this), &file_new_dialog::on_iconlist_select_icon));
}

file_new_dialog_glade::~file_new_dialog_glade()
{   
}
