// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "file_selector.hh"
#include <vector>
#include <libgnomeui/gnome-stock.h>
#include <gtk--/button.h>
#include <gtk--/buttonbox.h>
#include <gtk--/entry.h>
#include <gtk--/label.h>
#include <gtk--/box.h>
#include <gnome--/file-entry.h>

file_selector_glade::file_selector_glade(
) : Gnome::Dialog()
{   
   
   Gnome::Dialog *file_selector = this;
   file_selector->append_button(GNOME_STOCK_BUTTON_OK);
   file_selector->append_button(GNOME_STOCK_BUTTON_CANCEL);
   
   Gtk::Entry *filename_entry = manage(new class Gtk::Entry());
   Gnome::FileEntry *fileentry2 = manage(new class Gnome::FileEntry());
   file_selector->get_button(0)->set_name("ok_button");
   file_selector->get_button(1)->set_name("cancel_button");
   filename_entry->set_name("filename_entry");
   filename_entry->set_editable(true);
   fileentry2->set_name("fileentry2");
   file_selector->get_vbox()->set_name("dialog-vbox15");
   file_selector->get_vbox()->set_spacing(8);
   file_selector->get_vbox()->pack_start(*fileentry2, false, false, 0);
   file_selector->set_name("file_selector");
   file_selector->set_border_width(5);
   file_selector->set_policy(false, false, false);
   
   Gtk::HButtonBox *dialog_action_area15 = Gtk::wrap((GtkHButtonBox*)GNOME_DIALOG(file_selector->gtkobj())->action_area);
   dialog_action_area15->set_name("dialog-action_area15");
   dialog_action_area15->set_spacing(8);
   file_selector->close_hides(true);
   filename_entry->show();
   fileentry2->show();
   file_selector->show();
   file_selector->get_button(0)->clicked.connect(SigC::slot(static_cast<class file_selector*>(this), &file_selector::on_ok_button_clicked));
   file_selector->get_button(1)->clicked.connect(SigC::slot(static_cast<class file_selector*>(this), &file_selector::on_cancel_button_clicked));
   filename_entry->changed.connect(SigC::slot(static_cast<class file_selector*>(this), &file_selector::on_filename_entry_changed));
}

file_selector_glade::~file_selector_glade()
{   
}
