// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "new_ephemeris_druid.hh"
#include <gnome--/druid-page-start.h>
#include <gnome--/druid-page-finish.h>
#include <gnome--/druid.h>
#include <gnome--/dialog.h>
#include <gtk--/box.h>
#include <vector>
#include <string>

new_ephemeris_druid_glade::new_ephemeris_druid_glade(
) : Gnome::Dialog()
{   
   
   Gnome::Dialog *new_ephemeris_druid = this;
   Gnome::DruidPageStart *ephemeris_page_start = manage(new class Gnome::DruidPageStart());
   ephemeris_orbital_page *ephemeris_orbital_page = manage(new class ephemeris_orbital_page());
   ephemeris_time_page *ephemeris_time_page = manage(new class ephemeris_time_page());
   Gnome::DruidPageFinish *druidpagefinish3 = manage(new class Gnome::DruidPageFinish());
   Gnome::Druid *ephemeris_druid = manage(new class Gnome::Druid());
   ephemeris_page_start->set_name("ephemeris_page_start");
   ephemeris_page_start->set_title_color(Gdk_Color("#ffffff"));
   ephemeris_page_start->set_bg_color(Gdk_Color("#191970"));
   ephemeris_page_start->set_logo_bg_color(Gdk_Color("#ffffff"));
   ephemeris_page_start->set_title(_("New Object Ephemeris Druid"));
   ephemeris_page_start->set_text_color(Gdk_Color("#000000"));
   ephemeris_page_start->set_textbox_color(Gdk_Color("#ffffff"));
   ephemeris_page_start->set_text(_("This Druid creates an observational ephemeris fo a new object.\n"
		"blah blah blah........"));
   druidpagefinish3->set_name("druidpagefinish3");
   druidpagefinish3->set_title_color(Gdk_Color("#ffffff"));
   druidpagefinish3->set_bg_color(Gdk_Color("#191970"));
   druidpagefinish3->set_logo_bg_color(Gdk_Color("#ffffff"));
   druidpagefinish3->set_title(_("Create Ephemeris"));
   druidpagefinish3->set_text_color(Gdk_Color("#000000"));
   druidpagefinish3->set_textbox_color(Gdk_Color("#ffffff"));
   ephemeris_druid->set_name("ephemeris_druid");
   ephemeris_druid->pages().push_back(*ephemeris_page_start);
   ephemeris_druid->pages().push_back(*ephemeris_orbital_page);
   ephemeris_druid->pages().push_back(*ephemeris_time_page);
   ephemeris_druid->pages().push_back(*druidpagefinish3);
   new_ephemeris_druid->set_name("new_ephemeris_druid");
   new_ephemeris_druid->set_border_width(2);
   new_ephemeris_druid->set_title(_("New Ephemeris Druid"));
   new_ephemeris_druid->get_vbox()->pack_start(*ephemeris_druid);
   ephemeris_page_start->show();
   druidpagefinish3->show();
   ephemeris_druid->show();
   new_ephemeris_druid->show();
   //ephemeris_page_start->next.connect(SigC::slot(static_cast<class new_ephemeris_druid*>(this), &new_ephemeris_druid::on_ephemeris_page_start_next));
   druidpagefinish3->finish.connect(SigC::slot(static_cast<class new_ephemeris_druid*>(this), &new_ephemeris_druid::on_druidpagefinish3_finish));
   ephemeris_druid->cancel.connect(SigC::slot(static_cast<class new_ephemeris_druid*>(this), &new_ephemeris_druid::on_ephemeris_druid_cancel));
}

new_ephemeris_druid_glade::~new_ephemeris_druid_glade()
{   
}

#include <gtk--/entry.h>
#include <gtk--/combo.h>
#include <gtk--/label.h>
#include <gtk--/table.h>
#include <gtk--/box.h>
#include <gtk--/frame.h>

ephemeris_orbital_page_glade::ephemeris_orbital_page_glade(
)
{   
   
   Gnome::DruidPageStandard *ephemeris_orbital_page = this;
   Gtk::Combo *combo33 = manage(new class Gtk::Combo());
   Gtk::Label *label507 = manage(new class Gtk::Label(_("Category")));
   Gtk::Label *label508 = manage(new class Gtk::Label(_("Name")));
   Gtk::Entry *entry125 = manage(new class Gtk::Entry());
   Gtk::Table *table77 = manage(new class Gtk::Table(1, 4, false));
   Gtk::VBox *vbox88 = manage(new class Gtk::VBox(false, 0));
   Gtk::Frame *frame105 = manage(new class Gtk::Frame(_("Name")));
   Gtk::Label *label509 = manage(new class Gtk::Label(_("Semi-Major Axis")));
   Gtk::Label *label510 = manage(new class Gtk::Label(_("Eccentricity")));
   Gtk::Entry *entry126 = manage(new class Gtk::Entry());
   Gtk::Entry *entry127 = manage(new class Gtk::Entry());
   Gtk::Entry *entry128 = manage(new class Gtk::Entry());
   Gtk::Label *label511 = manage(new class Gtk::Label(_("Inclination")));
   Gtk::Label *label512 = manage(new class Gtk::Label(_("Long. Perihelion")));
   Gtk::Entry *entry129 = manage(new class Gtk::Entry());
   Gtk::Entry *entry130 = manage(new class Gtk::Entry());
   Gtk::Entry *entry131 = manage(new class Gtk::Entry());
   Gtk::Label *label513 = manage(new class Gtk::Label(_("Long. Asc. Node")));
   Gtk::Label *label514 = manage(new class Gtk::Label(_("Mean Longitude")));
   Gtk::Table *table78 = manage(new class Gtk::Table(3, 4, false));
   Gtk::VBox *vbox89 = manage(new class Gtk::VBox(false, 0));
   Gtk::Frame *frame106 = manage(new class Gtk::Frame(_("Orbital Elements")));
   Gtk::VBox *vbox87 = manage(new class Gtk::VBox(false, 2));
   combo33->get_entry()->set_name("entry124");
   combo33->get_entry()->set_editable(true);
   combo33->get_entry()->set_text(_("Comet"));
   combo33->set_name("combo33");
   {   
      vector <string> items;
      items.push_back (N_("Asteroid"));
      items.push_back (N_("Comet"));
      items.push_back (N_("Other"));
      combo33->set_popdown_strings(items);
   }
   combo33->get_entry()->set_name("entry124");
   combo33->get_entry()->set_editable(true);
   combo33->get_entry()->set_text(_("Comet"));
   label507->set_name("label507");
   label507->set_alignment(0.5, 0.5);
   label507->set_padding(0, 0);
   label508->set_name("label508");
   label508->set_alignment(0.5, 0.5);
   label508->set_padding(0, 0);
   entry125->set_name("entry125");
   entry125->set_editable(true);
   table77->set_name("table77");
   table77->set_row_spacings(2);
   table77->set_col_spacings(2);
   table77->attach(*combo33, 3, 4, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table77->attach(*label507, 2, 3, 0, 1, GTK_FILL, 0, 0, 0);
   table77->attach(*label508, 0, 1, 0, 1, GTK_FILL, 0, 0, 0);
   table77->attach(*entry125, 1, 2, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   vbox88->set_name("vbox88");
   vbox88->pack_start(*table77, false, false, 16);
   frame105->set_name("frame105");
   frame105->set_border_width(5);
   frame105->set_label_align(0, 0);
   frame105->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame105->add(*vbox88);
   label509->set_name("label509");
   label509->set_alignment(0.5, 0.5);
   label509->set_padding(0, 0);
   label510->set_name("label510");
   label510->set_alignment(0.5, 0.5);
   label510->set_padding(0, 0);
   entry126->set_name("entry126");
   entry126->set_editable(true);
   entry127->set_name("entry127");
   entry127->set_editable(true);
   entry128->set_name("entry128");
   entry128->set_editable(true);
   label511->set_name("label511");
   label511->set_alignment(0.5, 0.5);
   label511->set_padding(0, 0);
   label512->set_name("label512");
   label512->set_alignment(0.5, 0.5);
   label512->set_padding(0, 0);
   entry129->set_name("entry129");
   entry129->set_editable(true);
   entry130->set_name("entry130");
   entry130->set_editable(true);
   entry131->set_name("entry131");
   entry131->set_editable(true);
   label513->set_name("label513");
   label513->set_alignment(0.5, 0.5);
   label513->set_padding(0, 0);
   label514->set_name("label514");
   label514->set_alignment(0.5, 0.5);
   label514->set_padding(0, 0);
   table78->set_name("table78");
   table78->set_row_spacings(2);
   table78->set_col_spacings(2);
   table78->attach(*label509, 2, 3, 0, 1, 0, 0, 0, 0);
   table78->attach(*label510, 0, 1, 1, 2, 0, 0, 0, 0);
   table78->attach(*entry126, 3, 4, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table78->attach(*entry127, 3, 4, 1, 2, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table78->attach(*entry128, 3, 4, 2, 3, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table78->attach(*label511, 2, 3, 1, 2, 0, 0, 0, 0);
   table78->attach(*label512, 2, 3, 2, 3, 0, 0, 0, 0);
   table78->attach(*entry129, 1, 2, 2, 3, 0, 0, 0, 0);
   table78->attach(*entry130, 1, 2, 1, 2, 0, 0, 0, 0);
   table78->attach(*entry131, 1, 2, 0, 1, 0, 0, 0, 0);
   table78->attach(*label513, 0, 1, 2, 3, 0, 0, 0, 0);
   table78->attach(*label514, 0, 1, 0, 1, 0, 0, 0, 0);
   vbox89->set_name("vbox89");
   vbox89->pack_start(*table78, false, false, 16);
   frame106->set_name("frame106");
   frame106->set_border_width(5);
   frame106->set_label_align(0, 0);
   frame106->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame106->add(*vbox89);
   vbox87->set_name("vbox87");
   vbox87->set_border_width(2);
   vbox87->pack_start(*frame105);
   vbox87->pack_start(*frame106);
   ephemeris_orbital_page->set_name("ephemeris_orbital_page");
   ephemeris_orbital_page->set_title_color(Gdk_Color("#ffffff"));
   ephemeris_orbital_page->set_bg_color(Gdk_Color("#191970"));
   ephemeris_orbital_page->set_logo_bg_color(Gdk_Color("#ffffff"));
   ephemeris_orbital_page->set_title(_("New Object Parameters"));
   
   Gtk::VBox *druid_vbox18 = Gtk::wrap((GtkVBox*)GNOME_DRUID_PAGE_STANDARD(ephemeris_orbital_page->gtkobj())->vbox);
   druid_vbox18->set_name("druid-vbox18");
   druid_vbox18->pack_start(*vbox87);
   combo33->show();
   label507->show();
   label508->show();
   entry125->show();
   table77->show();
   vbox88->show();
   frame105->show();
   label509->show();
   label510->show();
   entry126->show();
   entry127->show();
   entry128->show();
   label511->show();
   label512->show();
   entry129->show();
   entry130->show();
   entry131->show();
   label513->show();
   label514->show();
   table78->show();
   vbox89->show();
   frame106->show();
   vbox87->show();
   ephemeris_orbital_page->show();
   entry125->changed.connect(SigC::slot(static_cast<class ephemeris_orbital_page*>(this), &ephemeris_orbital_page::on_object_name_entry_changed));
   entry126->changed.connect(SigC::slot(static_cast<class ephemeris_orbital_page*>(this), &ephemeris_orbital_page::on_semi_major_entry_changed));
   entry127->changed.connect(SigC::slot(static_cast<class ephemeris_orbital_page*>(this), &ephemeris_orbital_page::on_inclination_entry_changed));
   entry128->changed.connect(SigC::slot(static_cast<class ephemeris_orbital_page*>(this), &ephemeris_orbital_page::on_long_perihelion_entry_changed));
   entry129->changed.connect(SigC::slot(static_cast<class ephemeris_orbital_page*>(this), &ephemeris_orbital_page::on_long_asc_node_entry_changed));
   entry130->changed.connect(SigC::slot(static_cast<class ephemeris_orbital_page*>(this), &ephemeris_orbital_page::on_eccentricity_entry_changed));
   entry131->changed.connect(SigC::slot(static_cast<class ephemeris_orbital_page*>(this), &ephemeris_orbital_page::on_mean_long_entry_changed));
   //ephemeris_orbital_page->next.connect(SigC::slot(static_cast<class ephemeris_orbital_page*>(this), &ephemeris_orbital_page::on_ephemeris_orbital_page_next));
   //ephemeris_orbital_page->back.connect(SigC::slot(static_cast<class ephemeris_orbital_page*>(this), &ephemeris_orbital_page::on_ephemeris_orbital_page_back));
}

ephemeris_orbital_page_glade::~ephemeris_orbital_page_glade()
{   
}

#include <gtk--/calendar.h>
#include <gtk--/spinbutton.h>
#include <gtk--/adjustment.h>

ephemeris_time_page_glade::ephemeris_time_page_glade(
)
{   
   
   Gnome::DruidPageStandard *ephemeris_time_page = this;
   Gtk::Calendar *calendar12 = manage(new class Gtk::Calendar());
   Gtk::Calendar *calendar13 = manage(new class Gtk::Calendar());
   Gtk::Label *label504 = manage(new class Gtk::Label(_("From")));
   Gtk::Label *label505 = manage(new class Gtk::Label(_("To")));
   Gtk::Table *table76 = manage(new class Gtk::Table(2, 2, false));
   Gtk::Frame *frame103 = manage(new class Gtk::Frame(_("Period")));
   Gtk::Label *label506 = manage(new class Gtk::Label(_("Plot Frequency")));
   Gtk::Adjustment *spinbutton46_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *spinbutton46 = manage(new class Gtk::SpinButton(*spinbutton46_adj, 1, 0));
   Gtk::Combo *combo32 = manage(new class Gtk::Combo());
   Gtk::HBox *hbox116 = manage(new class Gtk::HBox(false, 30));
   Gtk::Frame *frame104 = manage(new class Gtk::Frame(_("Frequency")));
   Gtk::VBox *vbox86 = manage(new class Gtk::VBox(false, 0));
   calendar12->set_name("calendar12");
   calendar12->display_options((GtkCalendarDisplayOptions)(GTK_CALENDAR_SHOW_HEADING|GTK_CALENDAR_SHOW_DAY_NAMES));
   calendar13->set_name("calendar13");
   calendar13->display_options((GtkCalendarDisplayOptions)(GTK_CALENDAR_SHOW_HEADING|GTK_CALENDAR_SHOW_DAY_NAMES));
   label504->set_name("label504");
   label504->set_alignment(0.5, 0.5);
   label504->set_padding(0, 0);
   label505->set_name("label505");
   label505->set_alignment(0.5, 0.5);
   label505->set_padding(0, 0);
   table76->set_name("table76");
   table76->set_row_spacings(3);
   table76->set_col_spacings(18);
   table76->attach(*calendar12, 0, 1, 1, 2, GTK_EXPAND|GTK_FILL, GTK_EXPAND|GTK_FILL, 0, 0);
   table76->attach(*calendar13, 1, 2, 1, 2, GTK_EXPAND|GTK_FILL, GTK_FILL, 0, 0);
   table76->attach(*label504, 0, 1, 0, 1, 0, 0, 0, 0);
   table76->attach(*label505, 1, 2, 0, 1, 0, 0, 0, 0);
   frame103->set_name("frame103");
   frame103->set_border_width(5);
   frame103->set_label_align(0, 0);
   frame103->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame103->add(*table76);
   label506->set_name("label506");
   label506->set_alignment(0.5, 0.5);
   label506->set_padding(0, 0);
   spinbutton46->set_name("spinbutton46");
   spinbutton46->set_editable(true);
   combo32->get_entry()->set_name("plot_scale_entry");
   combo32->get_entry()->set_editable(true);
   combo32->get_entry()->set_text(_("Minutes"));
   combo32->set_name("combo32");
   {   
      vector <string> items;
      items.push_back (N_("Minutes"));
      items.push_back (N_("Hours"));
      items.push_back (N_("Days"));
      items.push_back (N_("Weeks"));
      items.push_back (N_("Years"));
      combo32->set_popdown_strings(items);
   }
   combo32->get_entry()->set_name("plot_scale_entry");
   combo32->get_entry()->set_editable(true);
   combo32->get_entry()->set_text(_("Minutes"));
   hbox116->set_name("hbox116");
   hbox116->set_border_width(2);
   hbox116->pack_start(*label506, false, false, 0);
   hbox116->pack_start(*spinbutton46);
   hbox116->pack_start(*combo32);
   frame104->set_name("frame104");
   frame104->set_border_width(5);
   frame104->set_label_align(0, 0);
   frame104->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame104->add(*hbox116);
   vbox86->set_name("vbox86");
   vbox86->pack_start(*frame103);
   vbox86->pack_start(*frame104);
   ephemeris_time_page->set_name("ephemeris_time_page");
   ephemeris_time_page->set_title_color(Gdk_Color("#ffffff"));
   ephemeris_time_page->set_bg_color(Gdk_Color("#191970"));
   ephemeris_time_page->set_logo_bg_color(Gdk_Color("#ffffff"));
   ephemeris_time_page->set_title(_("Ephemeris Period"));
   
   Gtk::VBox *druid_vbox19 = Gtk::wrap((GtkVBox*)GNOME_DRUID_PAGE_STANDARD(ephemeris_time_page->gtkobj())->vbox);
   druid_vbox19->set_name("druid-vbox19");
   druid_vbox19->pack_start(*vbox86);
   calendar12->show();
   calendar13->show();
   label504->show();
   label505->show();
   table76->show();
   frame103->show();
   label506->show();
   spinbutton46->show();
   combo32->show();
   hbox116->show();
   frame104->show();
   vbox86->show();
   ephemeris_time_page->show();
   calendar12->day_selected.connect(SigC::slot(static_cast<class ephemeris_time_page*>(this), &ephemeris_time_page::on_calendar12_day_selected));
   calendar13->day_selected.connect(SigC::slot(static_cast<class ephemeris_time_page*>(this), &ephemeris_time_page::on_calendar13_day_selected));
   combo32->get_entry()->changed.connect(SigC::slot(static_cast<class ephemeris_time_page*>(this), &ephemeris_time_page::on_plot_scale_entry_changed));
   //ephemeris_time_page->back.connect(SigC::slot(static_cast<class ephemeris_time_page*>(this), &ephemeris_time_page::on_ephemeris_time_page_back));
   //ephemeris_time_page->next.connect(SigC::slot(static_cast<class ephemeris_time_page*>(this), &ephemeris_time_page::on_ephemeris_time_page_next));
}

ephemeris_time_page_glade::~ephemeris_time_page_glade()
{   
}
