// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include <config.h>
#include <gnome--/main.h>
#include <libgnome/gnome-i18n.h>
#include <libnova.h>
#include <string.h>

// GUI headers
#include "application.hh"

// object cache
#include "astro_object.hh"
#include "object_cache.hh"

// object loader
#include "object_loader.hh"
#include "application.hh"
#include "nova.hh"

int main(int argc, char **argv)
{  
#if defined(ENABLE_NLS)
	//   bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
	//   textdomain (PACKAGE);
#endif ///* ENABLE_NLS*/
   
   	// initialise object cache
	object_cache * cache = object_cache::instance();
	
	// load in default Yale BSC objects
	object_loader * ldr = object_loader::instance ();
	ldr->load_ybsc();
   
   	Gnome::Main m(PACKAGE, VERSION, argc, argv);
   	manage(new class application());
      
   	m.run();
	
	object_cache::release();
   	return 0;
}

void get_pixmap_file (char * pixmap, char * file)
{
	strcpy (file, NOVA_PIXMAP_DIR);
	strcat (file, "/");
	strcat (file, pixmap);
}

