// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood

#include <fstream>
#include <string.h>

#include "object_loader.hh"
#include "object_cache.hh"
#include "astro_object.hh"
#include "bsc_object.hh"
#include "config.h"

#define YALE	"yale_bsc.noc"

object_loader * object_loader::m_ref = 0;

object_loader * object_loader::instance ()
{
	if (!m_ref)
	{
		m_ref = new object_loader ();
	}
	return m_ref;
}

void object_loader::release ()
{
	if (m_ref)
	{
		delete m_ref;
		m_ref = 0;
	}
}

object_loader::object_loader ()
{
}

object_loader::~object_loader ()
{
}

int object_loader::load_ybsc ()
{
	int result = -1;
	bsc_object * object = 0;
	object_cache * cache = object_cache::instance ();
	char file[256];
	
	// open the file
	get_file_name (YALE, file);
	std::ifstream fin (file);
	if (!fin)
	{
		return result;
	}
	
	// read in file to cache
	result = 0;
	while (!fin.eof())
	{
		object = new bsc_object;
		fin.read (&(object->astro), sizeof(object->astro));
		fin.read (&(object->bsc), sizeof(object->bsc));
		cache->add_object ((astro_object*)object);
	}
	return result;
}

int object_loader::unload_ybsc ()
{
	int result = -1;
	
	return result;
}

void object_loader::get_file_name (char * catalog, char * file)
{
	strcpy (file, NOVA_CATALOG_DIR);
	strcat (file, "/");
	strcat (file, catalog);
}
	
