// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "observation_list_dialog.hh"
#include <vector>
#include <libgnomeui/gnome-stock.h>
#include <gtk--/button.h>
#include <gtk--/buttonbox.h>
#include <gtk--/label.h>
#include <gtk--/clist.h>
#include <gtk--/scrolledwindow.h>
#include <gtk--/toolbar.h>
#include <gtk--/box.h>
#include <gtk--/frame.h>
#include <gtk--/progressbar.h>
#include <gtk--/statusbar.h>
#include <gtk--/table.h>

observation_list_dialog_glade::observation_list_dialog_glade(
) : Gnome::Dialog(_("Observation List"), vector<string>())
{   
   
   Gnome::Dialog *observation_list_dialog = this;
   observation_list_dialog->append_button(GNOME_STOCK_BUTTON_CLOSE);
   
   Gtk::CList *target_clist = manage(new class Gtk::CList(5));
   Gtk::ScrolledWindow *scrolledwindow22 = manage(new class Gtk::ScrolledWindow());
   Gtk::Toolbar *toolbar2 = manage(new class Gtk::Toolbar(GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS));
   Gtk::Button *add_object_button = Gtk::wrap((GtkButton*)gtk_toolbar_append_element(GTK_TOOLBAR(toolbar2->gtkobj()), GTK_TOOLBAR_CHILD_BUTTON, 0, _("button106"), 0, 0, GTK_WIDGET(gnome_stock_pixmap_widget(GTK_WIDGET(toolbar2->gtkobj()), GNOME_STOCK_PIXMAP_ADD)), 0, 0));
   Gtk::Button *delete_object_button = Gtk::wrap((GtkButton*)gtk_toolbar_append_element(GTK_TOOLBAR(toolbar2->gtkobj()), GTK_TOOLBAR_CHILD_BUTTON, 0, _("button107"), 0, 0, GTK_WIDGET(gnome_stock_pixmap_widget(GTK_WIDGET(toolbar2->gtkobj()), GNOME_STOCK_PIXMAP_REMOVE)), 0, 0));
   toolbar2->tools().push_back(Gtk::Toolbar_Helpers::Space());
   
   Gtk::Button *promote_button = Gtk::wrap((GtkButton*)gtk_toolbar_append_element(GTK_TOOLBAR(toolbar2->gtkobj()), GTK_TOOLBAR_CHILD_BUTTON, 0, _("button108"), 0, 0, GTK_WIDGET(gnome_stock_pixmap_widget(GTK_WIDGET(toolbar2->gtkobj()), GNOME_STOCK_PIXMAP_UP)), 0, 0));
   Gtk::Button *demote_button = Gtk::wrap((GtkButton*)gtk_toolbar_append_element(GTK_TOOLBAR(toolbar2->gtkobj()), GTK_TOOLBAR_CHILD_BUTTON, 0, _("button109"), 0, 0, GTK_WIDGET(gnome_stock_pixmap_widget(GTK_WIDGET(toolbar2->gtkobj()), GNOME_STOCK_PIXMAP_DOWN)), 0, 0));
   Gtk::Button *sort_button = Gtk::wrap((GtkButton*)gtk_toolbar_append_element(GTK_TOOLBAR(toolbar2->gtkobj()), GTK_TOOLBAR_CHILD_BUTTON, 0, _("button110"), 0, 0, GTK_WIDGET(gnome_stock_pixmap_widget(GTK_WIDGET(toolbar2->gtkobj()), GNOME_STOCK_PIXMAP_SCORES)), 0, 0));
   toolbar2->tools().push_back(Gtk::Toolbar_Helpers::Space());
   
   Gtk::Button *upload_button = Gtk::wrap((GtkButton*)gtk_toolbar_append_element(GTK_TOOLBAR(toolbar2->gtkobj()), GTK_TOOLBAR_CHILD_BUTTON, 0, _("button115"), 0, 0, GTK_WIDGET(gnome_stock_pixmap_widget(GTK_WIDGET(toolbar2->gtkobj()), GNOME_STOCK_PIXMAP_CONVERT)), 0, 0));
   Gtk::VBox *vbox28 = manage(new class Gtk::VBox(false, 0));
   Gtk::Frame *frame34 = manage(new class Gtk::Frame(_("Observation Targets")));
   Gtk::CList *schedule_clist = manage(new class Gtk::CList(6));
   Gtk::ScrolledWindow *scrolledwindow21 = manage(new class Gtk::ScrolledWindow());
   Gtk::Toolbar *toolbar3 = manage(new class Gtk::Toolbar(GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS));
   Gtk::Button *delete_sched_button = Gtk::wrap((GtkButton*)gtk_toolbar_append_element(GTK_TOOLBAR(toolbar3->gtkobj()), GTK_TOOLBAR_CHILD_BUTTON, 0, _("button116"), 0, 0, GTK_WIDGET(gnome_stock_pixmap_widget(GTK_WIDGET(toolbar3->gtkobj()), GNOME_STOCK_PIXMAP_TRASH)), 0, 0));
   Gtk::Button *abort_object_button = Gtk::wrap((GtkButton*)gtk_toolbar_append_element(GTK_TOOLBAR(toolbar3->gtkobj()), GTK_TOOLBAR_CHILD_BUTTON, 0, _("button117"), 0, 0, GTK_WIDGET(gnome_stock_pixmap_widget(GTK_WIDGET(toolbar3->gtkobj()), GNOME_STOCK_PIXMAP_NOT)), 0, 0));
   Gtk::Button *thing_button = Gtk::wrap((GtkButton*)gtk_toolbar_append_element(GTK_TOOLBAR(toolbar3->gtkobj()), GTK_TOOLBAR_CHILD_BUTTON, 0, _("button118"), 0, 0, GTK_WIDGET(gnome_stock_pixmap_widget(GTK_WIDGET(toolbar3->gtkobj()), GNOME_STOCK_PIXMAP_ABOUT)), 0, 0));
   Gtk::VBox *vbox52 = manage(new class Gtk::VBox(false, 0));
   Gtk::Frame *frame64 = manage(new class Gtk::Frame(_("Telescope Schedule")));
   Gtk::ProgressBar *progressbar1 = manage(new class Gtk::ProgressBar());
   Gtk::Toolbar *toolbar4 = manage(new class Gtk::Toolbar(GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS));
   Gtk::Button *exec_button = Gtk::wrap((GtkButton*)gtk_toolbar_append_element(GTK_TOOLBAR(toolbar4->gtkobj()), GTK_TOOLBAR_CHILD_BUTTON, 0, _("button119"), 0, 0, GTK_WIDGET(gnome_stock_pixmap_widget(GTK_WIDGET(toolbar4->gtkobj()), GNOME_STOCK_PIXMAP_EXEC)), 0, 0));
   toolbar4->tools().push_back(Gtk::Toolbar_Helpers::Space());
   
   Gtk::Button *redo_button = Gtk::wrap((GtkButton*)gtk_toolbar_append_element(GTK_TOOLBAR(toolbar4->gtkobj()), GTK_TOOLBAR_CHILD_BUTTON, 0, _("button120"), 0, 0, GTK_WIDGET(gnome_stock_pixmap_widget(GTK_WIDGET(toolbar4->gtkobj()), GNOME_STOCK_PIXMAP_REFRESH)), 0, 0));
   toolbar4->tools().push_back(Gtk::Toolbar_Helpers::Space());
   
   Gtk::Button *stop_button = Gtk::wrap((GtkButton*)gtk_toolbar_append_element(GTK_TOOLBAR(toolbar4->gtkobj()), GTK_TOOLBAR_CHILD_BUTTON, 0, _("button121"), 0, 0, GTK_WIDGET(gnome_stock_pixmap_widget(GTK_WIDGET(toolbar4->gtkobj()), GNOME_STOCK_PIXMAP_STOP)), 0, 0));
   Gtk::Statusbar *statusbar2 = manage(new class Gtk::Statusbar());
   Gtk::Table *table49 = manage(new class Gtk::Table(1, 3, false));
   Gtk::Frame *frame60 = manage(new class Gtk::Frame(_("Observation Status")));
   Gtk::VBox *vbox27 = manage(new class Gtk::VBox(false, 0));
   observation_list_dialog->get_button(0)->set_name("close_button");
   target_clist->set_name("target_clist");
   target_clist->set_column_title(0, _("Target"));
   target_clist->set_column_justification(0, GTK_JUSTIFY_CENTER);
   target_clist->set_column_width(0, 80);
   target_clist->set_column_title(1, _("R.A."));
   target_clist->set_column_justification(1, GTK_JUSTIFY_CENTER);
   target_clist->set_column_width(1, 80);
   target_clist->set_column_title(2, _("Declination"));
   target_clist->set_column_justification(2, GTK_JUSTIFY_CENTER);
   target_clist->set_column_width(2, 80);
   target_clist->set_column_title(3, _("Magnitude"));
   target_clist->set_column_justification(3, GTK_JUSTIFY_CENTER);
   target_clist->set_column_width(3, 80);
   target_clist->set_column_title(4, _("Image"));
   target_clist->set_column_justification(4, GTK_JUSTIFY_CENTER);
   target_clist->set_column_width(4, 80);
   target_clist->set_selection_mode(GTK_SELECTION_MULTIPLE);
   target_clist->column_titles_show();
   scrolledwindow22->set_usize(-1, 195);
   scrolledwindow22->set_name("scrolledwindow22");
   scrolledwindow22->set_border_width(2);
   scrolledwindow22->set_policy(GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);
   scrolledwindow22->add(*target_clist);
   add_object_button->set_name("add_object_button");
   _tooltips.set_tip(*add_object_button, _("Add new object"), "");
   delete_object_button->set_name("delete_object_button");
   _tooltips.set_tip(*delete_object_button, _("Delete object"), "");
   promote_button->set_name("promote_button");
   _tooltips.set_tip(*promote_button, _("Promote object"), "");
   demote_button->set_name("demote_button");
   _tooltips.set_tip(*demote_button, _("Demote Object"), "");
   sort_button->set_name("sort_button");
   _tooltips.set_tip(*sort_button, _("Order objects...."), "");
   upload_button->set_name("upload_button");
   _tooltips.set_tip(*upload_button, _("Upload List "), "");
   toolbar2->set_name("toolbar2");
   toolbar2->set_border_width(2);
   toolbar2->set_space_size(20);
   toolbar2->set_tooltips(true);
   vbox28->set_name("vbox28");
   vbox28->pack_start(*scrolledwindow22);
   vbox28->pack_start(*toolbar2);
   frame34->set_name("frame34");
   frame34->set_border_width(2);
   frame34->set_label_align(0, 0);
   frame34->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame34->add(*vbox28);
   schedule_clist->set_name("schedule_clist");
   schedule_clist->set_border_width(2);
   schedule_clist->set_column_title(0, _("Target"));
   schedule_clist->set_column_justification(0, GTK_JUSTIFY_CENTER);
   schedule_clist->set_column_width(0, 80);
   schedule_clist->set_column_title(1, _("R.A."));
   schedule_clist->set_column_justification(1, GTK_JUSTIFY_CENTER);
   schedule_clist->set_column_width(1, 80);
   schedule_clist->set_column_title(2, _("Declination"));
   schedule_clist->set_column_justification(2, GTK_JUSTIFY_CENTER);
   schedule_clist->set_column_width(2, 80);
   schedule_clist->set_column_title(3, _("Magnitude"));
   schedule_clist->set_column_justification(3, GTK_JUSTIFY_CENTER);
   schedule_clist->set_column_width(3, 80);
   schedule_clist->set_column_title(4, _("Image"));
   schedule_clist->set_column_justification(4, GTK_JUSTIFY_CENTER);
   schedule_clist->set_column_width(4, 80);
   schedule_clist->set_column_title(5, _("Status"));
   schedule_clist->set_column_justification(5, GTK_JUSTIFY_CENTER);
   schedule_clist->set_column_width(5, 80);
   schedule_clist->set_selection_mode(GTK_SELECTION_MULTIPLE);
   schedule_clist->column_titles_show();
   scrolledwindow21->set_usize(-1, 200);
   scrolledwindow21->set_name("scrolledwindow21");
   scrolledwindow21->set_border_width(2);
   scrolledwindow21->set_policy(GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);
   scrolledwindow21->add(*schedule_clist);
   delete_sched_button->set_name("delete_sched_button");
   abort_object_button->set_name("abort_object_button");
   thing_button->set_name("thing_button");
   toolbar3->set_name("toolbar3");
   toolbar3->set_border_width(2);
   toolbar3->set_space_size(5);
   toolbar3->set_tooltips(true);
   vbox52->set_name("vbox52");
   vbox52->pack_start(*scrolledwindow21);
   vbox52->pack_start(*toolbar3, false, false, 0);
   frame64->set_name("frame64");
   frame64->set_border_width(2);
   frame64->set_label_align(0, 0);
   frame64->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame64->add(*vbox52);
   progressbar1->set_name("progressbar1");
   exec_button->set_name("exec_button");
   _tooltips.set_tip(*exec_button, _("Start Observing"), "");
   redo_button->set_name("redo_button");
   _tooltips.set_tip(*redo_button, _("Re-Image Object"), "");
   stop_button->set_name("stop_button");
   _tooltips.set_tip(*stop_button, _("Stop Observing"), "");
   toolbar4->set_name("toolbar4");
   toolbar4->set_space_size(5);
   toolbar4->set_tooltips(true);
   statusbar2->set_name("statusbar2");
   table49->set_name("table49");
   table49->set_border_width(4);
   table49->set_row_spacings(2);
   table49->set_col_spacings(8);
   table49->attach(*progressbar1, 2, 3, 0, 1, 0, 0, 0, 0);
   table49->attach(*toolbar4, 0, 1, 0, 1, 0, 0, 0, 0);
   table49->attach(*statusbar2, 1, 2, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   frame60->set_name("frame60");
   frame60->set_border_width(2);
   frame60->set_label_align(0, 0);
   frame60->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame60->add(*table49);
   vbox27->set_name("vbox27");
   vbox27->pack_start(*frame34, true, false, 0);
   vbox27->pack_start(*frame64);
   vbox27->pack_start(*frame60);
   observation_list_dialog->get_vbox()->set_name("dialog-vbox4");
   observation_list_dialog->get_vbox()->set_spacing(8);
   observation_list_dialog->get_vbox()->pack_start(*vbox27);
   observation_list_dialog->set_name("observation_list_dialog");
   observation_list_dialog->set_border_width(2);
   observation_list_dialog->set_title(_("Observation List"));
   
   Gtk::HButtonBox *dialog_action_area4 = Gtk::wrap((GtkHButtonBox*)GNOME_DIALOG(observation_list_dialog->gtkobj())->action_area);
   dialog_action_area4->set_name("dialog-action_area4");
   dialog_action_area4->set_spacing(8);
   target_clist->show();
   scrolledwindow22->show();
   toolbar2->show();
   vbox28->show();
   frame34->show();
   schedule_clist->show();
   scrolledwindow21->show();
   toolbar3->show();
   vbox52->show();
   frame64->show();
   progressbar1->show();
   toolbar4->show();
   statusbar2->show();
   table49->show();
   frame60->show();
   vbox27->show();
   observation_list_dialog->show();
   observation_list_dialog->get_button(0)->clicked.connect(SigC::slot(static_cast<class observation_list_dialog*>(this), &observation_list_dialog::on_close_button_clicked));
   target_clist->select_row.connect(SigC::slot(static_cast<class observation_list_dialog*>(this), &observation_list_dialog::on_target_clist_select_row));
   schedule_clist->select_row.connect(SigC::slot(static_cast<class observation_list_dialog*>(this), &observation_list_dialog::on_schedule_clist_select_row));
   delete_sched_button->clicked.connect(SigC::slot(static_cast<class observation_list_dialog*>(this), &observation_list_dialog::on_delete_sched_button_clicked));
   abort_object_button->clicked.connect(SigC::slot(static_cast<class observation_list_dialog*>(this), &observation_list_dialog::on_abort_object_button_clicked));
   thing_button->clicked.connect(SigC::slot(static_cast<class observation_list_dialog*>(this), &observation_list_dialog::on_thing_button_clicked));
   exec_button->clicked.connect(SigC::slot(static_cast<class observation_list_dialog*>(this), &observation_list_dialog::on_exec_button_clicked));
   redo_button->clicked.connect(SigC::slot(static_cast<class observation_list_dialog*>(this), &observation_list_dialog::on_redo_button_clicked));
   stop_button->clicked.connect(SigC::slot(static_cast<class observation_list_dialog*>(this), &observation_list_dialog::on_stop_button_clicked));
}

observation_list_dialog_glade::~observation_list_dialog_glade()
{   
}
