// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "observation_log_dialog.hh"
#include <vector>
#include <libgnomeui/gnome-stock.h>
#include <gtk--/button.h>
#include <gtk--/buttonbox.h>
#include <gtk--/calendar.h>
#include <gtk--/box.h>
#include <gtk--/label.h>
#include <gtk--/clist.h>
#include <gtk--/scrolledwindow.h>
#include <gtk--/frame.h>

observation_log_dialog_glade::observation_log_dialog_glade(
) : Gnome::Dialog(_("Observation Log"), vector<string>())
{   
   
   Gnome::Dialog *observation_log_dialog = this;
   observation_log_dialog->append_button(GNOME_STOCK_BUTTON_CLOSE);
   
   Gtk::Calendar *calendar1 = manage(new class Gtk::Calendar());
   Gtk::Button *button48 = manage(new class Gtk::Button(_("Today")));
   Gtk::Button *button49 = manage(new class Gtk::Button(_("Last Entry")));
   Gtk::Button *button60 = manage(new class Gtk::Button(_("Search..")));
   Gtk::HBox *hbox54 = manage(new class Gtk::HBox(true, 60));
   Gtk::CList *clist5 = manage(new class Gtk::CList(4));
   Gtk::ScrolledWindow *scrolledwindow6 = manage(new class Gtk::ScrolledWindow());
   Gtk::Button *button50 = manage(new class Gtk::Button(_("Add..")));
   Gtk::Button *button51 = manage(new class Gtk::Button(_("Delete")));
   Gtk::Button *button52 = manage(new class Gtk::Button(_("Display / Edit")));
   Gtk::HBox *hbox55 = manage(new class Gtk::HBox(true, 60));
   Gtk::VBox *vbox26 = manage(new class Gtk::VBox(false, 2));
   Gtk::Frame *frame33 = manage(new class Gtk::Frame(_("Observation Calendar")));
   Gtk::VBox *vbox25 = manage(new class Gtk::VBox(false, 0));
   observation_log_dialog->get_button(0)->set_name("close_button");
   calendar1->set_name("calendar1");
   calendar1->display_options((GtkCalendarDisplayOptions)(GTK_CALENDAR_SHOW_HEADING|GTK_CALENDAR_SHOW_DAY_NAMES));
   button48->set_name("button48");
   button49->set_name("button49");
   button60->set_name("button60");
   hbox54->set_name("hbox54");
   hbox54->set_border_width(2);
   hbox54->pack_start(*button48);
   hbox54->pack_start(*button49);
   hbox54->pack_start(*button60);
   clist5->set_name("clist5");
   clist5->set_column_title(0, _("Time"));
   clist5->set_column_justification(0, GTK_JUSTIFY_CENTER);
   clist5->set_column_width(0, 80);
   clist5->set_column_title(1, _("Object"));
   clist5->set_column_justification(1, GTK_JUSTIFY_CENTER);
   clist5->set_column_width(1, 80);
   clist5->set_column_title(2, _("Image"));
   clist5->set_column_justification(2, GTK_JUSTIFY_CENTER);
   clist5->set_column_width(2, 80);
   clist5->set_column_title(3, _("Notes"));
   clist5->set_column_justification(3, GTK_JUSTIFY_CENTER);
   clist5->set_column_width(3, 80);
   clist5->column_titles_show();
   scrolledwindow6->set_usize(-1, 200);
   scrolledwindow6->set_name("scrolledwindow6");
   scrolledwindow6->set_border_width(2);
   scrolledwindow6->set_policy(GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);
   scrolledwindow6->add(*clist5);
   button50->set_name("button50");
   button51->set_name("button51");
   button52->set_name("button52");
   hbox55->set_name("hbox55");
   hbox55->set_border_width(2);
   hbox55->pack_start(*button50);
   hbox55->pack_start(*button51);
   hbox55->pack_start(*button52);
   vbox26->set_name("vbox26");
   vbox26->set_border_width(2);
   vbox26->pack_start(*calendar1);
   vbox26->pack_start(*hbox54, false, false, 0);
   vbox26->pack_start(*scrolledwindow6);
   vbox26->pack_start(*hbox55);
   frame33->set_name("frame33");
   frame33->set_border_width(2);
   frame33->set_label_align(0, 0);
   frame33->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame33->add(*vbox26);
   vbox25->set_name("vbox25");
   vbox25->pack_start(*frame33);
   observation_log_dialog->get_vbox()->set_name("dialog-vbox6");
   observation_log_dialog->get_vbox()->set_spacing(8);
   observation_log_dialog->get_vbox()->pack_start(*vbox25);
   observation_log_dialog->set_name("observation_log_dialog");
   observation_log_dialog->set_title(_("Observation Log"));
   observation_log_dialog->set_policy(false, false, false);
   
   Gtk::HButtonBox *dialog_action_area6 = Gtk::wrap((GtkHButtonBox*)GNOME_DIALOG(observation_log_dialog->gtkobj())->action_area);
   dialog_action_area6->set_name("dialog-action_area6");
   dialog_action_area6->set_spacing(8);
   calendar1->show();
   button48->show();
   button49->show();
   button60->show();
   hbox54->show();
   clist5->show();
   scrolledwindow6->show();
   button50->show();
   button51->show();
   button52->show();
   hbox55->show();
   vbox26->show();
   frame33->show();
   vbox25->show();
   observation_log_dialog->show();
   observation_log_dialog->get_button(0)->clicked.connect(SigC::slot(static_cast<class observation_log_dialog*>(this), &observation_log_dialog::on_close_button_clicked));
}

observation_log_dialog_glade::~observation_log_dialog_glade()
{   
}
