// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "observatory_connect.hh"
#include <vector>
#include <libgnomeui/gnome-stock.h>
#include <gtk--/button.h>
#include <gtk--/buttonbox.h>
#include <gtk--/label.h>
#include <gtk--/entry.h>
#include <gtk--/combo.h>
#include <gtk--/box.h>
#include <gtk--/frame.h>
#include <gtk--/text.h>
#include <gtk--/scrolledwindow.h>
#include <gtk--/progressbar.h>

observatory_connect_glade::observatory_connect_glade(
) : Gnome::Dialog(_("Observatory Connection"), vector<string>())
{   
   
   Gnome::Dialog *observatory_connect = this;
   observatory_connect->append_button(GNOME_STOCK_BUTTON_OK);
   observatory_connect->append_button(GNOME_STOCK_BUTTON_CANCEL);
   
   Gtk::Label *label486 = manage(new class Gtk::Label(_("Hostname")));
   Gtk::Combo *hostname_combo = manage(new class Gtk::Combo());
   Gtk::Label *label487 = manage(new class Gtk::Label(_("Port")));
   Gtk::Combo *port_combo = manage(new class Gtk::Combo());
   Gtk::HBox *hbox113 = manage(new class Gtk::HBox(false, 5));
   Gtk::Frame *frame96 = manage(new class Gtk::Frame(_("Server")));
   Gtk::Label *label488 = manage(new class Gtk::Label(_("Username")));
   Gtk::Combo *username_combo = manage(new class Gtk::Combo());
   Gtk::Label *label489 = manage(new class Gtk::Label(_("Password")));
   Gtk::Combo *password_combo = manage(new class Gtk::Combo());
   Gtk::HBox *hbox114 = manage(new class Gtk::HBox(false, 5));
   Gtk::Frame *frame97 = manage(new class Gtk::Frame(_("User")));
   Gtk::Text *text10 = manage(new class Gtk::Text());
   Gtk::ScrolledWindow *status_window = manage(new class Gtk::ScrolledWindow());
   Gtk::Button *connect_button = manage(new class Gtk::Button(_("Connect")));
   Gtk::ProgressBar *progressbar = manage(new class Gtk::ProgressBar());
   Gtk::HBox *hbox115 = manage(new class Gtk::HBox(true, 2));
   Gtk::VBox *vbox82 = manage(new class Gtk::VBox(false, 0));
   Gtk::Frame *frame98 = manage(new class Gtk::Frame(_("Status")));
   Gtk::VBox *vbox81 = manage(new class Gtk::VBox(false, 0));
   observatory_connect->get_button(0)->set_name("ok_button");
   observatory_connect->get_button(1)->set_name("cancel_button");
   label486->set_name("label486");
   label486->set_alignment(0.5, 0.5);
   label486->set_padding(0, 0);
   hostname_combo->get_entry()->set_name("hostname_entry");
   hostname_combo->get_entry()->set_editable(true);
   hostname_combo->set_name("hostname_combo");
   {   
      
      //const char * const (items[]) = { N_(""), 0 };
      //hostname_combo->set_popdown_strings(items);
   }
   hostname_combo->get_entry()->set_name("hostname_entry");
   hostname_combo->get_entry()->set_editable(true);
   label487->set_name("label487");
   label487->set_alignment(0.5, 0.5);
   label487->set_padding(0, 0);
   port_combo->get_entry()->set_name("port_entry");
   port_combo->get_entry()->set_editable(true);
   port_combo->set_name("port_combo");
   {   
      
     // const char * const (items[]) = { N_(""), 0 };
     // port_combo->set_popdown_strings(items);
   }
   port_combo->get_entry()->set_name("port_entry");
   port_combo->get_entry()->set_editable(true);
   hbox113->set_name("hbox113");
   hbox113->set_border_width(2);
   hbox113->pack_start(*label486);
   hbox113->pack_start(*hostname_combo, false, false, 0);
   hbox113->pack_start(*label487);
   hbox113->pack_start(*port_combo, false, false, 0);
   frame96->set_name("frame96");
   frame96->set_border_width(5);
   frame96->set_label_align(0, 0);
   frame96->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame96->add(*hbox113);
   label488->set_name("label488");
   label488->set_alignment(0.5, 0.5);
   label488->set_padding(0, 0);
   username_combo->get_entry()->set_name("username_entry");
   username_combo->get_entry()->set_editable(true);
   username_combo->set_name("username_combo");
   {   
      
     // const char * const (items[]) = { N_(""), 0 };
     // username_combo->set_popdown_strings(items);
   }
   username_combo->get_entry()->set_name("username_entry");
   username_combo->get_entry()->set_editable(true);
   label489->set_name("label489");
   label489->set_alignment(0.5, 0.5);
   label489->set_padding(0, 0);
   password_combo->get_entry()->set_name("password_entry");
   password_combo->get_entry()->set_editable(true);
   password_combo->set_name("password_combo");
   {   
      
    //  const char * const (items[]) = { N_(""), 0 };
     // password_combo->set_popdown_strings(items);
   }
   password_combo->get_entry()->set_name("password_entry");
   password_combo->get_entry()->set_editable(true);
   hbox114->set_name("hbox114");
   hbox114->set_border_width(2);
   hbox114->pack_start(*label488);
   hbox114->pack_start(*username_combo, false, false, 0);
   hbox114->pack_start(*label489);
   hbox114->pack_start(*password_combo, false, false, 0);
   frame97->set_name("frame97");
   frame97->set_border_width(5);
   frame97->set_label_align(0, 0);
   frame97->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame97->add(*hbox114);
   text10->set_name("text10");
   text10->set_editable(false);
   text10->set_word_wrap(false);
   text10->set_point(0);
   status_window->set_name("status_window");
   status_window->set_border_width(2);
   status_window->set_policy(GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);
   status_window->add(*text10);
   connect_button->set_name("connect_button");
   progressbar->set_name("progressbar");
   hbox115->set_name("hbox115");
   hbox115->set_border_width(2);
   hbox115->pack_start(*connect_button, false, true, 0);
   hbox115->pack_start(*progressbar, false, false, 0);
   vbox82->set_name("vbox82");
   vbox82->pack_start(*status_window);
   vbox82->pack_start(*hbox115);
   frame98->set_name("frame98");
   frame98->set_border_width(5);
   frame98->set_label_align(0, 0);
   frame98->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame98->add(*vbox82);
   vbox81->set_name("vbox81");
   vbox81->pack_start(*frame96);
   vbox81->pack_start(*frame97);
   vbox81->pack_start(*frame98);
   observatory_connect->get_vbox()->set_name("dialog-vbox12");
   observatory_connect->get_vbox()->set_spacing(8);
   observatory_connect->get_vbox()->pack_start(*vbox81);
   observatory_connect->set_name("observatory_connect");
   observatory_connect->set_title(_("Observatory Connection"));
   observatory_connect->set_policy(false, false, false);
   
   Gtk::HButtonBox *dialog_action_area12 = Gtk::wrap((GtkHButtonBox*)GNOME_DIALOG(observatory_connect->gtkobj())->action_area);
   dialog_action_area12->set_name("dialog-action_area12");
   dialog_action_area12->set_spacing(8);
   label486->show();
   hostname_combo->show();
   label487->show();
   port_combo->show();
   hbox113->show();
   frame96->show();
   label488->show();
   username_combo->show();
   label489->show();
   password_combo->show();
   hbox114->show();
   frame97->show();
   text10->show();
   status_window->show();
   connect_button->show();
   progressbar->show();
   hbox115->show();
   vbox82->show();
   frame98->show();
   vbox81->show();
   observatory_connect->show();
   observatory_connect->get_button(0)->clicked.connect(SigC::slot(static_cast<class observatory_connect*>(this), &observatory_connect::on_ok_button_clicked));
   observatory_connect->get_button(1)->clicked.connect(SigC::slot(static_cast<class observatory_connect*>(this), &observatory_connect::on_cancel_button_clicked));
   hostname_combo->get_entry()->changed.connect(SigC::slot(static_cast<class observatory_connect*>(this), &observatory_connect::on_hostname_entry_changed));
   port_combo->get_entry()->changed.connect(SigC::slot(static_cast<class observatory_connect*>(this), &observatory_connect::on_port_entry_changed));
   username_combo->get_entry()->changed.connect(SigC::slot(static_cast<class observatory_connect*>(this), &observatory_connect::on_username_entry_changed));
   password_combo->get_entry()->changed.connect(SigC::slot(static_cast<class observatory_connect*>(this), &observatory_connect::on_password_entry_changed));
   connect_button->clicked.connect(SigC::slot(static_cast<class observatory_connect*>(this), &observatory_connect::on_connect_button_clicked));
}

observatory_connect_glade::~observatory_connect_glade()
{   
}
