// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#ifndef _SKY_DEEP_DIALOG_HH
#  include "sky_deep_dialog_glade.hh"
#  define _SKY_DEEP_DIALOG_HH
class sky_deep_dialog : public sky_deep_dialog_glade
{   
        
        friend class sky_deep_dialog_glade;
};

class field_stars_settings : public field_stars_settings_glade
{   
        
        friend class field_stars_settings_glade;
        void on_field_stars_show_all_toggled();
        void on_field_stars_show_selection_toggled();
        void on_field_stars_show_magnitude_toggled();
        void on_field_stars_limiting_magnitude_changed();
        void on_field_stars_hst_toggled();
        void on_field_stars_hip_tycho_toggled();
        void on_field_stars_variable_stars_toggled();
};

class galaxies_settings : public galaxies_settings_glade
{   
        
        friend class galaxies_settings_glade;
        void on_galaxies_show_all_toggled();
        void on_galaxies_show_selection_toggled();
        void on_galaxies_show_diameter_toggled();
        void on_galaxies_diameter_minimum_changed();
        void on_galaxies_diameter_maximum_changed();
        void on_galaxies_show_magnitude_toggled();
        void on_galaxies_limiting_magnitude_changed();
        void on_galaxies_show_position_toggled();
        void on_galaxies_position_arcminutes_changed();
        void on_galaxies_position_ra_hours_changed();
        void on_galaxies_position_ra_arcminutes_changed();
        void on_galaxies_position_ra_arcseconds_changed();
        void on_galaxies_position_dec_degrees_changed();
        void on_galaxies_position_dec_arcminutes_changed();
        void on_galaxies_position_dec_arcseconds_changed();
};

class nebulae_settings : public nebulae_settings_glade
{   
        
        friend class nebulae_settings_glade;
        void on_nebulae_show_all_toggled();
        void on_nebulae_show_selection_toggled();
        void on_nebulae_show_diameter_toggled();
        void on_nebuale_diameter_minimum_changed();
        void on_nebulae_diameter_maximum_changed();
        void on_nebulae_show_magnitude_toggled();
        void on_nebulae_limiting_magnitude_changed();
        void on_nebulae_show_position_toggled();
        void on_nebulae_position_arc_minutes_changed();
        void on_nebulae_position_ra_hours_changed();
        void on_nebulae_position_ra_arcminutes_changed();
        void on_nebulae_position_ra_arcseconds_changed();
        void on_nebulae_position_dec_degrees_changed();
        void on_nebulae_position_dec_arcminutes_changed();
        void on_nebulae_position_dec_arcseconds_changed();
};
#endif
