// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "sky_deep_dialog.hh"
#include <vector>
#include <gtk--/label.h>
#include <gtk--/notebook.h>

sky_deep_dialog_glade::sky_deep_dialog_glade(
)
{   
   
   Gnome::PropertyBox *sky_deep_dialog = this;
   field_stars_settings *field_stars_settings = manage(new class field_stars_settings());
   Gtk::Label *label377 = manage(new class Gtk::Label(_("Field Stars")));
   galaxies_settings *galaxies_settings = manage(new class galaxies_settings());
   Gtk::Label *label378 = manage(new class Gtk::Label(_("Galaxies")));
   nebulae_settings *nebulae_settings = manage(new class nebulae_settings());
   Gtk::Label *label379 = manage(new class Gtk::Label(_("Nebulae")));
   label377->set_name("label377");
   label377->set_alignment(0.5, 0.5);
   label377->set_padding(0, 0);
   label378->set_name("label378");
   label378->set_alignment(0.5, 0.5);
   label378->set_padding(0, 0);
   label379->set_name("label379");
   label379->set_alignment(0.5, 0.5);
   label379->set_padding(0, 0);
   sky_deep_dialog->set_name("sky_deep_dialog");
   sky_deep_dialog->set_border_width(2);
   sky_deep_dialog->set_title(_("Deep Sky Settings"));
   sky_deep_dialog->set_policy(false, false, false);
   
   Gtk::Notebook *notebook13 = Gtk::wrap((GtkNotebook*)GNOME_PROPERTY_BOX(sky_deep_dialog->gtkobj())->notebook);
   notebook13->set_name("notebook13");
   notebook13->set_show_tabs(true);
   notebook13->set_tab_border(3);
   sky_deep_dialog->append_page(*field_stars_settings, *label377);
   sky_deep_dialog->append_page(*galaxies_settings, *label378);
   sky_deep_dialog->append_page(*nebulae_settings, *label379);
   label377->show();
   label378->show();
   label379->show();
   sky_deep_dialog->show();
}

sky_deep_dialog_glade::~sky_deep_dialog_glade()
{   
}

#include <gtk--/radiobutton.h>
#include <gtk--/box.h>
#include <gtk--/checkbutton.h>
#include <gtk--/spinbutton.h>
#include <gtk--/adjustment.h>

field_stars_settings_glade::field_stars_settings_glade(
)
{   
   
   Gtk::VBox *field_stars_settings = this;
   Gtk::RadioButton::Group _RadioBGroup_;
   Gtk::RadioButton *field_stars_show_all = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Show All")));
   Gtk::RadioButton *field_stars_show_selection = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Show Selection")));
   Gtk::HBox *hbox44 = manage(new class Gtk::HBox(false, 0));
   Gtk::CheckButton *field_stars_show_magnitude = manage(new class Gtk::CheckButton(_("Show - Limiting Magnitude")));
   Gtk::Adjustment *field_stars_limiting_magnitude_adj = manage(new class Gtk::Adjustment(10, -5, 100, 1, 10, 10));
   Gtk::SpinButton *field_stars_limiting_magnitude = manage(new class Gtk::SpinButton(*field_stars_limiting_magnitude_adj, 1, 2));
   Gtk::HBox *hbox45 = manage(new class Gtk::HBox(false, 0));
   Gtk::Label *label130 = manage(new class Gtk::Label(_("Source")));
   Gtk::CheckButton *field_stars_hst = manage(new class Gtk::CheckButton(_("HST GSC")));
   Gtk::CheckButton *field_stars_hip_tycho = manage(new class Gtk::CheckButton(_("Hip-Tycho")));
   Gtk::CheckButton *field_stars_variable_stars = manage(new class Gtk::CheckButton(_("Variable Stars")));
   Gtk::HBox *hbox46 = manage(new class Gtk::HBox(false, 0));
   field_stars_show_all->set_name("field_stars_show_all");
   field_stars_show_selection->set_name("field_stars_show_selection");
   field_stars_show_selection->set_active(true);
   hbox44->set_name("hbox44");
   hbox44->set_border_width(2);
   hbox44->pack_start(*field_stars_show_all, false, false, 0);
   hbox44->pack_start(*field_stars_show_selection, false, false, 0);
   field_stars_show_magnitude->set_usize(190, -1);
   field_stars_show_magnitude->set_name("field_stars_show_magnitude");
   field_stars_limiting_magnitude->set_usize(55, -1);
   field_stars_limiting_magnitude->set_name("field_stars_limiting_magnitude");
   field_stars_limiting_magnitude->set_editable(true);
   field_stars_limiting_magnitude->set_numeric(true);
   field_stars_limiting_magnitude->set_digits(2);
   hbox45->set_name("hbox45");
   hbox45->set_border_width(2);
   hbox45->pack_start(*field_stars_show_magnitude, false, true, 0);
   hbox45->pack_start(*field_stars_limiting_magnitude, false, true, 0);
   label130->set_name("label130");
   label130->set_alignment(0.5, 0.5);
   label130->set_padding(0, 0);
   field_stars_hst->set_name("field_stars_hst");
   field_stars_hip_tycho->set_name("field_stars_hip_tycho");
   field_stars_variable_stars->set_name("field_stars_variable_stars");
   hbox46->set_name("hbox46");
   hbox46->set_border_width(2);
   hbox46->pack_start(*label130);
   hbox46->pack_start(*field_stars_hst);
   hbox46->pack_start(*field_stars_hip_tycho);
   hbox46->pack_start(*field_stars_variable_stars);
   field_stars_settings->set_name("field_stars_settings");
   field_stars_settings->set_border_width(2);
   field_stars_settings->pack_start(*hbox44);
   field_stars_settings->pack_start(*hbox45);
   field_stars_settings->pack_start(*hbox46);
   field_stars_show_all->show();
   field_stars_show_selection->show();
   hbox44->show();
   field_stars_show_magnitude->show();
   field_stars_limiting_magnitude->show();
   hbox45->show();
   label130->show();
   field_stars_hst->show();
   field_stars_hip_tycho->show();
   field_stars_variable_stars->show();
   hbox46->show();
   field_stars_settings->show();
   field_stars_show_all->toggled.connect(SigC::slot(static_cast<class field_stars_settings*>(this), &field_stars_settings::on_field_stars_show_all_toggled));
   field_stars_show_selection->toggled.connect(SigC::slot(static_cast<class field_stars_settings*>(this), &field_stars_settings::on_field_stars_show_selection_toggled));
   field_stars_show_magnitude->toggled.connect(SigC::slot(static_cast<class field_stars_settings*>(this), &field_stars_settings::on_field_stars_show_magnitude_toggled));
   field_stars_limiting_magnitude->changed.connect(SigC::slot(static_cast<class field_stars_settings*>(this), &field_stars_settings::on_field_stars_limiting_magnitude_changed));
   field_stars_hst->toggled.connect(SigC::slot(static_cast<class field_stars_settings*>(this), &field_stars_settings::on_field_stars_hst_toggled));
   field_stars_hip_tycho->toggled.connect(SigC::slot(static_cast<class field_stars_settings*>(this), &field_stars_settings::on_field_stars_hip_tycho_toggled));
   field_stars_variable_stars->toggled.connect(SigC::slot(static_cast<class field_stars_settings*>(this), &field_stars_settings::on_field_stars_variable_stars_toggled));
}

field_stars_settings_glade::~field_stars_settings_glade()
{   
}

#include <gtk--/table.h>

galaxies_settings_glade::galaxies_settings_glade(
)
{   
   
   Gtk::VBox *galaxies_settings = this;
   Gtk::RadioButton::Group _RadioBGroup_;
   Gtk::RadioButton *galaxies_show_all = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Show All")));
   Gtk::RadioButton *galaxies_show_selection = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Show Selection")));
   Gtk::HBox *hbox34 = manage(new class Gtk::HBox(false, 0));
   Gtk::CheckButton *galaxies_show_diameter = manage(new class Gtk::CheckButton(_("Show - Semi-major diameter")));
   Gtk::Adjustment *galaxies_diameter_minimum_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *galaxies_diameter_minimum = manage(new class Gtk::SpinButton(*galaxies_diameter_minimum_adj, 1, 2));
   Gtk::Label *label112 = manage(new class Gtk::Label(_("and")));
   Gtk::Adjustment *galaxies_diameter_maximum_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *galaxies_diameter_maximum = manage(new class Gtk::SpinButton(*galaxies_diameter_maximum_adj, 1, 2));
   Gtk::Label *label113 = manage(new class Gtk::Label(_(" arc seconds")));
   Gtk::HBox *hbox35 = manage(new class Gtk::HBox(false, 0));
   Gtk::CheckButton *galaxies_show_magnitude = manage(new class Gtk::CheckButton(_("Show - Limiting Magnitude")));
   Gtk::Adjustment *galaxies_limiting_magnitude_adj = manage(new class Gtk::Adjustment(10, -5, 100, 1, 10, 10));
   Gtk::SpinButton *galaxies_limiting_magnitude = manage(new class Gtk::SpinButton(*galaxies_limiting_magnitude_adj, 1, 2));
   Gtk::HBox *hbox36 = manage(new class Gtk::HBox(false, 0));
   Gtk::CheckButton *galaxies_show_position = manage(new class Gtk::CheckButton(_("Show - Position within")));
   Gtk::Adjustment *galaxies_position_arcminutes_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *galaxies_position_arcminutes = manage(new class Gtk::SpinButton(*galaxies_position_arcminutes_adj, 1, 3));
   Gtk::Label *label114 = manage(new class Gtk::Label(_("arcminutes of")));
   Gtk::Adjustment *galaxies_position_ra_hours_adj = manage(new class Gtk::Adjustment(0, -90, 90, 1, 10, 10));
   Gtk::SpinButton *galaxies_position_ra_hours = manage(new class Gtk::SpinButton(*galaxies_position_ra_hours_adj, 1, 0));
   Gtk::Label *label115 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *galaxies_position_ra_arcminutes_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *galaxies_position_ra_arcminutes = manage(new class Gtk::SpinButton(*galaxies_position_ra_arcminutes_adj, 1, 0));
   Gtk::Label *label116 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *galaxies_position_ra_arcseconds_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *galaxies_position_ra_arcseconds = manage(new class Gtk::SpinButton(*galaxies_position_ra_arcseconds_adj, 1, 0));
   Gtk::HBox *hbox37 = manage(new class Gtk::HBox(false, 0));
   Gtk::Adjustment *galaxies_position_dec_degrees_adj = manage(new class Gtk::Adjustment(0, -90, 90, 1, 10, 10));
   Gtk::SpinButton *galaxies_position_dec_degrees = manage(new class Gtk::SpinButton(*galaxies_position_dec_degrees_adj, 1, 0));
   Gtk::Label *label117 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *galaxies_position_dec_arcminutes_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *galaxies_position_dec_arcminutes = manage(new class Gtk::SpinButton(*galaxies_position_dec_arcminutes_adj, 1, 0));
   Gtk::Label *label118 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *galaxies_position_dec_arcseconds_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *galaxies_position_dec_arcseconds = manage(new class Gtk::SpinButton(*galaxies_position_dec_arcseconds_adj, 1, 0));
   Gtk::HBox *hbox38 = manage(new class Gtk::HBox(false, 0));
   Gtk::Label *label119 = manage(new class Gtk::Label(_("R.A.")));
   Gtk::Label *label120 = manage(new class Gtk::Label(_("Declination")));
   Gtk::Table *table32 = manage(new class Gtk::Table(2, 5, false));
   galaxies_show_all->set_name("galaxies_show_all");
   galaxies_show_selection->set_name("galaxies_show_selection");
   hbox34->set_name("hbox34");
   hbox34->set_border_width(2);
   hbox34->pack_start(*galaxies_show_all, false, false, 0);
   hbox34->pack_start(*galaxies_show_selection, false, false, 0);
   galaxies_show_diameter->set_usize(190, -1);
   galaxies_show_diameter->set_name("galaxies_show_diameter");
   galaxies_diameter_minimum->set_usize(55, -1);
   galaxies_diameter_minimum->set_name("galaxies_diameter_minimum");
   galaxies_diameter_minimum->set_editable(true);
   galaxies_diameter_minimum->set_numeric(true);
   galaxies_diameter_minimum->set_digits(2);
   label112->set_name("label112");
   label112->set_alignment(0.5, 0.5);
   label112->set_padding(0, 0);
   galaxies_diameter_maximum->set_usize(55, -1);
   galaxies_diameter_maximum->set_name("galaxies_diameter_maximum");
   galaxies_diameter_maximum->set_editable(true);
   galaxies_diameter_maximum->set_numeric(true);
   galaxies_diameter_maximum->set_digits(2);
   label113->set_name("label113");
   label113->set_alignment(0.5, 0.5);
   label113->set_padding(0, 0);
   hbox35->set_name("hbox35");
   hbox35->set_border_width(2);
   hbox35->pack_start(*galaxies_show_diameter, false, true, 0);
   hbox35->pack_start(*galaxies_diameter_minimum, false, true, 0);
   hbox35->pack_start(*label112, false, true, 0);
   hbox35->pack_start(*galaxies_diameter_maximum, false, true, 0);
   hbox35->pack_start(*label113, false, false, 0);
   galaxies_show_magnitude->set_usize(190, -1);
   galaxies_show_magnitude->set_name("galaxies_show_magnitude");
   galaxies_limiting_magnitude->set_usize(55, -1);
   galaxies_limiting_magnitude->set_name("galaxies_limiting_magnitude");
   galaxies_limiting_magnitude->set_editable(true);
   galaxies_limiting_magnitude->set_numeric(true);
   galaxies_limiting_magnitude->set_digits(2);
   hbox36->set_name("hbox36");
   hbox36->set_border_width(2);
   hbox36->pack_start(*galaxies_show_magnitude, false, true, 0);
   hbox36->pack_start(*galaxies_limiting_magnitude, false, true, 0);
   galaxies_show_position->set_name("galaxies_show_position");
   galaxies_position_arcminutes->set_usize(55, -1);
   galaxies_position_arcminutes->set_name("galaxies_position_arcminutes");
   galaxies_position_arcminutes->set_editable(true);
   galaxies_position_arcminutes->set_numeric(true);
   galaxies_position_arcminutes->set_digits(3);
   label114->set_name("label114");
   label114->set_alignment(0.5, 0.5);
   label114->set_padding(0, 0);
   galaxies_position_ra_hours->set_name("galaxies_position_ra_hours");
   galaxies_position_ra_hours->set_editable(true);
   galaxies_position_ra_hours->set_numeric(true);
   label115->set_name("label115");
   label115->set_alignment(0.5, 0.5);
   label115->set_padding(0, 0);
   galaxies_position_ra_arcminutes->set_name("galaxies_position_ra_arcminutes");
   galaxies_position_ra_arcminutes->set_editable(true);
   galaxies_position_ra_arcminutes->set_numeric(true);
   label116->set_name("label116");
   label116->set_alignment(0.5, 0.5);
   label116->set_padding(0, 0);
   galaxies_position_ra_arcseconds->set_name("galaxies_position_ra_arcseconds");
   galaxies_position_ra_arcseconds->set_editable(true);
   galaxies_position_ra_arcseconds->set_numeric(true);
   hbox37->set_name("hbox37");
   hbox37->pack_start(*galaxies_position_ra_hours);
   hbox37->pack_start(*label115, false, false, 0);
   hbox37->pack_start(*galaxies_position_ra_arcminutes);
   hbox37->pack_start(*label116, false, false, 0);
   hbox37->pack_start(*galaxies_position_ra_arcseconds);
   galaxies_position_dec_degrees->set_name("galaxies_position_dec_degrees");
   galaxies_position_dec_degrees->set_editable(true);
   galaxies_position_dec_degrees->set_numeric(true);
   label117->set_name("label117");
   label117->set_alignment(0.5, 0.5);
   label117->set_padding(0, 0);
   galaxies_position_dec_arcminutes->set_name("galaxies_position_dec_arcminutes");
   galaxies_position_dec_arcminutes->set_editable(true);
   galaxies_position_dec_arcminutes->set_numeric(true);
   label118->set_name("label118");
   label118->set_alignment(0.5, 0.5);
   label118->set_padding(0, 0);
   galaxies_position_dec_arcseconds->set_name("galaxies_position_dec_arcseconds");
   galaxies_position_dec_arcseconds->set_editable(true);
   galaxies_position_dec_arcseconds->set_numeric(true);
   hbox38->set_name("hbox38");
   hbox38->pack_start(*galaxies_position_dec_degrees);
   hbox38->pack_start(*label117, false, false, 0);
   hbox38->pack_start(*galaxies_position_dec_arcminutes);
   hbox38->pack_start(*label118, false, false, 0);
   hbox38->pack_start(*galaxies_position_dec_arcseconds);
   label119->set_name("label119");
   label119->set_alignment(0.5, 0.5);
   label119->set_padding(0, 0);
   label120->set_name("label120");
   label120->set_alignment(0.5, 0.5);
   label120->set_padding(0, 0);
   table32->set_name("table32");
   table32->set_border_width(2);
   table32->set_row_spacings(2);
   table32->set_col_spacings(2);
   table32->attach(*galaxies_show_position, 0, 1, 0, 1, 0, 0, 0, 0);
   table32->attach(*galaxies_position_arcminutes, 1, 2, 0, 1, 0, 0, 0, 0);
   table32->attach(*label114, 2, 3, 0, 1, 0, 0, 0, 0);
   table32->attach(*hbox37, 4, 5, 0, 1, GTK_EXPAND|GTK_FILL, GTK_FILL, 0, 0);
   table32->attach(*hbox38, 4, 5, 1, 2, GTK_FILL, GTK_EXPAND|GTK_FILL, 0, 0);
   table32->attach(*label119, 3, 4, 0, 1, 0, 0, 0, 0);
   table32->attach(*label120, 3, 4, 1, 2, 0, 0, 0, 0);
   galaxies_settings->set_name("galaxies_settings");
   galaxies_settings->set_border_width(2);
   galaxies_settings->pack_start(*hbox34);
   galaxies_settings->pack_start(*hbox35);
   galaxies_settings->pack_start(*hbox36);
   galaxies_settings->pack_start(*table32);
   galaxies_show_all->show();
   galaxies_show_selection->show();
   hbox34->show();
   galaxies_show_diameter->show();
   galaxies_diameter_minimum->show();
   label112->show();
   galaxies_diameter_maximum->show();
   label113->show();
   hbox35->show();
   galaxies_show_magnitude->show();
   galaxies_limiting_magnitude->show();
   hbox36->show();
   galaxies_show_position->show();
   galaxies_position_arcminutes->show();
   label114->show();
   galaxies_position_ra_hours->show();
   label115->show();
   galaxies_position_ra_arcminutes->show();
   label116->show();
   galaxies_position_ra_arcseconds->show();
   hbox37->show();
   galaxies_position_dec_degrees->show();
   label117->show();
   galaxies_position_dec_arcminutes->show();
   label118->show();
   galaxies_position_dec_arcseconds->show();
   hbox38->show();
   label119->show();
   label120->show();
   table32->show();
   galaxies_settings->show();
   galaxies_show_all->toggled.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_show_all_toggled));
   galaxies_show_selection->toggled.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_show_selection_toggled));
   galaxies_show_diameter->toggled.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_show_diameter_toggled));
   galaxies_diameter_minimum->changed.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_diameter_minimum_changed));
   galaxies_diameter_maximum->changed.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_diameter_maximum_changed));
   galaxies_show_magnitude->toggled.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_show_magnitude_toggled));
   galaxies_limiting_magnitude->changed.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_limiting_magnitude_changed));
   galaxies_show_position->toggled.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_show_position_toggled));
   galaxies_position_arcminutes->changed.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_position_arcminutes_changed));
   galaxies_position_ra_hours->changed.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_position_ra_hours_changed));
   galaxies_position_ra_arcminutes->changed.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_position_ra_arcminutes_changed));
   galaxies_position_ra_arcseconds->changed.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_position_ra_arcseconds_changed));
   galaxies_position_dec_degrees->changed.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_position_dec_degrees_changed));
   galaxies_position_dec_arcminutes->changed.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_position_dec_arcminutes_changed));
   galaxies_position_dec_arcseconds->changed.connect(SigC::slot(static_cast<class galaxies_settings*>(this), &galaxies_settings::on_galaxies_position_dec_arcseconds_changed));
}

galaxies_settings_glade::~galaxies_settings_glade()
{   
}

nebulae_settings_glade::nebulae_settings_glade(
)
{   
   
   Gtk::VBox *nebulae_settings = this;
   Gtk::RadioButton::Group _RadioBGroup_;
   Gtk::RadioButton *nebulae_show_all = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Show All")));
   Gtk::RadioButton *nebulae_show_selection = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Show Selection")));
   Gtk::HBox *hbox39 = manage(new class Gtk::HBox(false, 0));
   Gtk::CheckButton *nebulae_show_diameter = manage(new class Gtk::CheckButton(_("Show - Semi-major diameter")));
   Gtk::Adjustment *nebuale_diameter_minimum_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *nebuale_diameter_minimum = manage(new class Gtk::SpinButton(*nebuale_diameter_minimum_adj, 1, 2));
   Gtk::Label *label121 = manage(new class Gtk::Label(_("and")));
   Gtk::Adjustment *nebulae_diameter_maximum_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *nebulae_diameter_maximum = manage(new class Gtk::SpinButton(*nebulae_diameter_maximum_adj, 1, 2));
   Gtk::Label *label122 = manage(new class Gtk::Label(_(" arc seconds")));
   Gtk::HBox *hbox40 = manage(new class Gtk::HBox(false, 0));
   Gtk::CheckButton *nebulae_show_magnitude = manage(new class Gtk::CheckButton(_("Show - Limiting Magnitude")));
   Gtk::Adjustment *nebulae_limiting_magnitude_adj = manage(new class Gtk::Adjustment(10, -5, 100, 1, 10, 10));
   Gtk::SpinButton *nebulae_limiting_magnitude = manage(new class Gtk::SpinButton(*nebulae_limiting_magnitude_adj, 1, 2));
   Gtk::HBox *hbox41 = manage(new class Gtk::HBox(false, 0));
   Gtk::CheckButton *nebulae_show_position = manage(new class Gtk::CheckButton(_("Show - Position within")));
   Gtk::Adjustment *nebulae_position_arc_minutes_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *nebulae_position_arc_minutes = manage(new class Gtk::SpinButton(*nebulae_position_arc_minutes_adj, 1, 3));
   Gtk::Label *label123 = manage(new class Gtk::Label(_("arcminutes of")));
   Gtk::Adjustment *nebulae_position_ra_hours_adj = manage(new class Gtk::Adjustment(0, -90, 90, 1, 10, 10));
   Gtk::SpinButton *nebulae_position_ra_hours = manage(new class Gtk::SpinButton(*nebulae_position_ra_hours_adj, 1, 0));
   Gtk::Label *label124 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *nebulae_position_ra_arcminutes_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *nebulae_position_ra_arcminutes = manage(new class Gtk::SpinButton(*nebulae_position_ra_arcminutes_adj, 1, 0));
   Gtk::Label *label125 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *nebulae_position_ra_arcseconds_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *nebulae_position_ra_arcseconds = manage(new class Gtk::SpinButton(*nebulae_position_ra_arcseconds_adj, 1, 0));
   Gtk::HBox *hbox42 = manage(new class Gtk::HBox(false, 0));
   Gtk::Adjustment *nebulae_position_dec_degrees_adj = manage(new class Gtk::Adjustment(0, -90, 90, 1, 10, 10));
   Gtk::SpinButton *nebulae_position_dec_degrees = manage(new class Gtk::SpinButton(*nebulae_position_dec_degrees_adj, 1, 0));
   Gtk::Label *label126 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *nebulae_position_dec_arcminutes_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *nebulae_position_dec_arcminutes = manage(new class Gtk::SpinButton(*nebulae_position_dec_arcminutes_adj, 1, 0));
   Gtk::Label *label127 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *nebulae_position_dec_arcseconds_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *nebulae_position_dec_arcseconds = manage(new class Gtk::SpinButton(*nebulae_position_dec_arcseconds_adj, 1, 0));
   Gtk::HBox *hbox43 = manage(new class Gtk::HBox(false, 0));
   Gtk::Label *label128 = manage(new class Gtk::Label(_("R.A.")));
   Gtk::Label *label129 = manage(new class Gtk::Label(_("Declination")));
   Gtk::Table *table33 = manage(new class Gtk::Table(2, 5, false));
   nebulae_show_all->set_name("nebulae_show_all");
   nebulae_show_selection->set_name("nebulae_show_selection");
   hbox39->set_name("hbox39");
   hbox39->set_border_width(2);
   hbox39->pack_start(*nebulae_show_all, false, false, 0);
   hbox39->pack_start(*nebulae_show_selection, false, false, 0);
   nebulae_show_diameter->set_usize(190, -1);
   nebulae_show_diameter->set_name("nebulae_show_diameter");
   nebuale_diameter_minimum->set_usize(55, -1);
   nebuale_diameter_minimum->set_name("nebuale_diameter_minimum");
   nebuale_diameter_minimum->set_editable(true);
   nebuale_diameter_minimum->set_numeric(true);
   nebuale_diameter_minimum->set_digits(2);
   label121->set_name("label121");
   label121->set_alignment(0.5, 0.5);
   label121->set_padding(0, 0);
   nebulae_diameter_maximum->set_usize(55, -1);
   nebulae_diameter_maximum->set_name("nebulae_diameter_maximum");
   nebulae_diameter_maximum->set_editable(true);
   nebulae_diameter_maximum->set_numeric(true);
   nebulae_diameter_maximum->set_digits(2);
   label122->set_name("label122");
   label122->set_alignment(0.5, 0.5);
   label122->set_padding(0, 0);
   hbox40->set_name("hbox40");
   hbox40->set_border_width(2);
   hbox40->pack_start(*nebulae_show_diameter, false, true, 0);
   hbox40->pack_start(*nebuale_diameter_minimum, false, true, 0);
   hbox40->pack_start(*label121, false, true, 0);
   hbox40->pack_start(*nebulae_diameter_maximum, false, true, 0);
   hbox40->pack_start(*label122, false, false, 0);
   nebulae_show_magnitude->set_usize(190, -1);
   nebulae_show_magnitude->set_name("nebulae_show_magnitude");
   nebulae_limiting_magnitude->set_usize(55, -1);
   nebulae_limiting_magnitude->set_name("nebulae_limiting_magnitude");
   nebulae_limiting_magnitude->set_editable(true);
   nebulae_limiting_magnitude->set_numeric(true);
   nebulae_limiting_magnitude->set_digits(2);
   hbox41->set_name("hbox41");
   hbox41->set_border_width(2);
   hbox41->pack_start(*nebulae_show_magnitude, false, true, 0);
   hbox41->pack_start(*nebulae_limiting_magnitude, false, true, 0);
   nebulae_show_position->set_name("nebulae_show_position");
   nebulae_position_arc_minutes->set_usize(55, -1);
   nebulae_position_arc_minutes->set_name("nebulae_position_arc_minutes");
   nebulae_position_arc_minutes->set_editable(true);
   nebulae_position_arc_minutes->set_numeric(true);
   nebulae_position_arc_minutes->set_digits(3);
   label123->set_name("label123");
   label123->set_alignment(0.5, 0.5);
   label123->set_padding(0, 0);
   nebulae_position_ra_hours->set_name("nebulae_position_ra_hours");
   nebulae_position_ra_hours->set_editable(true);
   nebulae_position_ra_hours->set_numeric(true);
   label124->set_name("label124");
   label124->set_alignment(0.5, 0.5);
   label124->set_padding(0, 0);
   nebulae_position_ra_arcminutes->set_name("nebulae_position_ra_arcminutes");
   nebulae_position_ra_arcminutes->set_editable(true);
   nebulae_position_ra_arcminutes->set_numeric(true);
   label125->set_name("label125");
   label125->set_alignment(0.5, 0.5);
   label125->set_padding(0, 0);
   nebulae_position_ra_arcseconds->set_name("nebulae_position_ra_arcseconds");
   nebulae_position_ra_arcseconds->set_editable(true);
   nebulae_position_ra_arcseconds->set_numeric(true);
   hbox42->set_name("hbox42");
   hbox42->pack_start(*nebulae_position_ra_hours);
   hbox42->pack_start(*label124, false, false, 0);
   hbox42->pack_start(*nebulae_position_ra_arcminutes);
   hbox42->pack_start(*label125, false, false, 0);
   hbox42->pack_start(*nebulae_position_ra_arcseconds);
   nebulae_position_dec_degrees->set_name("nebulae_position_dec_degrees");
   nebulae_position_dec_degrees->set_editable(true);
   nebulae_position_dec_degrees->set_numeric(true);
   label126->set_name("label126");
   label126->set_alignment(0.5, 0.5);
   label126->set_padding(0, 0);
   nebulae_position_dec_arcminutes->set_name("nebulae_position_dec_arcminutes");
   nebulae_position_dec_arcminutes->set_editable(true);
   nebulae_position_dec_arcminutes->set_numeric(true);
   label127->set_name("label127");
   label127->set_alignment(0.5, 0.5);
   label127->set_padding(0, 0);
   nebulae_position_dec_arcseconds->set_name("nebulae_position_dec_arcseconds");
   nebulae_position_dec_arcseconds->set_editable(true);
   nebulae_position_dec_arcseconds->set_numeric(true);
   hbox43->set_name("hbox43");
   hbox43->pack_start(*nebulae_position_dec_degrees);
   hbox43->pack_start(*label126, false, false, 0);
   hbox43->pack_start(*nebulae_position_dec_arcminutes);
   hbox43->pack_start(*label127, false, false, 0);
   hbox43->pack_start(*nebulae_position_dec_arcseconds);
   label128->set_name("label128");
   label128->set_alignment(0.5, 0.5);
   label128->set_padding(0, 0);
   label129->set_name("label129");
   label129->set_alignment(0.5, 0.5);
   label129->set_padding(0, 0);
   table33->set_name("table33");
   table33->set_border_width(2);
   table33->set_row_spacings(2);
   table33->set_col_spacings(2);
   table33->attach(*nebulae_show_position, 0, 1, 0, 1, 0, 0, 0, 0);
   table33->attach(*nebulae_position_arc_minutes, 1, 2, 0, 1, 0, 0, 0, 0);
   table33->attach(*label123, 2, 3, 0, 1, 0, 0, 0, 0);
   table33->attach(*hbox42, 4, 5, 0, 1, GTK_EXPAND|GTK_FILL, GTK_FILL, 0, 0);
   table33->attach(*hbox43, 4, 5, 1, 2, GTK_FILL, GTK_EXPAND|GTK_FILL, 0, 0);
   table33->attach(*label128, 3, 4, 0, 1, 0, 0, 0, 0);
   table33->attach(*label129, 3, 4, 1, 2, 0, 0, 0, 0);
   nebulae_settings->set_name("nebulae_settings");
   nebulae_settings->set_border_width(2);
   nebulae_settings->pack_start(*hbox39);
   nebulae_settings->pack_start(*hbox40);
   nebulae_settings->pack_start(*hbox41);
   nebulae_settings->pack_start(*table33);
   nebulae_show_all->show();
   nebulae_show_selection->show();
   hbox39->show();
   nebulae_show_diameter->show();
   nebuale_diameter_minimum->show();
   label121->show();
   nebulae_diameter_maximum->show();
   label122->show();
   hbox40->show();
   nebulae_show_magnitude->show();
   nebulae_limiting_magnitude->show();
   hbox41->show();
   nebulae_show_position->show();
   nebulae_position_arc_minutes->show();
   label123->show();
   nebulae_position_ra_hours->show();
   label124->show();
   nebulae_position_ra_arcminutes->show();
   label125->show();
   nebulae_position_ra_arcseconds->show();
   hbox42->show();
   nebulae_position_dec_degrees->show();
   label126->show();
   nebulae_position_dec_arcminutes->show();
   label127->show();
   nebulae_position_dec_arcseconds->show();
   hbox43->show();
   label128->show();
   label129->show();
   table33->show();
   nebulae_settings->show();
   nebulae_show_all->toggled.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_show_all_toggled));
   nebulae_show_selection->toggled.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_show_selection_toggled));
   nebulae_show_diameter->toggled.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_show_diameter_toggled));
   nebuale_diameter_minimum->changed.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebuale_diameter_minimum_changed));
   nebulae_diameter_maximum->changed.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_diameter_maximum_changed));
   nebulae_show_magnitude->toggled.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_show_magnitude_toggled));
   nebulae_limiting_magnitude->changed.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_limiting_magnitude_changed));
   nebulae_show_position->toggled.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_show_position_toggled));
   nebulae_position_arc_minutes->changed.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_position_arc_minutes_changed));
   nebulae_position_ra_hours->changed.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_position_ra_hours_changed));
   nebulae_position_ra_arcminutes->changed.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_position_ra_arcminutes_changed));
   nebulae_position_ra_arcseconds->changed.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_position_ra_arcseconds_changed));
   nebulae_position_dec_degrees->changed.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_position_dec_degrees_changed));
   nebulae_position_dec_arcminutes->changed.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_position_dec_arcminutes_changed));
   nebulae_position_dec_arcseconds->changed.connect(SigC::slot(static_cast<class nebulae_settings*>(this), &nebulae_settings::on_nebulae_position_dec_arcseconds_changed));
}

nebulae_settings_glade::~nebulae_settings_glade()
{   
}
