// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "sky_local_dialog.hh"
#include <vector>
#include <string>
#include <gtk--/spinbutton.h>
#include <gtk--/adjustment.h>
#include <gtk--/label.h>
#include <gtk--/box.h>
#include <gtk--/entry.h>
#include <gtk--/combo.h>
#include <gtk--/table.h>
#include <gtk--/frame.h>
#include <gtk--/button.h>
#include <gtk--/notebook.h>

sky_local_dialog_glade::sky_local_dialog_glade(
)
{   
   
   Gnome::PropertyBox *sky_local_dialog = this;
   Gtk::Adjustment *location_latitude_degrees_spin_adj = manage(new class Gtk::Adjustment(50, -90, 90, 1, 10, 10));
   Gtk::SpinButton *location_latitude_degrees_spin = manage(new class Gtk::SpinButton(*location_latitude_degrees_spin_adj, 1, 0));
   Gtk::Label *label52 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *location_latitude_arcmin_spin_adj = manage(new class Gtk::Adjustment(30, 0, 59, 1, 10, 10));
   Gtk::SpinButton *location_latitude_arcmin_spin = manage(new class Gtk::SpinButton(*location_latitude_arcmin_spin_adj, 1, 0));
   Gtk::Label *label53 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *location_latitude_arcsec_spin_adj = manage(new class Gtk::Adjustment(30, 0, 59.9, 1, 10, 10));
   Gtk::SpinButton *location_latitude_arcsec_spin = manage(new class Gtk::SpinButton(*location_latitude_arcsec_spin_adj, 1, 1));
   Gtk::HBox *hbox11 = manage(new class Gtk::HBox(false, 0));
   Gtk::Adjustment *location_longitude_degrees_spin_adj = manage(new class Gtk::Adjustment(0, 0, 359, 1, 10, 10));
   Gtk::SpinButton *location_longitude_degrees_spin = manage(new class Gtk::SpinButton(*location_longitude_degrees_spin_adj, 1, 0));
   Gtk::Label *label54 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *location_longitude_arcmin_spin_adj = manage(new class Gtk::Adjustment(50, 0, 59, 1, 10, 10));
   Gtk::SpinButton *location_longitude_arcmin_spin = manage(new class Gtk::SpinButton(*location_longitude_arcmin_spin_adj, 1, 0));
   Gtk::Label *label55 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *location_longitude_arcsec_spin_adj = manage(new class Gtk::Adjustment(1, 0, 59.9, 1, 10, 10));
   Gtk::SpinButton *location_longitude_arcsec_spin = manage(new class Gtk::SpinButton(*location_longitude_arcsec_spin_adj, 1, 1));
   Gtk::HBox *hbox12 = manage(new class Gtk::HBox(false, 0));
   Gtk::Combo *combo1 = manage(new class Gtk::Combo());
   Gtk::Label *label11 = manage(new class Gtk::Label(_("Longitude (deg:mm:ss)")));
   Gtk::Label *label10 = manage(new class Gtk::Label(_("Latitude (deg:mm:ss)")));
   Gtk::Label *label9 = manage(new class Gtk::Label(_("Locus")));
   Gtk::Label *label58 = manage(new class Gtk::Label(_("Elevation (m)")));
   Gtk::Adjustment *location_elevation_spin_adj = manage(new class Gtk::Adjustment(0, -500, 20000, 1, 10, 10));
   Gtk::SpinButton *location_elevation_spin = manage(new class Gtk::SpinButton(*location_elevation_spin_adj, 1, 0));
   Gtk::Table *table3 = manage(new class Gtk::Table(4, 2, false));
   Gtk::HBox *hbox11a = manage(new class Gtk::HBox(false, 0));
   Gtk::Frame *frame89 = manage(new class Gtk::Frame(_("Location")));
   Gtk::Label *label482 = manage(new class Gtk::Label(_("Atm. Pressure (mB)")));
   Gtk::Adjustment *atmos_pressure_adj = manage(new class Gtk::Adjustment(1007, 0, 1200, 1, 10, 10));
   Gtk::SpinButton *atmos_pressure = manage(new class Gtk::SpinButton(*atmos_pressure_adj, 1, 0));
   Gtk::Adjustment *atmos_temp_adj = manage(new class Gtk::Adjustment(0, 0, 100, 1, 10, 10));
   Gtk::SpinButton *atmos_temp = manage(new class Gtk::SpinButton(*atmos_temp_adj, 1, 0));
   Gtk::Label *label481 = manage(new class Gtk::Label(_("Temperature ( C)")));
   Gtk::Table *table73 = manage(new class Gtk::Table(2, 2, true));
   Gtk::HBox *hbox109 = manage(new class Gtk::HBox(false, 0));
   Gtk::Frame *frame90 = manage(new class Gtk::Frame(_("Atmospheric Conditions")));
   Gtk::VBox *location_settings = manage(new class Gtk::VBox(false, 0));
   Gtk::Label *label367 = manage(new class Gtk::Label(_("Location")));
   Gtk::Label *label67 = manage(new class Gtk::Label(_("Local Date")));
   Gtk::Label *date_time_local_date = manage(new class Gtk::Label("GnomeDateEdit date_time_local_date"));
   Gtk::Label *label69 = manage(new class Gtk::Label(_("Local Time")));
   Gtk::Adjustment *date_time_local_hours_spin_adj = manage(new class Gtk::Adjustment(0, 0, 23, 1, 10, 10));
   Gtk::SpinButton *date_time_local_hours_spin = manage(new class Gtk::SpinButton(*date_time_local_hours_spin_adj, 1, 0));
   Gtk::Label *label73 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *date_time_local_minutes_spin_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *date_time_local_minutes_spin = manage(new class Gtk::SpinButton(*date_time_local_minutes_spin_adj, 1, 0));
   Gtk::Label *label74 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *date_time_local_seconds_spin_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *date_time_local_seconds_spin = manage(new class Gtk::SpinButton(*date_time_local_seconds_spin_adj, 1, 0));
   Gtk::HBox *hbox15 = manage(new class Gtk::HBox(false, 0));
   Gtk::Button *date_time_today = manage(new class Gtk::Button(_("Now")));
   Gtk::Table *table24 = manage(new class Gtk::Table(3, 2, true));
   Gtk::HBox *hbox13 = manage(new class Gtk::HBox(true, 0));
   Gtk::Frame *frame91 = manage(new class Gtk::Frame(_("Local")));
   Gtk::Label *label66 = manage(new class Gtk::Label(_("UTC Date")));
   Gtk::Label *label68 = manage(new class Gtk::Label(_("UTC Time")));
   Gtk::Label *date_time_utc_date = manage(new class Gtk::Label("GnomeDateEdit date_time_utc_date"));
   Gtk::Adjustment *date_time_utc_time_hours_spin_adj = manage(new class Gtk::Adjustment(0, 0, 23, 1, 10, 10));
   Gtk::SpinButton *date_time_utc_time_hours_spin = manage(new class Gtk::SpinButton(*date_time_utc_time_hours_spin_adj, 1, 0));
   Gtk::Label *label71 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *date_time_utc_minutes_spin_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *date_time_utc_minutes_spin = manage(new class Gtk::SpinButton(*date_time_utc_minutes_spin_adj, 1, 0));
   Gtk::Label *label72 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *date_time_utc_seconds_spin_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *date_time_utc_seconds_spin = manage(new class Gtk::SpinButton(*date_time_utc_seconds_spin_adj, 1, 0));
   Gtk::HBox *hbox14 = manage(new class Gtk::HBox(false, 0));
   Gtk::Table *table23 = manage(new class Gtk::Table(2, 2, true));
   Gtk::HBox *hbox110 = manage(new class Gtk::HBox(false, 0));
   Gtk::Frame *frame92 = manage(new class Gtk::Frame(_("UTC")));
   Gtk::Label *sidereal_label = manage(new class Gtk::Label(_("Sidereal")));
   Gtk::Label *label483 = manage(new class Gtk::Label(_("Julian")));
   Gtk::Label *label485 = manage(new class Gtk::Label(_("Epoch")));
   Gtk::Entry *date_time_julian = manage(new class Gtk::Entry());
   Gtk::Entry *date_time_sidereal = manage(new class Gtk::Entry());
   Gtk::Adjustment *date_time_epoch_adj = manage(new class Gtk::Adjustment(100, 0, 100, 1, 10, 10));
   Gtk::SpinButton *date_time_epoch = manage(new class Gtk::SpinButton(*date_time_epoch_adj, 1, 1));
   Gtk::Table *date_time_epoch_box = manage(new class Gtk::Table(3, 2, true));
   Gtk::HBox *hbox111 = manage(new class Gtk::HBox(false, 0));
   Gtk::Frame *frame93 = manage(new class Gtk::Frame(_("Misc")));
   Gtk::VBox *date_time = manage(new class Gtk::VBox(false, 0));
   Gtk::Label *date_time_label = manage(new class Gtk::Label(_("Date and Time")));
   night_info *night_info = manage(new class night_info());
   Gtk::Frame *frame94 = manage(new class Gtk::Frame(_("Night")));
   Gtk::Label *sun_dip = manage(new class Gtk::Label(_("Sun Dip")));
   Gtk::Entry *entry108 = manage(new class Gtk::Entry());
   Gtk::HBox *hbox112 = manage(new class Gtk::HBox(true, 0));
   Gtk::Frame *frame95 = manage(new class Gtk::Frame(_("Sun")));
   Gtk::VBox *vbox80 = manage(new class Gtk::VBox(false, 0));
   Gtk::Label *label369 = manage(new class Gtk::Label(_("Night Information")));
   location_latitude_degrees_spin->set_name("location_latitude_degrees_spin");
   location_latitude_degrees_spin->set_editable(true);
   location_latitude_degrees_spin->set_numeric(true);
   label52->set_name("label52");
   label52->set_alignment(0.5, 0.5);
   label52->set_padding(0, 0);
   location_latitude_arcmin_spin->set_name("location_latitude_arcmin_spin");
   location_latitude_arcmin_spin->set_editable(true);
   location_latitude_arcmin_spin->set_numeric(true);
   label53->set_name("label53");
   label53->set_alignment(0.5, 0.5);
   label53->set_padding(0, 0);
   location_latitude_arcsec_spin->set_name("location_latitude_arcsec_spin");
   location_latitude_arcsec_spin->set_editable(true);
   location_latitude_arcsec_spin->set_numeric(true);
   location_latitude_arcsec_spin->set_digits(1);
   hbox11->set_name("hbox11");
   hbox11->pack_start(*location_latitude_degrees_spin);
   hbox11->pack_start(*label52, false, false, 0);
   hbox11->pack_start(*location_latitude_arcmin_spin);
   hbox11->pack_start(*label53, false, false, 0);
   hbox11->pack_start(*location_latitude_arcsec_spin);
   location_longitude_degrees_spin->set_name("location_longitude_degrees_spin");
   location_longitude_degrees_spin->set_editable(true);
   location_longitude_degrees_spin->set_numeric(true);
   label54->set_name("label54");
   label54->set_alignment(0.5, 0.5);
   label54->set_padding(0, 0);
   location_longitude_arcmin_spin->set_name("location_longitude_arcmin_spin");
   location_longitude_arcmin_spin->set_editable(true);
   location_longitude_arcmin_spin->set_numeric(true);
   label55->set_name("label55");
   label55->set_alignment(0.5, 0.5);
   label55->set_padding(0, 0);
   location_longitude_arcsec_spin->set_name("location_longitude_arcsec_spin");
   location_longitude_arcsec_spin->set_editable(true);
   location_longitude_arcsec_spin->set_numeric(true);
   location_longitude_arcsec_spin->set_digits(1);
   hbox12->set_name("hbox12");
   hbox12->pack_start(*location_longitude_degrees_spin);
   hbox12->pack_start(*label54, false, false, 0);
   hbox12->pack_start(*location_longitude_arcmin_spin);
   hbox12->pack_start(*label55, false, false, 0);
   hbox12->pack_start(*location_longitude_arcsec_spin);
   combo1->get_entry()->set_usize(86, -1);
   combo1->get_entry()->set_name("location_locus_combo");
   combo1->get_entry()->set_editable(true);
   combo1->get_entry()->set_text(_("Cairneyhill,Scotland"));
   combo1->set_name("combo1");
   {   
      vector <string> items;
      items.push_back (N_("Cairneyhill,Scotland"));
      items.push_back (N_("London, England"));
      items.push_back (N_("New York, USA"));
      items.push_back (N_("Location strings are needed"));
      combo1->set_popdown_strings(items);
   }
   combo1->get_entry()->set_usize(86, -1);
   combo1->get_entry()->set_name("location_locus_combo");
   combo1->get_entry()->set_editable(true);
   combo1->get_entry()->set_text(_("Cairneyhill,Scotland"));
   label11->set_name("label11");
   label11->set_alignment(0.5, 0.5);
   label11->set_padding(0, 0);
   label10->set_name("label10");
   label10->set_alignment(0.5, 0.5);
   label10->set_padding(0, 0);
   label9->set_name("label9");
   label9->set_alignment(0.5, 0.5);
   label9->set_padding(0, 0);
   label58->set_name("label58");
   label58->set_alignment(0.5, 0.5);
   label58->set_padding(0, 0);
   location_elevation_spin->set_name("location_elevation_spin");
   location_elevation_spin->set_editable(true);
   location_elevation_spin->set_numeric(true);
   table3->set_name("table3");
   table3->set_border_width(3);
   table3->set_row_spacings(2);
   table3->set_col_spacings(2);
   table3->attach(*hbox11, 1, 2, 1, 2, 0, 0, 0, 0);
   table3->attach(*hbox12, 1, 2, 2, 3, 0, 0, 0, 0);
   table3->attach(*combo1, 1, 2, 0, 1, GTK_FILL, 0, 0, 0);
   table3->attach(*label11, 0, 1, 2, 3, 0, 0, 0, 0);
   table3->attach(*label10, 0, 1, 1, 2, 0, 0, 0, 0);
   table3->attach(*label9, 0, 1, 0, 1, 0, 0, 0, 0);
   table3->attach(*label58, 0, 1, 3, 4, 0, 0, 0, 0);
   table3->attach(*location_elevation_spin, 1, 2, 3, 4, GTK_FILL, 0, 0, 0);
   hbox11a->set_name("hbox11a");
   hbox11a->set_border_width(2);
   hbox11a->pack_start(*table3, true, true, 5);
   frame89->set_name("frame89");
   frame89->set_border_width(5);
   frame89->set_label_align(0, 0);
   frame89->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame89->add(*hbox11a);
   label482->set_name("label482");
   label482->set_alignment(0.5, 0.5);
   label482->set_padding(0, 0);
   atmos_pressure->set_name("atmos_pressure");
   atmos_pressure->set_editable(true);
   atmos_temp->set_name("atmos_temp");
   atmos_temp->set_editable(true);
   label481->set_name("label481");
   label481->set_alignment(0.5, 0.5);
   label481->set_padding(0, 0);
   table73->set_name("table73");
   table73->set_border_width(2);
   table73->set_row_spacings(2);
   table73->set_col_spacings(2);
   table73->attach(*label482, 0, 1, 1, 2, GTK_FILL, 0, 0, 0);
   table73->attach(*atmos_pressure, 1, 2, 1, 2, GTK_FILL, 0, 0, 0);
   table73->attach(*atmos_temp, 1, 2, 0, 1, GTK_FILL, 0, 0, 0);
   table73->attach(*label481, 0, 1, 0, 1, GTK_FILL, 0, 0, 0);
   hbox109->set_name("hbox109");
   hbox109->pack_start(*table73, true, true, 5);
   frame90->set_name("frame90");
   frame90->set_border_width(5);
   frame90->set_label_align(0, 0);
   frame90->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame90->add(*hbox109);
   location_settings->set_name("location_settings");
   location_settings->pack_start(*frame89);
   location_settings->pack_start(*frame90);
   label367->set_name("label367");
   label367->set_alignment(0.5, 0.5);
   label367->set_padding(0, 0);
   label67->set_name("label67");
   label67->set_alignment(0.5, 0.5);
   label67->set_padding(0, 0);
   date_time_local_date->set_name("date_time_local_date");
   label69->set_name("label69");
   label69->set_alignment(0.5, 0.5);
   label69->set_padding(0, 0);
   date_time_local_hours_spin->set_name("date_time_local_hours_spin");
   date_time_local_hours_spin->set_editable(true);
   date_time_local_hours_spin->set_numeric(true);
   label73->set_name("label73");
   label73->set_alignment(0.5, 0.5);
   label73->set_padding(0, 0);
   date_time_local_minutes_spin->set_name("date_time_local_minutes_spin");
   date_time_local_minutes_spin->set_editable(true);
   date_time_local_minutes_spin->set_numeric(true);
   label74->set_name("label74");
   label74->set_alignment(0.5, 0.5);
   label74->set_padding(0, 0);
   date_time_local_seconds_spin->set_name("date_time_local_seconds_spin");
   date_time_local_seconds_spin->set_editable(true);
   date_time_local_seconds_spin->set_numeric(true);
   hbox15->set_name("hbox15");
   hbox15->pack_start(*date_time_local_hours_spin, false, true, 0);
   hbox15->pack_start(*label73, false, false, 0);
   hbox15->pack_start(*date_time_local_minutes_spin, false, true, 0);
   hbox15->pack_start(*label74, false, false, 0);
   hbox15->pack_start(*date_time_local_seconds_spin, false, true, 0);
   date_time_today->set_name("date_time_today");
   date_time_today->set_border_width(2);
   table24->set_name("table24");
   table24->set_border_width(2);
   table24->set_row_spacings(2);
   table24->set_col_spacings(2);
   table24->attach(*label67, 0, 1, 0, 1, 0, 0, 0, 0);
   table24->attach(*date_time_local_date, 1, 2, 0, 1, GTK_FILL, 0, 0, 0);
   table24->attach(*label69, 0, 1, 1, 2, 0, 0, 0, 0);
   table24->attach(*hbox15, 1, 2, 1, 2, GTK_SHRINK, 0, 0, 0);
   table24->attach(*date_time_today, 1, 2, 2, 3, GTK_FILL, 0, 0, 0);
   hbox13->set_name("hbox13");
   hbox13->set_border_width(2);
   hbox13->pack_start(*table24, true, true, 5);
   frame91->set_name("frame91");
   frame91->set_border_width(5);
   frame91->set_label_align(0, 0);
   frame91->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame91->add(*hbox13);
   label66->set_name("label66");
   label66->set_alignment(0.5, 0.5);
   label66->set_padding(0, 0);
   label68->set_name("label68");
   label68->set_alignment(0.5, 0.5);
   label68->set_padding(0, 0);
   date_time_utc_date->set_name("date_time_utc_date");
   date_time_utc_time_hours_spin->set_name("date_time_utc_time_hours_spin");
   date_time_utc_time_hours_spin->set_editable(true);
   label71->set_name("label71");
   label71->set_alignment(0.5, 0.5);
   label71->set_padding(0, 0);
   date_time_utc_minutes_spin->set_name("date_time_utc_minutes_spin");
   date_time_utc_minutes_spin->set_editable(true);
   date_time_utc_minutes_spin->set_numeric(true);
   label72->set_name("label72");
   label72->set_alignment(0.5, 0.5);
   label72->set_padding(0, 0);
   date_time_utc_seconds_spin->set_name("date_time_utc_seconds_spin");
   date_time_utc_seconds_spin->set_editable(true);
   hbox14->set_name("hbox14");
   hbox14->pack_start(*date_time_utc_time_hours_spin, false, true, 0);
   hbox14->pack_start(*label71, false, false, 0);
   hbox14->pack_start(*date_time_utc_minutes_spin, false, true, 0);
   hbox14->pack_start(*label72, false, false, 0);
   hbox14->pack_start(*date_time_utc_seconds_spin, false, true, 0);
   table23->set_name("table23");
   table23->set_border_width(2);
   table23->set_row_spacings(2);
   table23->set_col_spacings(2);
   table23->attach(*label66, 0, 1, 0, 1, 0, 0, 0, 0);
   table23->attach(*label68, 0, 1, 1, 2, 0, 0, 0, 0);
   table23->attach(*date_time_utc_date, 1, 2, 0, 1, GTK_FILL, 0, 0, 0);
   table23->attach(*hbox14, 1, 2, 1, 2, GTK_FILL, 0, 0, 0);
   hbox110->set_name("hbox110");
   hbox110->pack_start(*table23, true, true, 5);
   frame92->set_name("frame92");
   frame92->set_border_width(5);
   frame92->set_label_align(0, 0);
   frame92->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame92->add(*hbox110);
   sidereal_label->set_name("sidereal_label");
   sidereal_label->set_alignment(0, 0.5);
   sidereal_label->set_padding(0, 0);
   label483->set_name("label483");
   label483->set_alignment(0, 0.5);
   label483->set_padding(0, 0);
   label485->set_name("label485");
   label485->set_alignment(0, 0.5);
   label485->set_padding(0, 0);
   date_time_julian->set_name("date_time_julian");
   date_time_julian->set_editable(true);
   date_time_sidereal->set_name("date_time_sidereal");
   date_time_sidereal->set_editable(true);
   date_time_epoch->set_name("date_time_epoch");
   date_time_epoch->set_editable(true);
   date_time_epoch->set_digits(1);
   date_time_epoch_box->set_name("date_time_epoch_box");
   date_time_epoch_box->set_row_spacings(2);
   date_time_epoch_box->set_col_spacings(2);
   date_time_epoch_box->attach(*sidereal_label, 0, 1, 1, 2, 0, 0, 0, 0);
   date_time_epoch_box->attach(*label483, 0, 1, 0, 1, 0, 0, 0, 0);
   date_time_epoch_box->attach(*label485, 0, 1, 2, 3, 0, 0, 0, 0);
   date_time_epoch_box->attach(*date_time_julian, 1, 2, 0, 1, 0, 0, 0, 0);
   date_time_epoch_box->attach(*date_time_sidereal, 1, 2, 1, 2, 0, 0, 0, 0);
   date_time_epoch_box->attach(*date_time_epoch, 1, 2, 2, 3, GTK_FILL, 0, 0, 0);
   hbox111->set_name("hbox111");
   hbox111->pack_start(*date_time_epoch_box, true, true, 5);
   frame93->set_name("frame93");
   frame93->set_border_width(5);
   frame93->set_label_align(0, 0);
   frame93->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame93->add(*hbox111);
   date_time->set_name("date_time");
   date_time->pack_start(*frame91);
   date_time->pack_start(*frame92);
   date_time->pack_start(*frame93);
   date_time_label->set_name("date_time_label");
   date_time_label->set_alignment(0.5, 0.5);
   date_time_label->set_padding(0, 0);
   frame94->set_name("frame94");
   frame94->set_border_width(5);
   frame94->set_label_align(0, 0);
   frame94->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame94->add(*night_info);
   sun_dip->set_name("sun_dip");
   sun_dip->set_alignment(0.5, 0.5);
   sun_dip->set_padding(0, 0);
   entry108->set_name("entry108");
   entry108->set_editable(true);
   hbox112->set_name("hbox112");
   hbox112->pack_start(*sun_dip, false, false, 0);
   hbox112->pack_start(*entry108);
   frame95->set_name("frame95");
   frame95->set_border_width(5);
   frame95->set_label_align(0, 0);
   frame95->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame95->add(*hbox112);
   vbox80->set_name("vbox80");
   vbox80->pack_start(*frame94);
   vbox80->pack_start(*frame95);
   label369->set_name("label369");
   label369->set_alignment(0.5, 0.5);
   label369->set_padding(0, 0);
   sky_local_dialog->set_name("sky_local_dialog");
   sky_local_dialog->set_border_width(2);
   sky_local_dialog->set_title(_("Local Sky Settings"));
   sky_local_dialog->set_policy(false, false, false);
   
   Gtk::Notebook *notebook10 = Gtk::wrap((GtkNotebook*)GNOME_PROPERTY_BOX(sky_local_dialog->gtkobj())->notebook);
   notebook10->set_name("notebook10");
   notebook10->set_show_tabs(true);
   notebook10->set_tab_border(3);
   sky_local_dialog->append_page(*location_settings, *label367);
   sky_local_dialog->append_page(*date_time, *date_time_label);
   sky_local_dialog->append_page(*vbox80, *label369);
   location_latitude_degrees_spin->show();
   label52->show();
   location_latitude_arcmin_spin->show();
   label53->show();
   location_latitude_arcsec_spin->show();
   hbox11->show();
   location_longitude_degrees_spin->show();
   label54->show();
   location_longitude_arcmin_spin->show();
   label55->show();
   location_longitude_arcsec_spin->show();
   hbox12->show();
   combo1->show();
   label11->show();
   label10->show();
   label9->show();
   label58->show();
   location_elevation_spin->show();
   table3->show();
   hbox11a->show();
   frame89->show();
   label482->show();
   atmos_pressure->show();
   atmos_temp->show();
   label481->show();
   table73->show();
   hbox109->show();
   frame90->show();
   location_settings->show();
   label367->show();
   label67->show();
   date_time_local_date->show();
   label69->show();
   date_time_local_hours_spin->show();
   label73->show();
   date_time_local_minutes_spin->show();
   label74->show();
   date_time_local_seconds_spin->show();
   hbox15->show();
   date_time_today->show();
   table24->show();
   hbox13->show();
   frame91->show();
   label66->show();
   label68->show();
   date_time_utc_date->show();
   date_time_utc_time_hours_spin->show();
   label71->show();
   date_time_utc_minutes_spin->show();
   label72->show();
   date_time_utc_seconds_spin->show();
   hbox14->show();
   table23->show();
   hbox110->show();
   frame92->show();
   sidereal_label->show();
   label483->show();
   label485->show();
   date_time_julian->show();
   date_time_sidereal->show();
   date_time_epoch->show();
   date_time_epoch_box->show();
   hbox111->show();
   frame93->show();
   date_time->show();
   date_time_label->show();
   frame94->show();
   sun_dip->show();
   entry108->show();
   hbox112->show();
   frame95->show();
   vbox80->show();
   label369->show();
   sky_local_dialog->show();
   location_latitude_degrees_spin->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_location_latitude_degrees_spin_changed));
   location_latitude_arcmin_spin->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_location_latitude_arcmin_spin_changed));
   location_latitude_arcsec_spin->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_location_latitude_arcsec_spin_changed));
   location_longitude_degrees_spin->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_location_longitude_degrees_spin_changed));
   location_longitude_arcmin_spin->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_location_longitude_arcmin_spin_changed));
   location_longitude_arcsec_spin->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_location_longitude_arcsec_spin_changed));
   combo1->get_entry()->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_combo_locus_changed));
   location_elevation_spin->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_location_elevation_spin_changed));
   atmos_pressure->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_atmos_pressure_changed));
   atmos_temp->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_atmos_temp_changed));
//   date_time_local_date->date_changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_date_time_local_date_date_changed));
   date_time_local_hours_spin->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_date_time_local_hours_spin_changed));
   date_time_local_minutes_spin->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_date_time_local_minutes_spin_changed));
   date_time_local_seconds_spin->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_date_time_local_seconds_spin_changed));
   date_time_today->clicked.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_date_time_today_clicked));
//   date_time_utc_date->date_changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_date_time_utc_date_date_changed));
   date_time_utc_time_hours_spin->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_date_time_utc_time_hours_spin_changed));
   date_time_utc_minutes_spin->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_date_time_utc_minutes_spin_changed));
   date_time_utc_seconds_spin->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_date_time_utc_seconds_spin_changed));
   date_time_julian->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_date_time_julian_changed));
   date_time_sidereal->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_date_time_sidereal_changed));
   date_time_epoch->changed.connect(SigC::slot(static_cast<class sky_local_dialog*>(this), &sky_local_dialog::on_date_time_epoch_changed));
}

sky_local_dialog_glade::~sky_local_dialog_glade()
{   
}

night_info_glade::night_info_glade(
)
{   
   
   Gtk::HBox *night_info = this;
   Gtk::Label *night_dusk = manage(new class Gtk::Label(_("Dusk")));
   Gtk::Label *night_dawn = manage(new class Gtk::Label(_("Dawn")));
   Gtk::Entry *entry19 = manage(new class Gtk::Entry());
   Gtk::Entry *entry20 = manage(new class Gtk::Entry());
   Gtk::Label *label78 = manage(new class Gtk::Label(_("Length")));
   Gtk::Entry *night_length = manage(new class Gtk::Entry());
   Gtk::Label *night_remaining = manage(new class Gtk::Label(_("Remaining")));
   Gtk::Entry *entry23 = manage(new class Gtk::Entry());
   Gtk::Table *table25 = manage(new class Gtk::Table(4, 2, true));
   night_dusk->set_name("night_dusk");
   night_dusk->set_alignment(0.5, 0.5);
   night_dusk->set_padding(0, 0);
   night_dawn->set_name("night_dawn");
   night_dawn->set_alignment(0.5, 0.5);
   night_dawn->set_padding(0, 0);
   entry19->set_name("entry19");
   entry19->set_editable(true);
   entry20->set_name("entry20");
   entry20->set_editable(true);
   label78->set_name("label78");
   label78->set_alignment(0.5, 0.5);
   label78->set_padding(0, 0);
   night_length->set_name("night_length");
   night_length->set_editable(true);
   night_remaining->set_name("night_remaining");
   night_remaining->set_alignment(0.5, 0.5);
   night_remaining->set_padding(0, 0);
   entry23->set_name("entry23");
   entry23->set_editable(true);
   table25->set_name("table25");
   table25->set_border_width(2);
   table25->set_row_spacings(2);
   table25->set_col_spacings(2);
   table25->attach(*night_dusk, 0, 1, 1, 2, 0, 0, 0, 0);
   table25->attach(*night_dawn, 0, 1, 2, 3, 0, 0, 0, 0);
   table25->attach(*entry19, 1, 2, 1, 2, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table25->attach(*entry20, 1, 2, 2, 3, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table25->attach(*label78, 0, 1, 0, 1, GTK_FILL, 0, 0, 0);
   table25->attach(*night_length, 1, 2, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table25->attach(*night_remaining, 0, 1, 3, 4, GTK_FILL, 0, 0, 0);
   table25->attach(*entry23, 1, 2, 3, 4, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   night_info->set_name("night_info");
   night_info->set_border_width(2);
   night_info->pack_start(*table25);
   night_dusk->show();
   night_dawn->show();
   entry19->show();
   entry20->show();
   label78->show();
   night_length->show();
   night_remaining->show();
   entry23->show();
   table25->show();
   night_info->show();
}

night_info_glade::~night_info_glade()
{   
}
