// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "sky_markers_dialog.hh"
#include <vector>
#include <gtk--/checkbutton.h>
#include <gtk--/box.h>
#include <gtk--/label.h>
#include <gtk--/spinbutton.h>
#include <gtk--/adjustment.h>
#include <gtk--/table.h>
#include <gtk--/frame.h>
#include <gtk--/radiobutton.h>
#include <gtk--/notebook.h>

sky_markers_dialog_glade::sky_markers_dialog_glade(
)
{   
   
   Gnome::PropertyBox *sky_markers_dialog = this;
   Gtk::CheckButton *grid_display_grid = manage(new class Gtk::CheckButton(_("Display Grid")));
   Gtk::VBox *vbox11 = manage(new class Gtk::VBox(false, 0));
   Gtk::Label *label81 = manage(new class Gtk::Label(_("Declination")));
   Gtk::Label *label82 = manage(new class Gtk::Label(_("Grid Separation")));
   Gtk::Label *label83 = manage(new class Gtk::Label(_("Right Ascension")));
   Gtk::Adjustment *grid_dec_degrees_spin_adj = manage(new class Gtk::Adjustment(0, -90, 90, 1, 10, 10));
   Gtk::SpinButton *grid_dec_degrees_spin = manage(new class Gtk::SpinButton(*grid_dec_degrees_spin_adj, 1, 0));
   Gtk::Label *label84 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *grid_dec_minutes_spin_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *grid_dec_minutes_spin = manage(new class Gtk::SpinButton(*grid_dec_minutes_spin_adj, 1, 0));
   Gtk::Label *label85 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *grid_dec_seconds_spin_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *grid_dec_seconds_spin = manage(new class Gtk::SpinButton(*grid_dec_seconds_spin_adj, 1, 0));
   Gtk::HBox *hbox18 = manage(new class Gtk::HBox(false, 0));
   Gtk::Adjustment *grid_ra_hours_spin_adj = manage(new class Gtk::Adjustment(0, 0, 23, 1, 10, 10));
   Gtk::SpinButton *grid_ra_hours_spin = manage(new class Gtk::SpinButton(*grid_ra_hours_spin_adj, 1, 0));
   Gtk::Label *label86 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *grid_ra_minutes_spin_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *grid_ra_minutes_spin = manage(new class Gtk::SpinButton(*grid_ra_minutes_spin_adj, 1, 0));
   Gtk::Label *label87 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *grid_ra_seconds_spin_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *grid_ra_seconds_spin = manage(new class Gtk::SpinButton(*grid_ra_seconds_spin_adj, 1, 0));
   Gtk::HBox *hbox19 = manage(new class Gtk::HBox(false, 0));
   Gtk::Table *table27 = manage(new class Gtk::Table(3, 2, false));
   Gtk::HBox *hbox17 = manage(new class Gtk::HBox(false, 0));
   Gtk::Frame *frame87 = manage(new class Gtk::Frame(_("Grid")));
   Gtk::RadioButton::Group _RadioBGroup_;
   Gtk::RadioButton *orient_ra_dec = manage(new class Gtk::RadioButton(_RadioBGroup_, _("RA - Dec")));
   Gtk::RadioButton *orient_alt_az = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Alt - Az")));
   Gtk::HBox *hbox108 = manage(new class Gtk::HBox(false, 0));
   Gtk::Frame *frame88 = manage(new class Gtk::Frame(_("Orientation")));
   Gtk::VBox *vbox77 = manage(new class Gtk::VBox(false, 0));
   Gtk::Label *label370 = manage(new class Gtk::Label(_("Display")));
   Gtk::CheckButton *view_equator_check = manage(new class Gtk::CheckButton(_("Show Equator")));
   Gtk::CheckButton *view_object_symbols_check = manage(new class Gtk::CheckButton(_("Object Symbols")));
   Gtk::CheckButton *view_object_colours_check = manage(new class Gtk::CheckButton(_("Object Colours")));
   Gtk::CheckButton *view_ecliptic_check = manage(new class Gtk::CheckButton(_("Show Ecliptic")));
   Gtk::CheckButton *view_galactic_check = manage(new class Gtk::CheckButton(_("Show Galactic")));
   Gtk::CheckButton *view_horizon_check = manage(new class Gtk::CheckButton(_("Show Horizon")));
   Gtk::Table *table7 = manage(new class Gtk::Table(3, 2, true));
   Gtk::Label *label371 = manage(new class Gtk::Label(_("View")));
   Gtk::CheckButton *constellations_boundaries_check = manage(new class Gtk::CheckButton(_("Boundaries")));
   Gtk::CheckButton *constellations_figures_check = manage(new class Gtk::CheckButton(_("Figures")));
   Gtk::CheckButton *constellation_names_check = manage(new class Gtk::CheckButton(_("Names")));
   Gtk::Table *table8 = manage(new class Gtk::Table(1, 3, true));
   Gtk::Label *label372 = manage(new class Gtk::Label(_("Constellations")));
   Gtk::CheckButton *labelling_field_stars = manage(new class Gtk::CheckButton(_("Field Stars")));
   Gtk::CheckButton *labelling_star_names = manage(new class Gtk::CheckButton(_("Star Names")));
   Gtk::CheckButton *labelling_ngc_objects = manage(new class Gtk::CheckButton(_("NGC Objects")));
   Gtk::CheckButton *labelling_solar_system = manage(new class Gtk::CheckButton(_("Solar System")));
   Gtk::Table *table9 = manage(new class Gtk::Table(2, 3, true));
   Gtk::Label *label373 = manage(new class Gtk::Label(_("Labelling")));
   grid_display_grid->set_name("grid_display_grid");
   vbox11->set_name("vbox11");
   vbox11->set_border_width(2);
   vbox11->pack_start(*grid_display_grid, false, false, 0);
   label81->set_name("label81");
   label81->set_alignment(0.5, 0.5);
   label81->set_padding(0, 0);
   label82->set_name("label82");
   label82->set_alignment(0.5, 0.5);
   label82->set_padding(0, 0);
   label83->set_name("label83");
   label83->set_alignment(0.5, 0.5);
   label83->set_padding(0, 0);
   grid_dec_degrees_spin->set_name("grid_dec_degrees_spin");
   grid_dec_degrees_spin->set_editable(true);
   grid_dec_degrees_spin->set_numeric(true);
   label84->set_name("label84");
   label84->set_alignment(0.5, 0.5);
   label84->set_padding(0, 0);
   grid_dec_minutes_spin->set_name("grid_dec_minutes_spin");
   grid_dec_minutes_spin->set_editable(true);
   grid_dec_minutes_spin->set_numeric(true);
   label85->set_name("label85");
   label85->set_alignment(0.5, 0.5);
   label85->set_padding(0, 0);
   grid_dec_seconds_spin->set_name("grid_dec_seconds_spin");
   grid_dec_seconds_spin->set_editable(true);
   grid_dec_seconds_spin->set_numeric(true);
   hbox18->set_name("hbox18");
   hbox18->pack_start(*grid_dec_degrees_spin);
   hbox18->pack_start(*label84, false, false, 0);
   hbox18->pack_start(*grid_dec_minutes_spin);
   hbox18->pack_start(*label85, false, false, 0);
   hbox18->pack_start(*grid_dec_seconds_spin);
   grid_ra_hours_spin->set_name("grid_ra_hours_spin");
   grid_ra_hours_spin->set_editable(true);
   grid_ra_hours_spin->set_numeric(true);
   label86->set_name("label86");
   label86->set_alignment(0.5, 0.5);
   label86->set_padding(0, 0);
   grid_ra_minutes_spin->set_name("grid_ra_minutes_spin");
   grid_ra_minutes_spin->set_editable(true);
   grid_ra_minutes_spin->set_numeric(true);
   label87->set_name("label87");
   label87->set_alignment(0.5, 0.5);
   label87->set_padding(0, 0);
   grid_ra_seconds_spin->set_name("grid_ra_seconds_spin");
   grid_ra_seconds_spin->set_editable(true);
   grid_ra_seconds_spin->set_numeric(true);
   hbox19->set_name("hbox19");
   hbox19->pack_start(*grid_ra_hours_spin);
   hbox19->pack_start(*label86, false, false, 0);
   hbox19->pack_start(*grid_ra_minutes_spin);
   hbox19->pack_start(*label87, false, false, 0);
   hbox19->pack_start(*grid_ra_seconds_spin);
   table27->set_name("table27");
   table27->set_border_width(2);
   table27->set_row_spacings(2);
   table27->set_col_spacings(2);
   table27->attach(*label81, 0, 1, 1, 2, 0, 0, 0, 0);
   table27->attach(*label82, 0, 1, 0, 1, 0, 0, 0, 0);
   table27->attach(*label83, 0, 1, 2, 3, 0, 0, 0, 0);
   table27->attach(*hbox18, 1, 2, 1, 2, GTK_FILL, GTK_FILL, 0, 0);
   table27->attach(*hbox19, 1, 2, 2, 3, GTK_FILL, GTK_FILL, 0, 0);
   hbox17->set_name("hbox17");
   hbox17->set_border_width(2);
   hbox17->pack_start(*vbox11);
   hbox17->pack_start(*table27);
   frame87->set_name("frame87");
   frame87->set_border_width(5);
   frame87->set_label_align(0, 0);
   frame87->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame87->add(*hbox17);
   orient_ra_dec->set_name("orient_ra_dec");
   orient_alt_az->set_name("orient_alt_az");
   hbox108->set_name("hbox108");
   hbox108->pack_start(*orient_ra_dec, false, false, 0);
   hbox108->pack_start(*orient_alt_az, false, false, 0);
   frame88->set_name("frame88");
   frame88->set_border_width(5);
   frame88->set_label_align(0, 0);
   frame88->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame88->add(*hbox108);
   vbox77->set_name("vbox77");
   vbox77->pack_start(*frame87);
   vbox77->pack_start(*frame88);
   label370->set_name("label370");
   label370->set_alignment(0.5, 0.5);
   label370->set_padding(0, 0);
   view_equator_check->set_name("view_equator_check");
   view_object_symbols_check->set_name("view_object_symbols_check");
   view_object_symbols_check->set_active(true);
   view_object_colours_check->set_name("view_object_colours_check");
   view_object_colours_check->set_active(true);
   view_ecliptic_check->set_name("view_ecliptic_check");
   view_galactic_check->set_name("view_galactic_check");
   view_horizon_check->set_name("view_horizon_check");
   table7->set_name("table7");
   table7->set_border_width(2);
   table7->set_row_spacings(2);
   table7->set_col_spacings(2);
   table7->attach(*view_equator_check, 1, 2, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table7->attach(*view_object_symbols_check, 0, 1, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table7->attach(*view_object_colours_check, 0, 1, 1, 2, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table7->attach(*view_ecliptic_check, 1, 2, 1, 2, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table7->attach(*view_galactic_check, 1, 2, 2, 3, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table7->attach(*view_horizon_check, 0, 1, 2, 3, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   label371->set_name("label371");
   label371->set_alignment(0.5, 0.5);
   label371->set_padding(0, 0);
   constellations_boundaries_check->set_name("constellations_boundaries_check");
   constellations_figures_check->set_name("constellations_figures_check");
   constellation_names_check->set_name("constellation_names_check");
   table8->set_name("table8");
   table8->set_border_width(2);
   table8->set_row_spacings(2);
   table8->set_col_spacings(2);
   table8->attach(*constellations_boundaries_check, 0, 1, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table8->attach(*constellations_figures_check, 1, 2, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table8->attach(*constellation_names_check, 2, 3, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   label372->set_name("label372");
   label372->set_alignment(0.5, 0.5);
   label372->set_padding(0, 0);
   labelling_field_stars->set_name("labelling_field_stars");
   labelling_star_names->set_name("labelling_star_names");
   labelling_ngc_objects->set_name("labelling_ngc_objects");
   labelling_solar_system->set_name("labelling_solar_system");
   table9->set_name("table9");
   table9->set_border_width(2);
   table9->set_row_spacings(2);
   table9->set_col_spacings(2);
   table9->attach(*labelling_field_stars, 0, 1, 1, 2, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table9->attach(*labelling_star_names, 0, 1, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table9->attach(*labelling_ngc_objects, 1, 2, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table9->attach(*labelling_solar_system, 2, 3, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   label373->set_name("label373");
   label373->set_alignment(0.5, 0.5);
   label373->set_padding(0, 0);
   sky_markers_dialog->set_name("sky_markers_dialog");
   sky_markers_dialog->set_border_width(2);
   sky_markers_dialog->set_title(_("Sky Markers Settings"));
   sky_markers_dialog->set_policy(false, false, false);
   
   Gtk::Notebook *notebook11 = Gtk::wrap((GtkNotebook*)GNOME_PROPERTY_BOX(sky_markers_dialog->gtkobj())->notebook);
   notebook11->set_name("notebook11");
   notebook11->set_show_tabs(true);
   notebook11->set_tab_border(3);
   sky_markers_dialog->append_page(*vbox77, *label370);
   sky_markers_dialog->append_page(*table7, *label371);
   sky_markers_dialog->append_page(*table8, *label372);
   sky_markers_dialog->append_page(*table9, *label373);
   grid_display_grid->show();
   vbox11->show();
   label81->show();
   label82->show();
   label83->show();
   grid_dec_degrees_spin->show();
   label84->show();
   grid_dec_minutes_spin->show();
   label85->show();
   grid_dec_seconds_spin->show();
   hbox18->show();
   grid_ra_hours_spin->show();
   label86->show();
   grid_ra_minutes_spin->show();
   label87->show();
   grid_ra_seconds_spin->show();
   hbox19->show();
   table27->show();
   hbox17->show();
   frame87->show();
   orient_ra_dec->show();
   orient_alt_az->show();
   hbox108->show();
   frame88->show();
   vbox77->show();
   label370->show();
   view_equator_check->show();
   view_object_symbols_check->show();
   view_object_colours_check->show();
   view_ecliptic_check->show();
   view_galactic_check->show();
   view_horizon_check->show();
   table7->show();
   label371->show();
   constellations_boundaries_check->show();
   constellations_figures_check->show();
   constellation_names_check->show();
   table8->show();
   label372->show();
   labelling_field_stars->show();
   labelling_star_names->show();
   labelling_ngc_objects->show();
   labelling_solar_system->show();
   table9->show();
   label373->show();
   sky_markers_dialog->show();
   grid_display_grid->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_grid_display_grid_toggled));
   grid_dec_degrees_spin->changed.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_grid_dec_degrees_spin_changed));
   grid_dec_minutes_spin->changed.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_grid_dec_minutes_spin_changed));
   grid_dec_seconds_spin->changed.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_grid_dec_seconds_spin_changed));
   grid_ra_hours_spin->changed.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_grid_ra_hours_spin_changed));
   grid_ra_minutes_spin->changed.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_grid_ra_minutes_spin_changed));
   grid_ra_seconds_spin->changed.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_grid_ra_seconds_spin_changed));
   orient_ra_dec->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_orient_ra_dec_toggled));
   orient_alt_az->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_orient_alt_az_toggled));
   view_equator_check->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_view_equator_toggled));
   view_object_symbols_check->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_view_symbols_toggled));
   view_object_colours_check->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_view_object_colours_toggled));
   view_ecliptic_check->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_view_ecliptic_toggled));
   view_galactic_check->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_view_galactic_check_toggled));
   view_horizon_check->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_view_horizontal_map_toggled));
   constellations_boundaries_check->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_constellations_boundaries_check_toggled));
   constellations_figures_check->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_constellations_figures_check_toggled));
   constellation_names_check->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_constellation_names_check_toggled));
   labelling_field_stars->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_labelling_field_stars_toggled));
   labelling_star_names->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_labelling_star_names_toggled));
   labelling_ngc_objects->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_labelling_ngc_objects_toggled));
   labelling_solar_system->toggled.connect(SigC::slot(static_cast<class sky_markers_dialog*>(this), &sky_markers_dialog::on_labelling_solar_system_toggled));
}

sky_markers_dialog_glade::~sky_markers_dialog_glade()
{   
}
