// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#ifndef _SKY_NEAR_DIALOG_HH
#  include "sky_near_dialog_glade.hh"
#  define _SKY_NEAR_DIALOG_HH
class sky_near_dialog : public sky_near_dialog_glade
{   
        
        friend class sky_near_dialog_glade;
};

class planets_settings : public planets_settings_glade
{   
        
        friend class planets_settings_glade;
        void on_inner_planets_show_toggled();
        void on_inner_sun_show_toggled();
        void on_inner_high_precision_toggled();
        void on_inner_phase_show_toggled();
        void on_outer_high_precision_toggled();
        void on_outer_satellites_toggled();
        void on_outer_planets_show_toggled();
        void on_outer_features_toggled();
        void on_outer_rings_toggled();
        void on_outer_phase_toggled();
};

class asteroid_settings : public asteroid_settings_glade
{   
        
        friend class asteroid_settings_glade;
        void on_asteroids_show_all_toggled();
        void on_asteroids_show_selection_toggled();
        void on_asteroids_show_diameter_toggled();
        void on_asteroids_diameter_minimum_changed();
        void on_asteroids_diameter_maximum_changed();
        void on_asteroids_show_magnitude_toggled();
        void on_asteroids_limiting_magnitude_changed();
        void on_asteroids_show_position_toggled();
        void on_asteroids_position_arc_minutes_changed();
        void on_asteroids_position_ra_hours_changed();
        void on_asteroids_position_ra_arcminutes_changed();
        void on_asteroids_position_ra_arcseconds_changed();
        void on_asteroids_position_dec_degrees_changed();
        void on_asteroids_position_dec_arcminutes_changed();
        void on_asteroids_position_dec_arcseconds_changed();
};

class comets_settings : public comets_settings_glade
{   
        
        friend class comets_settings_glade;
        void on_comets_show_all_toggled();
        void on_comets_show_selection_toggled();
        void on_comets_show_diameter_toggled();
        void on_comets_diameter_miniumu_changed();
        void on_comets_diameter_maximum_changed();
        void on_comets_show_magnitude_toggled();
        void on_comets_limiting_magnitude_changed();
        void on_comets_show_position_toggled();
        void on_comets_position_arc_minutes_changed();
        void on_comets_position_ra_hours_changed();
        void on_comets_position_ra_arcminutes_changed();
        void on_comets_position_ra_arcseconds_changed();
        void on_comets_position_dec_degrees_changed();
        void on_comets_position_dec_arcminutes_changed();
        void on_comets_position_dec_arcseconds_changed();
};

class earth_moon_settings : public earth_moon_settings_glade
{   
        
        friend class earth_moon_settings_glade;
        void on_earth_show_iss_toggled();
        void on_earth_show_satellites_toggled();
        void on_earth_iss_trail_toggled();
        void on_earth_satellites_trail_toggled();
        void on_moon_high_precision_toggled();
        void on_moon_phase_toggled();
        void on_moon_show_toggled();
        void on_moon_outline_toggled();
        void on_moon_detail_toggled();
};
#endif
