// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "sky_near_dialog.hh"
#include <vector>
#include <gtk--/label.h>
#include <gtk--/notebook.h>

sky_near_dialog_glade::sky_near_dialog_glade(
)
{   
   
   Gnome::PropertyBox *sky_near_dialog = this;
   planets_settings *planets_settings = manage(new class planets_settings());
   Gtk::Label *label374 = manage(new class Gtk::Label(_("Planets")));
   asteroid_settings *asteroid_settings = manage(new class asteroid_settings());
   Gtk::Label *asteroids_label = manage(new class Gtk::Label(_("Asteroids")));
   comets_settings *comets_settings = manage(new class comets_settings());
   Gtk::Label *label376 = manage(new class Gtk::Label(_("Comets")));
   earth_moon_settings *earth_moon_settings = manage(new class earth_moon_settings());
   Gtk::Label *label464 = manage(new class Gtk::Label(_("Earth - Moon")));
   label374->set_name("label374");
   label374->set_alignment(0.5, 0.5);
   label374->set_padding(0, 0);
   asteroids_label->set_name("asteroids_label");
   asteroids_label->set_alignment(0.5, 0.5);
   asteroids_label->set_padding(0, 0);
   label376->set_name("label376");
   label376->set_alignment(0.5, 0.5);
   label376->set_padding(0, 0);
   label464->set_name("label464");
   label464->set_alignment(0.5, 0.5);
   label464->set_padding(0, 0);
   sky_near_dialog->set_name("sky_near_dialog");
   sky_near_dialog->set_border_width(2);
   sky_near_dialog->set_title(_("Near Sky Settings"));
   sky_near_dialog->set_policy(false, false, false);
   
   Gtk::Notebook *notebook12 = Gtk::wrap((GtkNotebook*)GNOME_PROPERTY_BOX(sky_near_dialog->gtkobj())->notebook);
   notebook12->set_name("notebook12");
   notebook12->set_show_tabs(true);
   notebook12->set_tab_border(3);
   sky_near_dialog->append_page(*planets_settings, *label374);
   sky_near_dialog->append_page(*asteroid_settings, *asteroids_label);
   sky_near_dialog->append_page(*comets_settings, *label376);
   sky_near_dialog->append_page(*earth_moon_settings, *label464);
   label374->show();
   asteroids_label->show();
   label376->show();
   label464->show();
   sky_near_dialog->show();
}

sky_near_dialog_glade::~sky_near_dialog_glade()
{   
}

#include <gtk--/checkbutton.h>
#include <gtk--/table.h>
#include <gtk--/frame.h>

planets_settings_glade::planets_settings_glade(
)
{   
   
   Gtk::VBox *planets_settings = this;
   Gtk::CheckButton *inner_planets_show = manage(new class Gtk::CheckButton(_("Planets")));
   Gtk::CheckButton *inner_sun_show = manage(new class Gtk::CheckButton(_("Sun")));
   Gtk::CheckButton *inner_high_precision = manage(new class Gtk::CheckButton(_("High Precision")));
   Gtk::CheckButton *inner_phase_show = manage(new class Gtk::CheckButton(_("Phase")));
   Gtk::Table *table69 = manage(new class Gtk::Table(1, 4, true));
   Gtk::Frame *frame83 = manage(new class Gtk::Frame(_("Inner Solar System")));
   Gtk::CheckButton *outer_high_precision = manage(new class Gtk::CheckButton(_("High Precision")));
   Gtk::CheckButton *outer_satellites = manage(new class Gtk::CheckButton(_("Satellites")));
   Gtk::CheckButton *outer_planets_show = manage(new class Gtk::CheckButton(_("Planets")));
   Gtk::CheckButton *outer_features = manage(new class Gtk::CheckButton(_("Features")));
   Gtk::CheckButton *outer_rings = manage(new class Gtk::CheckButton(_("Rings")));
   Gtk::CheckButton *outer_phase = manage(new class Gtk::CheckButton(_("Phase")));
   Gtk::Table *table70 = manage(new class Gtk::Table(2, 4, true));
   Gtk::Frame *frame84 = manage(new class Gtk::Frame(_("Outer Solar System")));
   inner_planets_show->set_name("inner_planets_show");
   inner_sun_show->set_name("inner_sun_show");
   inner_high_precision->set_name("inner_high_precision");
   inner_phase_show->set_name("inner_phase_show");
   table69->set_name("table69");
   table69->set_border_width(2);
   table69->set_row_spacings(2);
   table69->set_col_spacings(2);
   table69->attach(*inner_planets_show, 0, 1, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table69->attach(*inner_sun_show, 1, 2, 0, 1, GTK_FILL, 0, 0, 0);
   table69->attach(*inner_high_precision, 3, 4, 0, 1, GTK_FILL, 0, 0, 0);
   table69->attach(*inner_phase_show, 2, 3, 0, 1, GTK_FILL, 0, 0, 0);
   frame83->set_name("frame83");
   frame83->set_border_width(5);
   frame83->set_label_align(0, 0);
   frame83->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame83->add(*table69);
   outer_high_precision->set_name("outer_high_precision");
   outer_satellites->set_name("outer_satellites");
   outer_planets_show->set_name("outer_planets_show");
   outer_features->set_name("outer_features");
   outer_rings->set_name("outer_rings");
   outer_phase->set_name("outer_phase");
   table70->set_name("table70");
   table70->set_border_width(2);
   table70->set_row_spacings(2);
   table70->set_col_spacings(2);
   table70->attach(*outer_high_precision, 3, 4, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table70->attach(*outer_satellites, 1, 2, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table70->attach(*outer_planets_show, 0, 1, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table70->attach(*outer_features, 0, 1, 1, 2, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table70->attach(*outer_rings, 1, 2, 1, 2, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table70->attach(*outer_phase, 2, 3, 0, 1, GTK_FILL, 0, 0, 0);
   frame84->set_name("frame84");
   frame84->set_border_width(5);
   frame84->set_label_align(0, 0);
   frame84->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame84->add(*table70);
   planets_settings->set_name("planets_settings");
   planets_settings->pack_start(*frame83);
   planets_settings->pack_start(*frame84);
   inner_planets_show->show();
   inner_sun_show->show();
   inner_high_precision->show();
   inner_phase_show->show();
   table69->show();
   frame83->show();
   outer_high_precision->show();
   outer_satellites->show();
   outer_planets_show->show();
   outer_features->show();
   outer_rings->show();
   outer_phase->show();
   table70->show();
   frame84->show();
   planets_settings->show();
   inner_planets_show->toggled.connect(SigC::slot(static_cast<class planets_settings*>(this), &planets_settings::on_inner_planets_show_toggled));
   inner_sun_show->toggled.connect(SigC::slot(static_cast<class planets_settings*>(this), &planets_settings::on_inner_sun_show_toggled));
   inner_high_precision->toggled.connect(SigC::slot(static_cast<class planets_settings*>(this), &planets_settings::on_inner_high_precision_toggled));
   inner_phase_show->toggled.connect(SigC::slot(static_cast<class planets_settings*>(this), &planets_settings::on_inner_phase_show_toggled));
   outer_high_precision->toggled.connect(SigC::slot(static_cast<class planets_settings*>(this), &planets_settings::on_outer_high_precision_toggled));
   outer_satellites->toggled.connect(SigC::slot(static_cast<class planets_settings*>(this), &planets_settings::on_outer_satellites_toggled));
   outer_planets_show->toggled.connect(SigC::slot(static_cast<class planets_settings*>(this), &planets_settings::on_outer_planets_show_toggled));
   outer_features->toggled.connect(SigC::slot(static_cast<class planets_settings*>(this), &planets_settings::on_outer_features_toggled));
   outer_rings->toggled.connect(SigC::slot(static_cast<class planets_settings*>(this), &planets_settings::on_outer_rings_toggled));
   outer_phase->toggled.connect(SigC::slot(static_cast<class planets_settings*>(this), &planets_settings::on_outer_phase_toggled));
}

planets_settings_glade::~planets_settings_glade()
{   
}

#include <gtk--/radiobutton.h>
#include <gtk--/box.h>
#include <gtk--/spinbutton.h>
#include <gtk--/adjustment.h>

asteroid_settings_glade::asteroid_settings_glade(
)
{   
   
   Gtk::VBox *asteroid_settings = this;
   Gtk::RadioButton::Group _RadioBGroup_;
   Gtk::RadioButton *asteroids_show_all = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Show All")));
   Gtk::RadioButton *asteroids_show_selection = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Show Selection")));
   Gtk::HBox *hbox23 = manage(new class Gtk::HBox(false, 0));
   Gtk::CheckButton *asteroids_show_diameter = manage(new class Gtk::CheckButton(_("Show - Semi-major diameter")));
   Gtk::Adjustment *asteroids_diameter_minimum_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *asteroids_diameter_minimum = manage(new class Gtk::SpinButton(*asteroids_diameter_minimum_adj, 1, 2));
   Gtk::Label *label94 = manage(new class Gtk::Label(_("and")));
   Gtk::Adjustment *asteroids_diameter_maximum_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *asteroids_diameter_maximum = manage(new class Gtk::SpinButton(*asteroids_diameter_maximum_adj, 1, 2));
   Gtk::Label *label95 = manage(new class Gtk::Label(_("A.U.")));
   Gtk::HBox *hbox24 = manage(new class Gtk::HBox(false, 0));
   Gtk::CheckButton *asteroids_show_magnitude = manage(new class Gtk::CheckButton(_("Show - Limiting Magnitude")));
   Gtk::Adjustment *asteroids_limiting_magnitude_adj = manage(new class Gtk::Adjustment(10, -5, 100, 1, 10, 10));
   Gtk::SpinButton *asteroids_limiting_magnitude = manage(new class Gtk::SpinButton(*asteroids_limiting_magnitude_adj, 1, 2));
   Gtk::HBox *hbox25 = manage(new class Gtk::HBox(false, 0));
   Gtk::CheckButton *asteroids_show_position = manage(new class Gtk::CheckButton(_("Show - Position within")));
   Gtk::Adjustment *asteroids_position_arc_minutes_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *asteroids_position_arc_minutes = manage(new class Gtk::SpinButton(*asteroids_position_arc_minutes_adj, 1, 3));
   Gtk::Label *label96 = manage(new class Gtk::Label(_("arcminutes of")));
   Gtk::Adjustment *asteroids_position_ra_hours_adj = manage(new class Gtk::Adjustment(0, -90, 90, 1, 10, 10));
   Gtk::SpinButton *asteroids_position_ra_hours = manage(new class Gtk::SpinButton(*asteroids_position_ra_hours_adj, 1, 0));
   Gtk::Label *label97 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *asteroids_position_ra_arcminutes_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *asteroids_position_ra_arcminutes = manage(new class Gtk::SpinButton(*asteroids_position_ra_arcminutes_adj, 1, 0));
   Gtk::Label *label98 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *asteroids_position_ra_arcseconds_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *asteroids_position_ra_arcseconds = manage(new class Gtk::SpinButton(*asteroids_position_ra_arcseconds_adj, 1, 0));
   Gtk::HBox *hbox26 = manage(new class Gtk::HBox(false, 0));
   Gtk::Adjustment *asteroids_position_dec_degrees_adj = manage(new class Gtk::Adjustment(0, -90, 90, 1, 10, 10));
   Gtk::SpinButton *asteroids_position_dec_degrees = manage(new class Gtk::SpinButton(*asteroids_position_dec_degrees_adj, 1, 0));
   Gtk::Label *label99 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *asteroids_position_dec_arcminutes_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *asteroids_position_dec_arcminutes = manage(new class Gtk::SpinButton(*asteroids_position_dec_arcminutes_adj, 1, 0));
   Gtk::Label *label100 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *asteroids_position_dec_arcseconds_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *asteroids_position_dec_arcseconds = manage(new class Gtk::SpinButton(*asteroids_position_dec_arcseconds_adj, 1, 0));
   Gtk::HBox *hbox27 = manage(new class Gtk::HBox(false, 0));
   Gtk::Label *label101 = manage(new class Gtk::Label(_("R.A.")));
   Gtk::Label *label102 = manage(new class Gtk::Label(_("Declination")));
   Gtk::Table *table29 = manage(new class Gtk::Table(2, 5, false));
   asteroids_show_all->set_name("asteroids_show_all");
   asteroids_show_selection->set_name("asteroids_show_selection");
   hbox23->set_name("hbox23");
   hbox23->set_border_width(2);
   hbox23->pack_start(*asteroids_show_all, false, false, 0);
   hbox23->pack_start(*asteroids_show_selection, false, false, 0);
   asteroids_show_diameter->set_usize(190, -1);
   asteroids_show_diameter->set_name("asteroids_show_diameter");
   asteroids_diameter_minimum->set_usize(55, -1);
   asteroids_diameter_minimum->set_name("asteroids_diameter_minimum");
   asteroids_diameter_minimum->set_editable(true);
   asteroids_diameter_minimum->set_numeric(true);
   asteroids_diameter_minimum->set_digits(2);
   label94->set_name("label94");
   label94->set_alignment(0.5, 0.5);
   label94->set_padding(0, 0);
   asteroids_diameter_maximum->set_usize(55, -1);
   asteroids_diameter_maximum->set_name("asteroids_diameter_maximum");
   asteroids_diameter_maximum->set_editable(true);
   asteroids_diameter_maximum->set_numeric(true);
   asteroids_diameter_maximum->set_digits(2);
   label95->set_name("label95");
   label95->set_alignment(0.5, 0.5);
   label95->set_padding(0, 0);
   hbox24->set_name("hbox24");
   hbox24->set_border_width(2);
   hbox24->pack_start(*asteroids_show_diameter, false, true, 0);
   hbox24->pack_start(*asteroids_diameter_minimum, false, true, 0);
   hbox24->pack_start(*label94, false, true, 0);
   hbox24->pack_start(*asteroids_diameter_maximum, false, true, 0);
   hbox24->pack_start(*label95, false, false, 0);
   asteroids_show_magnitude->set_usize(190, -1);
   asteroids_show_magnitude->set_name("asteroids_show_magnitude");
   asteroids_limiting_magnitude->set_usize(55, -1);
   asteroids_limiting_magnitude->set_name("asteroids_limiting_magnitude");
   asteroids_limiting_magnitude->set_editable(true);
   asteroids_limiting_magnitude->set_numeric(true);
   asteroids_limiting_magnitude->set_digits(2);
   hbox25->set_name("hbox25");
   hbox25->set_border_width(2);
   hbox25->pack_start(*asteroids_show_magnitude, false, true, 0);
   hbox25->pack_start(*asteroids_limiting_magnitude, false, true, 0);
   asteroids_show_position->set_name("asteroids_show_position");
   asteroids_position_arc_minutes->set_usize(55, -1);
   asteroids_position_arc_minutes->set_name("asteroids_position_arc_minutes");
   asteroids_position_arc_minutes->set_editable(true);
   asteroids_position_arc_minutes->set_numeric(true);
   asteroids_position_arc_minutes->set_digits(3);
   label96->set_name("label96");
   label96->set_alignment(0.5, 0.5);
   label96->set_padding(0, 0);
   asteroids_position_ra_hours->set_name("asteroids_position_ra_hours");
   asteroids_position_ra_hours->set_editable(true);
   asteroids_position_ra_hours->set_numeric(true);
   label97->set_name("label97");
   label97->set_alignment(0.5, 0.5);
   label97->set_padding(0, 0);
   asteroids_position_ra_arcminutes->set_name("asteroids_position_ra_arcminutes");
   asteroids_position_ra_arcminutes->set_editable(true);
   asteroids_position_ra_arcminutes->set_numeric(true);
   label98->set_name("label98");
   label98->set_alignment(0.5, 0.5);
   label98->set_padding(0, 0);
   asteroids_position_ra_arcseconds->set_name("asteroids_position_ra_arcseconds");
   asteroids_position_ra_arcseconds->set_editable(true);
   asteroids_position_ra_arcseconds->set_numeric(true);
   hbox26->set_name("hbox26");
   hbox26->pack_start(*asteroids_position_ra_hours);
   hbox26->pack_start(*label97, false, false, 0);
   hbox26->pack_start(*asteroids_position_ra_arcminutes);
   hbox26->pack_start(*label98, false, false, 0);
   hbox26->pack_start(*asteroids_position_ra_arcseconds);
   asteroids_position_dec_degrees->set_name("asteroids_position_dec_degrees");
   asteroids_position_dec_degrees->set_editable(true);
   asteroids_position_dec_degrees->set_numeric(true);
   label99->set_name("label99");
   label99->set_alignment(0.5, 0.5);
   label99->set_padding(0, 0);
   asteroids_position_dec_arcminutes->set_name("asteroids_position_dec_arcminutes");
   asteroids_position_dec_arcminutes->set_editable(true);
   asteroids_position_dec_arcminutes->set_numeric(true);
   label100->set_name("label100");
   label100->set_alignment(0.5, 0.5);
   label100->set_padding(0, 0);
   asteroids_position_dec_arcseconds->set_name("asteroids_position_dec_arcseconds");
   asteroids_position_dec_arcseconds->set_editable(true);
   asteroids_position_dec_arcseconds->set_numeric(true);
   hbox27->set_name("hbox27");
   hbox27->pack_start(*asteroids_position_dec_degrees);
   hbox27->pack_start(*label99, false, false, 0);
   hbox27->pack_start(*asteroids_position_dec_arcminutes);
   hbox27->pack_start(*label100, false, false, 0);
   hbox27->pack_start(*asteroids_position_dec_arcseconds);
   label101->set_name("label101");
   label101->set_alignment(0.5, 0.5);
   label101->set_padding(0, 0);
   label102->set_name("label102");
   label102->set_alignment(0.5, 0.5);
   label102->set_padding(0, 0);
   table29->set_name("table29");
   table29->set_border_width(2);
   table29->set_row_spacings(2);
   table29->set_col_spacings(2);
   table29->attach(*asteroids_show_position, 0, 1, 0, 1, 0, 0, 0, 0);
   table29->attach(*asteroids_position_arc_minutes, 1, 2, 0, 1, 0, 0, 0, 0);
   table29->attach(*label96, 2, 3, 0, 1, 0, 0, 0, 0);
   table29->attach(*hbox26, 4, 5, 0, 1, GTK_EXPAND|GTK_FILL, GTK_FILL, 0, 0);
   table29->attach(*hbox27, 4, 5, 1, 2, GTK_FILL, GTK_EXPAND|GTK_FILL, 0, 0);
   table29->attach(*label101, 3, 4, 0, 1, 0, 0, 0, 0);
   table29->attach(*label102, 3, 4, 1, 2, 0, 0, 0, 0);
   asteroid_settings->set_name("asteroid_settings");
   asteroid_settings->set_border_width(2);
   asteroid_settings->pack_start(*hbox23);
   asteroid_settings->pack_start(*hbox24);
   asteroid_settings->pack_start(*hbox25);
   asteroid_settings->pack_start(*table29);
   asteroids_show_all->show();
   asteroids_show_selection->show();
   hbox23->show();
   asteroids_show_diameter->show();
   asteroids_diameter_minimum->show();
   label94->show();
   asteroids_diameter_maximum->show();
   label95->show();
   hbox24->show();
   asteroids_show_magnitude->show();
   asteroids_limiting_magnitude->show();
   hbox25->show();
   asteroids_show_position->show();
   asteroids_position_arc_minutes->show();
   label96->show();
   asteroids_position_ra_hours->show();
   label97->show();
   asteroids_position_ra_arcminutes->show();
   label98->show();
   asteroids_position_ra_arcseconds->show();
   hbox26->show();
   asteroids_position_dec_degrees->show();
   label99->show();
   asteroids_position_dec_arcminutes->show();
   label100->show();
   asteroids_position_dec_arcseconds->show();
   hbox27->show();
   label101->show();
   label102->show();
   table29->show();
   asteroid_settings->show();
   asteroids_show_all->toggled.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_show_all_toggled));
   asteroids_show_selection->toggled.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_show_selection_toggled));
   asteroids_show_diameter->toggled.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_show_diameter_toggled));
   asteroids_diameter_minimum->changed.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_diameter_minimum_changed));
   asteroids_diameter_maximum->changed.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_diameter_maximum_changed));
   asteroids_show_magnitude->toggled.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_show_magnitude_toggled));
   asteroids_limiting_magnitude->changed.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_limiting_magnitude_changed));
   asteroids_show_position->toggled.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_show_position_toggled));
   asteroids_position_arc_minutes->changed.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_position_arc_minutes_changed));
   asteroids_position_ra_hours->changed.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_position_ra_hours_changed));
   asteroids_position_ra_arcminutes->changed.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_position_ra_arcminutes_changed));
   asteroids_position_ra_arcseconds->changed.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_position_ra_arcseconds_changed));
   asteroids_position_dec_degrees->changed.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_position_dec_degrees_changed));
   asteroids_position_dec_arcminutes->changed.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_position_dec_arcminutes_changed));
   asteroids_position_dec_arcseconds->changed.connect(SigC::slot(static_cast<class asteroid_settings*>(this), &asteroid_settings::on_asteroids_position_dec_arcseconds_changed));
}

asteroid_settings_glade::~asteroid_settings_glade()
{   
}

comets_settings_glade::comets_settings_glade(
)
{   
   
   Gtk::VBox *comets_settings = this;
   Gtk::RadioButton::Group _RadioBGroup_;
   Gtk::RadioButton *comets_show_all = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Show All")));
   Gtk::RadioButton *comets_show_selection = manage(new class Gtk::RadioButton(_RadioBGroup_, _("Show Selection")));
   Gtk::HBox *hbox28 = manage(new class Gtk::HBox(false, 0));
   Gtk::CheckButton *comets_show_diameter = manage(new class Gtk::CheckButton(_("Show - Semi-major diameter")));
   Gtk::Adjustment *comets_diameter_miniumu_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *comets_diameter_miniumu = manage(new class Gtk::SpinButton(*comets_diameter_miniumu_adj, 1, 2));
   Gtk::Label *label103 = manage(new class Gtk::Label(_("and")));
   Gtk::Adjustment *comets_diameter_maximum_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *comets_diameter_maximum = manage(new class Gtk::SpinButton(*comets_diameter_maximum_adj, 1, 2));
   Gtk::Label *label104 = manage(new class Gtk::Label(_("A.U.")));
   Gtk::HBox *hbox29 = manage(new class Gtk::HBox(false, 0));
   Gtk::CheckButton *comets_show_magnitude = manage(new class Gtk::CheckButton(_("Show - Limiting Magnitude")));
   Gtk::Adjustment *comets_limiting_magnitude_adj = manage(new class Gtk::Adjustment(10, -5, 100, 1, 10, 10));
   Gtk::SpinButton *comets_limiting_magnitude = manage(new class Gtk::SpinButton(*comets_limiting_magnitude_adj, 1, 2));
   Gtk::HBox *hbox30 = manage(new class Gtk::HBox(false, 0));
   Gtk::CheckButton *comets_show_position = manage(new class Gtk::CheckButton(_("Show - Position within")));
   Gtk::Adjustment *comets_position_arc_minutes_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   Gtk::SpinButton *comets_position_arc_minutes = manage(new class Gtk::SpinButton(*comets_position_arc_minutes_adj, 1, 3));
   Gtk::Label *label105 = manage(new class Gtk::Label(_("arcminutes of")));
   Gtk::Adjustment *comets_position_ra_hours_adj = manage(new class Gtk::Adjustment(0, -90, 90, 1, 10, 10));
   Gtk::SpinButton *comets_position_ra_hours = manage(new class Gtk::SpinButton(*comets_position_ra_hours_adj, 1, 0));
   Gtk::Label *label106 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *comets_position_ra_arcminutes_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *comets_position_ra_arcminutes = manage(new class Gtk::SpinButton(*comets_position_ra_arcminutes_adj, 1, 0));
   Gtk::Label *label107 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *comets_position_ra_arcseconds_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *comets_position_ra_arcseconds = manage(new class Gtk::SpinButton(*comets_position_ra_arcseconds_adj, 1, 0));
   Gtk::HBox *hbox31 = manage(new class Gtk::HBox(false, 0));
   Gtk::Adjustment *comets_position_dec_degrees_adj = manage(new class Gtk::Adjustment(0, -90, 90, 1, 10, 10));
   Gtk::SpinButton *comets_position_dec_degrees = manage(new class Gtk::SpinButton(*comets_position_dec_degrees_adj, 1, 0));
   Gtk::Label *label108 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *comets_position_dec_arcminutes_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *comets_position_dec_arcminutes = manage(new class Gtk::SpinButton(*comets_position_dec_arcminutes_adj, 1, 0));
   Gtk::Label *label109 = manage(new class Gtk::Label(_(" : ")));
   Gtk::Adjustment *comets_position_dec_arcseconds_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   Gtk::SpinButton *comets_position_dec_arcseconds = manage(new class Gtk::SpinButton(*comets_position_dec_arcseconds_adj, 1, 0));
   Gtk::HBox *hbox32 = manage(new class Gtk::HBox(false, 0));
   Gtk::Label *label110 = manage(new class Gtk::Label(_("R.A.")));
   Gtk::Label *label111 = manage(new class Gtk::Label(_("Declination")));
   Gtk::Table *table31 = manage(new class Gtk::Table(2, 5, false));
   comets_show_all->set_name("comets_show_all");
   comets_show_selection->set_name("comets_show_selection");
   hbox28->set_name("hbox28");
   hbox28->set_border_width(2);
   hbox28->pack_start(*comets_show_all, false, false, 0);
   hbox28->pack_start(*comets_show_selection, false, false, 0);
   comets_show_diameter->set_usize(190, -1);
   comets_show_diameter->set_name("comets_show_diameter");
   comets_diameter_miniumu->set_usize(55, -1);
   comets_diameter_miniumu->set_name("comets_diameter_miniumu");
   comets_diameter_miniumu->set_editable(true);
   comets_diameter_miniumu->set_numeric(true);
   comets_diameter_miniumu->set_digits(2);
   label103->set_name("label103");
   label103->set_alignment(0.5, 0.5);
   label103->set_padding(0, 0);
   comets_diameter_maximum->set_usize(55, -1);
   comets_diameter_maximum->set_name("comets_diameter_maximum");
   comets_diameter_maximum->set_editable(true);
   comets_diameter_maximum->set_numeric(true);
   comets_diameter_maximum->set_digits(2);
   label104->set_name("label104");
   label104->set_alignment(0.5, 0.5);
   label104->set_padding(0, 0);
   hbox29->set_name("hbox29");
   hbox29->set_border_width(2);
   hbox29->pack_start(*comets_show_diameter, false, true, 0);
   hbox29->pack_start(*comets_diameter_miniumu, false, true, 0);
   hbox29->pack_start(*label103, false, false, 0);
   hbox29->pack_start(*comets_diameter_maximum, false, true, 0);
   hbox29->pack_start(*label104, false, false, 0);
   comets_show_magnitude->set_usize(190, -1);
   comets_show_magnitude->set_name("comets_show_magnitude");
   comets_limiting_magnitude->set_usize(55, -1);
   comets_limiting_magnitude->set_name("comets_limiting_magnitude");
   comets_limiting_magnitude->set_editable(true);
   comets_limiting_magnitude->set_numeric(true);
   comets_limiting_magnitude->set_digits(2);
   hbox30->set_name("hbox30");
   hbox30->set_border_width(2);
   hbox30->pack_start(*comets_show_magnitude, false, true, 0);
   hbox30->pack_start(*comets_limiting_magnitude, false, true, 0);
   comets_show_position->set_name("comets_show_position");
   comets_position_arc_minutes->set_usize(55, -1);
   comets_position_arc_minutes->set_name("comets_position_arc_minutes");
   comets_position_arc_minutes->set_editable(true);
   comets_position_arc_minutes->set_numeric(true);
   comets_position_arc_minutes->set_digits(3);
   label105->set_name("label105");
   label105->set_alignment(0.5, 0.5);
   label105->set_padding(0, 0);
   comets_position_ra_hours->set_name("comets_position_ra_hours");
   comets_position_ra_hours->set_editable(true);
   comets_position_ra_hours->set_numeric(true);
   label106->set_name("label106");
   label106->set_alignment(0.5, 0.5);
   label106->set_padding(0, 0);
   comets_position_ra_arcminutes->set_name("comets_position_ra_arcminutes");
   comets_position_ra_arcminutes->set_editable(true);
   comets_position_ra_arcminutes->set_numeric(true);
   label107->set_name("label107");
   label107->set_alignment(0.5, 0.5);
   label107->set_padding(0, 0);
   comets_position_ra_arcseconds->set_name("comets_position_ra_arcseconds");
   comets_position_ra_arcseconds->set_editable(true);
   comets_position_ra_arcseconds->set_numeric(true);
   hbox31->set_name("hbox31");
   hbox31->pack_start(*comets_position_ra_hours);
   hbox31->pack_start(*label106, false, false, 0);
   hbox31->pack_start(*comets_position_ra_arcminutes);
   hbox31->pack_start(*label107, false, false, 0);
   hbox31->pack_start(*comets_position_ra_arcseconds);
   comets_position_dec_degrees->set_name("comets_position_dec_degrees");
   comets_position_dec_degrees->set_editable(true);
   comets_position_dec_degrees->set_numeric(true);
   label108->set_name("label108");
   label108->set_alignment(0.5, 0.5);
   label108->set_padding(0, 0);
   comets_position_dec_arcminutes->set_name("comets_position_dec_arcminutes");
   comets_position_dec_arcminutes->set_editable(true);
   comets_position_dec_arcminutes->set_numeric(true);
   label109->set_name("label109");
   label109->set_alignment(0.5, 0.5);
   label109->set_padding(0, 0);
   comets_position_dec_arcseconds->set_name("comets_position_dec_arcseconds");
   comets_position_dec_arcseconds->set_editable(true);
   comets_position_dec_arcseconds->set_numeric(true);
   hbox32->set_name("hbox32");
   hbox32->pack_start(*comets_position_dec_degrees);
   hbox32->pack_start(*label108, false, false, 0);
   hbox32->pack_start(*comets_position_dec_arcminutes);
   hbox32->pack_start(*label109, false, false, 0);
   hbox32->pack_start(*comets_position_dec_arcseconds);
   label110->set_name("label110");
   label110->set_alignment(0.5, 0.5);
   label110->set_padding(0, 0);
   label111->set_name("label111");
   label111->set_alignment(0.5, 0.5);
   label111->set_padding(0, 0);
   table31->set_name("table31");
   table31->set_border_width(2);
   table31->set_row_spacings(2);
   table31->set_col_spacings(2);
   table31->attach(*comets_show_position, 0, 1, 0, 1, 0, 0, 0, 0);
   table31->attach(*comets_position_arc_minutes, 1, 2, 0, 1, 0, 0, 0, 0);
   table31->attach(*label105, 2, 3, 0, 1, 0, 0, 0, 0);
   table31->attach(*hbox31, 4, 5, 0, 1, GTK_EXPAND|GTK_FILL, GTK_FILL, 0, 0);
   table31->attach(*hbox32, 4, 5, 1, 2, GTK_FILL, GTK_EXPAND|GTK_FILL, 0, 0);
   table31->attach(*label110, 3, 4, 0, 1, 0, 0, 0, 0);
   table31->attach(*label111, 3, 4, 1, 2, 0, 0, 0, 0);
   comets_settings->set_name("comets_settings");
   comets_settings->set_border_width(2);
   comets_settings->pack_start(*hbox28);
   comets_settings->pack_start(*hbox29);
   comets_settings->pack_start(*hbox30);
   comets_settings->pack_start(*table31);
   comets_show_all->show();
   comets_show_selection->show();
   hbox28->show();
   comets_show_diameter->show();
   comets_diameter_miniumu->show();
   label103->show();
   comets_diameter_maximum->show();
   label104->show();
   hbox29->show();
   comets_show_magnitude->show();
   comets_limiting_magnitude->show();
   hbox30->show();
   comets_show_position->show();
   comets_position_arc_minutes->show();
   label105->show();
   comets_position_ra_hours->show();
   label106->show();
   comets_position_ra_arcminutes->show();
   label107->show();
   comets_position_ra_arcseconds->show();
   hbox31->show();
   comets_position_dec_degrees->show();
   label108->show();
   comets_position_dec_arcminutes->show();
   label109->show();
   comets_position_dec_arcseconds->show();
   hbox32->show();
   label110->show();
   label111->show();
   table31->show();
   comets_settings->show();
   comets_show_all->toggled.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_show_all_toggled));
   comets_show_selection->toggled.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_show_selection_toggled));
   comets_show_diameter->toggled.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_show_diameter_toggled));
   comets_diameter_miniumu->changed.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_diameter_miniumu_changed));
   comets_diameter_maximum->changed.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_diameter_maximum_changed));
   comets_show_magnitude->toggled.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_show_magnitude_toggled));
   comets_limiting_magnitude->changed.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_limiting_magnitude_changed));
   comets_show_position->toggled.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_show_position_toggled));
   comets_position_arc_minutes->changed.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_position_arc_minutes_changed));
   comets_position_ra_hours->changed.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_position_ra_hours_changed));
   comets_position_ra_arcminutes->changed.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_position_ra_arcminutes_changed));
   comets_position_ra_arcseconds->changed.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_position_ra_arcseconds_changed));
   comets_position_dec_degrees->changed.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_position_dec_degrees_changed));
   comets_position_dec_arcminutes->changed.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_position_dec_arcminutes_changed));
   comets_position_dec_arcseconds->changed.connect(SigC::slot(static_cast<class comets_settings*>(this), &comets_settings::on_comets_position_dec_arcseconds_changed));
}

comets_settings_glade::~comets_settings_glade()
{   
}

earth_moon_settings_glade::earth_moon_settings_glade(
)
{   
   
   Gtk::VBox *earth_moon_settings = this;
   Gtk::CheckButton *earth_show_iss = manage(new class Gtk::CheckButton(_("ISS")));
   Gtk::CheckButton *earth_show_satellites = manage(new class Gtk::CheckButton(_("Artificial Satellites")));
   Gtk::CheckButton *earth_iss_trail = manage(new class Gtk::CheckButton(_("ISS Trail")));
   Gtk::CheckButton *earth_satellites_trail = manage(new class Gtk::CheckButton(_("A. Satellites Trail")));
   Gtk::Table *table11 = manage(new class Gtk::Table(1, 4, true));
   Gtk::Frame *frame85 = manage(new class Gtk::Frame(_("Earth")));
   Gtk::CheckButton *moon_high_precision = manage(new class Gtk::CheckButton(_("High Precision")));
   Gtk::CheckButton *moon_phase = manage(new class Gtk::CheckButton(_("Phase")));
   Gtk::CheckButton *moon_show = manage(new class Gtk::CheckButton(_("Moon")));
   Gtk::CheckButton *moon_outline = manage(new class Gtk::CheckButton(_("Outline")));
   Gtk::CheckButton *moon_detail = manage(new class Gtk::CheckButton(_("Detail")));
   Gtk::Table *table71 = manage(new class Gtk::Table(2, 4, true));
   Gtk::Frame *frame86 = manage(new class Gtk::Frame(_("Moon")));
   earth_show_iss->set_name("earth_show_iss");
   earth_show_satellites->set_name("earth_show_satellites");
   earth_iss_trail->set_name("earth_iss_trail");
   earth_satellites_trail->set_name("earth_satellites_trail");
   table11->set_name("table11");
   table11->set_border_width(2);
   table11->set_row_spacings(2);
   table11->set_col_spacings(2);
   table11->attach(*earth_show_iss, 0, 1, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table11->attach(*earth_show_satellites, 2, 3, 0, 1, GTK_FILL, 0, 0, 0);
   table11->attach(*earth_iss_trail, 1, 2, 0, 1, GTK_FILL, 0, 0, 0);
   table11->attach(*earth_satellites_trail, 3, 4, 0, 1, GTK_FILL, 0, 0, 0);
   frame85->set_name("frame85");
   frame85->set_border_width(5);
   frame85->set_label_align(0, 0);
   frame85->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame85->add(*table11);
   moon_high_precision->set_name("moon_high_precision");
   moon_phase->set_name("moon_phase");
   moon_show->set_name("moon_show");
   moon_outline->set_name("moon_outline");
   moon_detail->set_name("moon_detail");
   table71->set_name("table71");
   table71->set_border_width(2);
   table71->set_row_spacings(2);
   table71->set_col_spacings(2);
   table71->attach(*moon_high_precision, 3, 4, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table71->attach(*moon_phase, 1, 2, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table71->attach(*moon_show, 0, 1, 0, 1, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table71->attach(*moon_outline, 0, 1, 1, 2, GTK_EXPAND|GTK_FILL, 0, 0, 0);
   table71->attach(*moon_detail, 2, 3, 0, 1, GTK_FILL, 0, 0, 0);
   frame86->set_name("frame86");
   frame86->set_border_width(5);
   frame86->set_label_align(0, 0);
   frame86->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame86->add(*table71);
   earth_moon_settings->set_name("earth_moon_settings");
   earth_moon_settings->pack_start(*frame85);
   earth_moon_settings->pack_start(*frame86);
   earth_show_iss->show();
   earth_show_satellites->show();
   earth_iss_trail->show();
   earth_satellites_trail->show();
   table11->show();
   frame85->show();
   moon_high_precision->show();
   moon_phase->show();
   moon_show->show();
   moon_outline->show();
   moon_detail->show();
   table71->show();
   frame86->show();
   earth_moon_settings->show();
   earth_show_iss->toggled.connect(SigC::slot(static_cast<class earth_moon_settings*>(this), &earth_moon_settings::on_earth_show_iss_toggled));
   earth_show_satellites->toggled.connect(SigC::slot(static_cast<class earth_moon_settings*>(this), &earth_moon_settings::on_earth_show_satellites_toggled));
   earth_iss_trail->toggled.connect(SigC::slot(static_cast<class earth_moon_settings*>(this), &earth_moon_settings::on_earth_iss_trail_toggled));
   earth_satellites_trail->toggled.connect(SigC::slot(static_cast<class earth_moon_settings*>(this), &earth_moon_settings::on_earth_satellites_trail_toggled));
   moon_high_precision->toggled.connect(SigC::slot(static_cast<class earth_moon_settings*>(this), &earth_moon_settings::on_moon_high_precision_toggled));
   moon_phase->toggled.connect(SigC::slot(static_cast<class earth_moon_settings*>(this), &earth_moon_settings::on_moon_phase_toggled));
   moon_show->toggled.connect(SigC::slot(static_cast<class earth_moon_settings*>(this), &earth_moon_settings::on_moon_show_toggled));
   moon_outline->toggled.connect(SigC::slot(static_cast<class earth_moon_settings*>(this), &earth_moon_settings::on_moon_outline_toggled));
   moon_detail->toggled.connect(SigC::slot(static_cast<class earth_moon_settings*>(this), &earth_moon_settings::on_moon_detail_toggled));
}

earth_moon_settings_glade::~earth_moon_settings_glade()
{   
}
