// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include "virtual_sky_druid.hh"
#include "virtual_sky_info.hh"
#include <gnome--/dialog.h>

void virtual_sky_druid::on_vsky_druid_cancel()
{  
	cause_close(); 
}

void virtual_sky_druid::on_vsky_druid_finish()
{  
	cause_close();
	m_info->set_finished(true); 
}

void virtual_sky_druid::set_vsky_info(virtual_sky_info * info)
{
	m_info = info;
	vsky_druid_page_time->set_vsky_info(info);
	vsky_druid_page_observatory->set_vsky_info (info);
}

void vsky_page_time::set_vsky_info(virtual_sky_info * info)
{
	m_info = info;
}

void vsky_page_observatory::set_vsky_info(virtual_sky_info * info)
{
	m_info = info;
}


bool vsky_page_start::on_vsky_page_start_next()
{   
	return false;
}

void vsky_page_observatory::on_vsky_name_changed()
{  
	m_info->set_name(vsky_name->get_text());	 
}

void vsky_page_observatory::on_location_latitude_degrees_spin_changed()
{   
}

void vsky_page_observatory::on_location_latitude_arcmin_spin_changed()
{   
}

void vsky_page_observatory::on_location_latitude_arcsec_spin_changed()
{   
}

void vsky_page_observatory::on_location_longitude_degrees_spin_changed()
{   
}

void vsky_page_observatory::on_location_longitude_arcmin_spin_changed()
{   
}

void vsky_page_observatory::on_location_longitude_arcsec_spin_changed()
{   
}

void vsky_page_observatory::on_combo_locus_changed()
{   
}

void vsky_page_observatory::on_location_elevation_spin_changed()
{   
}

void vsky_page_observatory::on_vsky_temp_changed()
{   
}

void vsky_page_observatory::on_vsky_pressure_changed()
{   
}

bool vsky_page_observatory::on_vsky_page_observatory_next()
{   
	return false;
}

bool vsky_page_observatory::on_vsky_page_observatory_back()
{   
	return false;
}

void vsky_page_time::on_date_time_local_date_date_changed()
{   
}

void vsky_page_time::on_date_time_local_hours_spin_changed()
{   
}

void vsky_page_time::on_date_time_local_minutes_spin_changed()
{   
}

void vsky_page_time::on_date_time_local_seconds_spin_changed()
{   
}

void vsky_page_time::on_date_time_julian_changed()
{   
}

void vsky_page_time::on_vsky_now_clicked()
{   
}

void vsky_page_time::on_time_zone_entry_changed()
{   
}

void vsky_page_time::on_dat_time_epoch_spin_changed()
{   
}

bool vsky_page_time::on_vsky_page_time_next()
{   
	return false;
}

bool vsky_page_time::on_vsky_page_time_back()
{   
	return false;
}


void vsky_page_finish::on_vsky_page_finish_finish()
{
 
}


