// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#ifndef _VIRTUAL_SKY_DRUID_HH
#  include "virtual_sky_druid_glade.hh"
#  define _VIRTUAL_SKY_DRUID_HH

#include "virtual_sky_info.hh"

class virtual_sky_druid : public virtual_sky_druid_glade
{   
        
        friend class virtual_sky_druid_glade;
        void on_vsky_druid_cancel();
	void on_vsky_druid_finish();
	
	
	public:
		void set_vsky_info (virtual_sky_info * info);
};

class vsky_page_start : public vsky_page_start_glade
{   
        
        friend class vsky_page_start_glade;
        bool on_vsky_page_start_next();
};

class vsky_page_observatory : public vsky_page_observatory_glade
{   
        
        friend class vsky_page_observatory_glade;
        void on_vsky_name_changed();
        void on_location_latitude_degrees_spin_changed();
        void on_location_latitude_arcmin_spin_changed();
        void on_location_latitude_arcsec_spin_changed();
        void on_location_longitude_degrees_spin_changed();
        void on_location_longitude_arcmin_spin_changed();
        void on_location_longitude_arcsec_spin_changed();
        void on_combo_locus_changed();
        void on_location_elevation_spin_changed();
        void on_vsky_temp_changed();
        void on_vsky_pressure_changed();
        bool on_vsky_page_observatory_next();
        bool on_vsky_page_observatory_back();
	
	public:
		void set_vsky_info (virtual_sky_info * info);

};

class vsky_page_time : public vsky_page_time_glade
{   
        
        friend class vsky_page_time_glade;
        void on_date_time_local_date_date_changed();
        void on_date_time_local_hours_spin_changed();
        void on_date_time_local_minutes_spin_changed();
        void on_date_time_local_seconds_spin_changed();
        void on_date_time_julian_changed();
        void on_vsky_now_clicked();
        void on_time_zone_entry_changed();
        void on_dat_time_epoch_spin_changed();
        bool on_vsky_page_time_next();
        bool on_vsky_page_time_back();
	
	public:
		void set_vsky_info (virtual_sky_info * info);

};

class vsky_page_finish : public vsky_page_finish_glade
{   
        
        friend class vsky_page_finish_glade;
        void on_vsky_page_finish_finish();
};
#endif
