// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#include "config.h"
#include <libgnome/libgnome.h>
#include "virtual_sky_druid.hh"
#include <gnome--/druid.h>
#include <gnome--/dialog.h>
#include <gtk--/box.h>
#include <vector>
#include <string>

virtual_sky_druid_glade::virtual_sky_druid_glade(
) : Gnome::Dialog()
{   
   
   Gnome::Dialog *virtual_sky_druid = this;
   vsky_page_start *vsky_page_start = manage(new class vsky_page_start());
   vsky_druid_page_observatory = manage(new class vsky_page_observatory());
   vsky_druid_page_time = manage(new class vsky_page_time());
   vsky_page_finish *vsky_page_finish = manage(new class vsky_page_finish());
   Gnome::Druid *vsky_druid = manage(new class Gnome::Druid());
   vsky_druid->set_usize(-1, -1);
   vsky_druid->set_name("vsky_druid");
   vsky_druid->pages().push_back(*vsky_page_start);
   vsky_druid->pages().push_back(*vsky_druid_page_observatory);
   vsky_druid->pages().push_back(*vsky_druid_page_time);
   vsky_druid->pages().push_back(*vsky_page_finish);
   virtual_sky_druid->set_usize(-1, -1);
   virtual_sky_druid->set_name("virtual_sky_druid");
   virtual_sky_druid->set_title(_("Virtual Sky Druid"));
   virtual_sky_druid->get_vbox()->pack_start(*vsky_druid);
   vsky_druid->show();
   virtual_sky_druid->show();
   vsky_druid->cancel.connect(SigC::slot(static_cast<class virtual_sky_druid*>(this), &virtual_sky_druid::on_vsky_druid_cancel));
   vsky_page_finish->finish.connect(SigC::slot(static_cast<class virtual_sky_druid*>(this), &virtual_sky_druid::on_vsky_druid_finish));
}

virtual_sky_druid_glade::~virtual_sky_druid_glade()
{   
}

vsky_page_start_glade::vsky_page_start_glade(
)
{   
   
   Gnome::DruidPageStart *vsky_page_start = this;
   vsky_page_start->set_name("vsky_page_start");
   vsky_page_start->set_border_width(1);
   vsky_page_start->set_title_color(Gdk_Color("#ffffff"));
   vsky_page_start->set_bg_color(Gdk_Color("#191970"));
   vsky_page_start->set_logo_bg_color(Gdk_Color("#ffffff"));
   vsky_page_start->set_title(_("Virtual Sky Druid"));
   vsky_page_start->set_text_color(Gdk_Color("#000000"));
   vsky_page_start->set_textbox_color(Gdk_Color("#ffffff"));
   vsky_page_start->set_text(_("This druid will allow you to set up a virtual\n"
		"sky for your observatory. "));
   vsky_page_start->show();
}

vsky_page_start_glade::~vsky_page_start_glade()
{   
}


vsky_page_observatory_glade::vsky_page_observatory_glade(
)
{   
   
   Gnome::DruidPageStandard *vsky_page_observatory = this;
   label462 = manage(new class Gtk::Label(_("Name")));
   vsky_name = manage(new class Gtk::Entry());
   hbox105 = manage(new class Gtk::HBox(false, 0));
   frame81 = manage(new class Gtk::Frame(_("Name")));
   vsky_lat_deg_adj = manage(new class Gtk::Adjustment(50, -90, 90, 1, 10, 10));
   vsky_lat_deg = manage(new class Gtk::SpinButton(*vsky_lat_deg_adj, 1, 0));
   label380 = manage(new class Gtk::Label(_(" : ")));
   vsky_lat_mins_adj = manage(new class Gtk::Adjustment(30, 0, 59, 1, 10, 10));
   vsky_lat_mins = manage(new class Gtk::SpinButton(*vsky_lat_mins_adj, 1, 0));
   label381 = manage(new class Gtk::Label(_(" : ")));
   vsky_lat_secs_adj = manage(new class Gtk::Adjustment(30, 0, 59.9, 1, 10, 10));
   vsky_lat_secs = manage(new class Gtk::SpinButton(*vsky_lat_secs_adj, 1, 1));
   hbox89 = manage(new class Gtk::HBox(false, 0));
   vsky_long_hours_adj = manage(new class Gtk::Adjustment(0, 0, 359, 1, 10, 10));
   vsky_long_hours = manage(new class Gtk::SpinButton(*vsky_long_hours_adj, 1, 0));
   label382 = manage(new class Gtk::Label(_(" : ")));
   vsky_long_mins_adj = manage(new class Gtk::Adjustment(50, 0, 59, 1, 10, 10));
   vsky_long_mins = manage(new class Gtk::SpinButton(*vsky_long_mins_adj, 1, 0));
   label383 = manage(new class Gtk::Label(_(" : ")));
   vsky_long_secs_adj = manage(new class Gtk::Adjustment(1, 0, 59.9, 1, 10, 10));
   vsky_long_secs = manage(new class Gtk::SpinButton(*vsky_long_secs_adj, 1, 1));
   hbox90 = manage(new class Gtk::HBox(false, 0));
   vsky_location = manage(new class Gtk::Combo());
   label384 = manage(new class Gtk::Label(_("Longitude (deg:mm:ss)")));
   label385 = manage(new class Gtk::Label(_("Latitude (deg:mm:ss)")));
   label386 = manage(new class Gtk::Label(_("Locus")));
   label387 = manage(new class Gtk::Label(_("Elevation (m)")));
   vsky_elevation_adj = manage(new class Gtk::Adjustment(0, -500, 20000, 1, 10, 10));
   vsky_elevation = manage(new class Gtk::SpinButton(*vsky_elevation_adj, 1, 0));
   table58 = manage(new class Gtk::Table(4, 2, true));
   frame77 = manage(new class Gtk::Frame(_("Location")));
   label460 = manage(new class Gtk::Label(_("Temperature (C)")));
   label461 = manage(new class Gtk::Label(_("Atm Pressure (mB)")));
   vsky_temp_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   vsky_temp = manage(new class Gtk::SpinButton(*vsky_temp_adj, 1, 0));
   vsky_pressure_adj = manage(new class Gtk::Adjustment(1, 0, 100, 1, 10, 10));
   vsky_pressure = manage(new class Gtk::SpinButton(*vsky_pressure_adj, 1, 0));
   table68 = manage(new class Gtk::Table(2, 2, true));
   frame78 = manage(new class Gtk::Frame(_("Atmospheric Conditions")));
   vbox63 = manage(new class Gtk::VBox(false, 0));
   label462->set_name("label462");
   label462->set_alignment(0.5, 0.5);
   label462->set_padding(63, 0);
   vsky_name->set_name("vsky_name");
   vsky_name->set_editable(true);
   hbox105->set_name("hbox105");
   hbox105->pack_start(*label462, false, false, 0);
   hbox105->pack_start(*vsky_name, false, false, 0);
   frame81->set_name("frame81");
   frame81->set_border_width(5);
   frame81->set_label_align(0, 0);
   frame81->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame81->add(*hbox105);
   vsky_lat_deg->set_name("vsky_lat_deg");
   vsky_lat_deg->set_editable(true);
   vsky_lat_deg->set_numeric(true);
   label380->set_name("label380");
   label380->set_alignment(0.5, 0.5);
   label380->set_padding(0, 0);
   vsky_lat_mins->set_name("vsky_lat_mins");
   vsky_lat_mins->set_editable(true);
   vsky_lat_mins->set_numeric(true);
   label381->set_name("label381");
   label381->set_alignment(0.5, 0.5);
   label381->set_padding(0, 0);
   vsky_lat_secs->set_name("vsky_lat_secs");
   vsky_lat_secs->set_editable(true);
   vsky_lat_secs->set_numeric(true);
   vsky_lat_secs->set_digits(1);
   hbox89->set_name("hbox89");
   hbox89->pack_start(*vsky_lat_deg);
   hbox89->pack_start(*label380, false, false, 0);
   hbox89->pack_start(*vsky_lat_mins);
   hbox89->pack_start(*label381, false, false, 0);
   hbox89->pack_start(*vsky_lat_secs);
   vsky_long_hours->set_name("vsky_long_hours");
   vsky_long_hours->set_editable(true);
   vsky_long_hours->set_numeric(true);
   label382->set_name("label382");
   label382->set_alignment(0.5, 0.5);
   label382->set_padding(0, 0);
   vsky_long_mins->set_name("vsky_long_mins");
   vsky_long_mins->set_editable(true);
   vsky_long_mins->set_numeric(true);
   label383->set_name("label383");
   label383->set_alignment(0.5, 0.5);
   label383->set_padding(0, 0);
   vsky_long_secs->set_name("vsky_long_secs");
   vsky_long_secs->set_editable(true);
   vsky_long_secs->set_numeric(true);
   vsky_long_secs->set_digits(1);
   hbox90->set_name("hbox90");
   hbox90->pack_start(*vsky_long_hours);
   hbox90->pack_start(*label382, false, false, 0);
   hbox90->pack_start(*vsky_long_mins);
   hbox90->pack_start(*label383, false, false, 0);
   hbox90->pack_start(*vsky_long_secs);
   vsky_location->get_entry()->set_usize(86, -1);
   vsky_location->get_entry()->set_name("vsky_location_box");
   vsky_location->get_entry()->set_editable(true);
   vsky_location->get_entry()->set_text(_("Cairneyhill,Scotland"));
   vsky_location->set_name("vsky_location");
   {   
      vector <string> items;
      items.push_back (N_("Cairneyhill,Scotland"));
      items.push_back (N_("London, England"));
      items.push_back (N_("New York, USA"));
      items.push_back (N_("Location strings are needed"));
      vsky_location->set_popdown_strings(items);
   }
   vsky_location->get_entry()->set_usize(86, -1);
   vsky_location->get_entry()->set_name("vsky_location_box");
   vsky_location->get_entry()->set_editable(true);
   vsky_location->get_entry()->set_text(_("Cairneyhill,Scotland"));
   label384->set_name("label384");
   label384->set_alignment(0.5, 0.5);
   label384->set_padding(0, 0);
   label385->set_name("label385");
   label385->set_alignment(0.5, 0.5);
   label385->set_padding(0, 0);
   label386->set_name("label386");
   label386->set_alignment(0.5, 0.5);
   label386->set_padding(0, 0);
   label387->set_name("label387");
   label387->set_alignment(0.5, 0.5);
   label387->set_padding(0, 0);
   vsky_elevation->set_name("vsky_elevation");
   vsky_elevation->set_editable(true);
   vsky_elevation->set_numeric(true);
   table58->set_name("table58");
   table58->set_border_width(3);
   table58->set_row_spacings(2);
   table58->set_col_spacings(2);
   table58->attach(*hbox89, 1, 2, 1, 2, 0, 0, 0, 0);
   table58->attach(*hbox90, 1, 2, 2, 3, 0, 0, 0, 0);
   table58->attach(*vsky_location, 1, 2, 0, 1, GTK_FILL, 0, 0, 0);
   table58->attach(*label384, 0, 1, 2, 3, 0, 0, 0, 0);
   table58->attach(*label385, 0, 1, 1, 2, 0, 0, 0, 0);
   table58->attach(*label386, 0, 1, 0, 1, 0, 0, 0, 0);
   table58->attach(*label387, 0, 1, 3, 4, 0, 0, 0, 0);
   table58->attach(*vsky_elevation, 1, 2, 3, 4, GTK_FILL, 0, 0, 0);
   frame77->set_name("frame77");
   frame77->set_border_width(5);
   frame77->set_label_align(0, 0);
   frame77->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame77->add(*table58);
   label460->set_name("label460");
   label460->set_alignment(0, 0.5);
   label460->set_padding(32, 0);
   label461->set_name("label461");
   label461->set_alignment(0, 0.5);
   label461->set_padding(31, 0);
   vsky_temp->set_name("vsky_temp");
   vsky_temp->set_editable(true);
   vsky_pressure->set_name("vsky_pressure");
   vsky_pressure->set_editable(true);
   table68->set_name("table68");
   table68->set_border_width(3);
   table68->set_row_spacings(2);
   table68->set_col_spacings(2);
   table68->attach(*label460, 0, 1, 0, 1, GTK_FILL, 0, 0, 0);
   table68->attach(*label461, 0, 1, 1, 2, GTK_FILL, 0, 0, 0);
   table68->attach(*vsky_temp, 1, 2, 0, 1, GTK_SHRINK|GTK_FILL, 0, 0, 0);
   table68->attach(*vsky_pressure, 1, 2, 1, 2, GTK_FILL, 0, 0, 0);
   frame78->set_name("frame78");
   frame78->set_border_width(5);
   frame78->set_label_align(0, 0);
   frame78->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame78->add(*table68);
   vbox63->set_name("vbox63");
   vbox63->pack_start(*frame81);
   vbox63->pack_start(*frame77, false, false, 5);
   vbox63->pack_start(*frame78, false, false, 0);
   vsky_page_observatory->set_name("vsky_page_observatory");
   vsky_page_observatory->set_title_color(Gdk_Color("#ffffff"));
   vsky_page_observatory->set_bg_color(Gdk_Color("#191970"));
   vsky_page_observatory->set_logo_bg_color(Gdk_Color("#ffffff"));
   vsky_page_observatory->set_title(_("Observatory Information"));
   
   Gtk::VBox *druid_vbox20 = Gtk::wrap((GtkVBox*)GNOME_DRUID_PAGE_STANDARD(vsky_page_observatory->gtkobj())->vbox);
   druid_vbox20->set_name("druid-vbox20");
   druid_vbox20->pack_start(*vbox63);
   label462->show();
   vsky_name->show();
   hbox105->show();
   frame81->show();
   vsky_lat_deg->show();
   label380->show();
   vsky_lat_mins->show();
   label381->show();
   vsky_lat_secs->show();
   hbox89->show();
   vsky_long_hours->show();
   label382->show();
   vsky_long_mins->show();
   label383->show();
   vsky_long_secs->show();
   hbox90->show();
   vsky_location->show();
   label384->show();
   label385->show();
   label386->show();
   label387->show();
   vsky_elevation->show();
   table58->show();
   frame77->show();
   label460->show();
   label461->show();
   vsky_temp->show();
   vsky_pressure->show();
   table68->show();
   frame78->show();
   vbox63->show();
   vsky_page_observatory->show();
   vsky_name->changed.connect(SigC::slot(static_cast<class vsky_page_observatory*>(this), &vsky_page_observatory::on_vsky_name_changed));
   vsky_lat_deg->changed.connect(SigC::slot(static_cast<class vsky_page_observatory*>(this), &vsky_page_observatory::on_location_latitude_degrees_spin_changed));
   vsky_lat_mins->changed.connect(SigC::slot(static_cast<class vsky_page_observatory*>(this), &vsky_page_observatory::on_location_latitude_arcmin_spin_changed));
   vsky_lat_secs->changed.connect(SigC::slot(static_cast<class vsky_page_observatory*>(this), &vsky_page_observatory::on_location_latitude_arcsec_spin_changed));
   vsky_long_hours->changed.connect(SigC::slot(static_cast<class vsky_page_observatory*>(this), &vsky_page_observatory::on_location_longitude_degrees_spin_changed));
   vsky_long_mins->changed.connect(SigC::slot(static_cast<class vsky_page_observatory*>(this), &vsky_page_observatory::on_location_longitude_arcmin_spin_changed));
   vsky_long_secs->changed.connect(SigC::slot(static_cast<class vsky_page_observatory*>(this), &vsky_page_observatory::on_location_longitude_arcsec_spin_changed));
   vsky_location->get_entry()->changed.connect(SigC::slot(static_cast<class vsky_page_observatory*>(this), &vsky_page_observatory::on_combo_locus_changed));
   vsky_elevation->changed.connect(SigC::slot(static_cast<class vsky_page_observatory*>(this), &vsky_page_observatory::on_location_elevation_spin_changed));
   vsky_temp->changed.connect(SigC::slot(static_cast<class vsky_page_observatory*>(this), &vsky_page_observatory::on_vsky_temp_changed));
   vsky_pressure->changed.connect(SigC::slot(static_cast<class vsky_page_observatory*>(this), &vsky_page_observatory::on_vsky_pressure_changed));
  // vsky_page_observatory->next.connect(SigC::slot(static_cast<class vsky_page_observatory*>(this), &vsky_page_observatory::on_vsky_page_observatory_next));
  // vsky_page_observatory->back.connect(SigC::slot(static_cast<class vsky_page_observatory*>(this), &vsky_page_observatory::on_vsky_page_observatory_back));
}

vsky_page_observatory_glade::~vsky_page_observatory_glade()
{   
}

#include <gtk--/button.h>

vsky_page_time_glade::vsky_page_time_glade(
)
{   
   
   Gnome::DruidPageStandard *vsky_page_time = this;
   label400 = manage(new class Gtk::Label(_("Local Date")));
   vsky_local_date = manage(new class Gtk::Label("GnomeDateEdit vsky_local_date"));
   label402 = manage(new class Gtk::Label(_("Local Time")));
   vsky_local_hours_adj = manage(new class Gtk::Adjustment(0, 0, 23, 1, 10, 10));
   vsky_local_hours = manage(new class Gtk::SpinButton(*vsky_local_hours_adj, 1, 0));
   label403 = manage(new class Gtk::Label(_(" : ")));
   vsky_local_mins_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   vsky_local_mins = manage(new class Gtk::SpinButton(*vsky_local_mins_adj, 1, 0));
   label404 = manage(new class Gtk::Label(_(" : ")));
   vsky_local_secs_adj = manage(new class Gtk::Adjustment(0, 0, 59, 1, 10, 10));
   vsky_local_secs = manage(new class Gtk::SpinButton(*vsky_local_secs_adj, 1, 0));
   hbox93 = manage(new class Gtk::HBox(false, 0));
   label393 = manage(new class Gtk::Label(_("Julian")));
   vsky_julian = manage(new class Gtk::Entry());
   vsky_now = manage(new class Gtk::Button(_("Now !")));
   table61 = manage(new class Gtk::Table(4, 2, false));
   frame79 = manage(new class Gtk::Frame(_("Date and Time")));
   label463 = manage(new class Gtk::Label(_("Time Zone")));
   time_zone_combo = manage(new class Gtk::Combo());
   hbox106 = manage(new class Gtk::HBox(true, 0));
   frame82 = manage(new class Gtk::Frame(_("Time Zone")));
   label395 = manage(new class Gtk::Label(_("Epoch")));
   vsky_epoch_adj = manage(new class Gtk::Adjustment(2000, 1000, 3000, 1, 10, 10));
   vsky_epoch = manage(new class Gtk::SpinButton(*vsky_epoch_adj, 1, 1));
   table60 = manage(new class Gtk::Table(1, 2, true));
   frame80 = manage(new class Gtk::Frame(_("Epoch")));
   vbox64 = manage(new class Gtk::VBox(false, 0));
   label400->set_name("label400");
   label400->set_alignment(0.5, 0.5);
   label400->set_padding(0, 0);
   vsky_local_date->set_name("vsky_local_date");
   label402->set_name("label402");
   label402->set_alignment(0.5, 0.5);
   label402->set_padding(0, 0);
   vsky_local_hours->set_name("vsky_local_hours");
   vsky_local_hours->set_editable(true);
   vsky_local_hours->set_numeric(true);
   label403->set_name("label403");
   label403->set_alignment(0.5, 0.5);
   label403->set_padding(0, 0);
   vsky_local_mins->set_name("vsky_local_mins");
   vsky_local_mins->set_editable(true);
   vsky_local_mins->set_numeric(true);
   label404->set_name("label404");
   label404->set_alignment(0.5, 0.5);
   label404->set_padding(0, 0);
   vsky_local_secs->set_name("vsky_local_secs");
   vsky_local_secs->set_editable(true);
   vsky_local_secs->set_numeric(true);
   hbox93->set_name("hbox93");
   hbox93->pack_start(*vsky_local_hours, false, true, 0);
   hbox93->pack_start(*label403, false, false, 0);
   hbox93->pack_start(*vsky_local_mins, false, true, 0);
   hbox93->pack_start(*label404, false, false, 0);
   hbox93->pack_start(*vsky_local_secs, false, true, 0);
   label393->set_name("label393");
   label393->set_alignment(0.5, 0.5);
   label393->set_padding(35, 0);
   vsky_julian->set_name("vsky_julian");
   vsky_julian->set_editable(true);
   vsky_now->set_name("vsky_now");
   table61->set_name("table61");
   table61->set_border_width(3);
   table61->set_row_spacings(2);
   table61->set_col_spacings(2);
   table61->attach(*label400, 0, 1, 0, 1, 0, 0, 0, 0);
   table61->attach(*vsky_local_date, 1, 2, 0, 1, GTK_FILL, 0, 0, 0);
   table61->attach(*label402, 0, 1, 1, 2, 0, 0, 0, 0);
   table61->attach(*hbox93, 1, 2, 1, 2, GTK_FILL, GTK_FILL, 0, 0);
   table61->attach(*label393, 0, 1, 2, 3, GTK_FILL, 0, 0, 0);
   table61->attach(*vsky_julian, 1, 2, 2, 3, GTK_FILL, 0, 0, 0);
   table61->attach(*vsky_now, 1, 2, 3, 4, GTK_FILL, 0, 0, 0);
   frame79->set_name("frame79");
   frame79->set_border_width(5);
   frame79->set_label_align(0, 0);
   frame79->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame79->add(*table61);
   label463->set_name("label463");
   label463->set_alignment(0.5, 0.5);
   label463->set_padding(0, 0);
   time_zone_combo->get_entry()->set_name("time_zone_entry");
   time_zone_combo->get_entry()->set_editable(true);
   time_zone_combo->get_entry()->set_text(_("GMT"));
   time_zone_combo->set_name("time_zone_combo");
   {   
      vector <string> items;
      items.push_back (N_("GMT"));
      items.push_back (N_("Timezones to go here"));
      time_zone_combo->set_popdown_strings(items);
   }
   time_zone_combo->get_entry()->set_name("time_zone_entry");
   time_zone_combo->get_entry()->set_editable(true);
   time_zone_combo->get_entry()->set_text(_("GMT"));
   hbox106->set_name("hbox106");
   hbox106->pack_start(*label463, false, false, 0);
   hbox106->pack_start(*time_zone_combo);
   frame82->set_name("frame82");
   frame82->set_border_width(5);
   frame82->set_label_align(0, 0);
   frame82->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame82->add(*hbox106);
   label395->set_name("label395");
   label395->set_alignment(0.5, 0.5);
   label395->set_padding(35, 0);
   vsky_epoch->set_name("vsky_epoch");
   vsky_epoch->set_editable(true);
   vsky_epoch->set_numeric(true);
   vsky_epoch->set_digits(1);
   table60->set_name("table60");
   table60->set_border_width(3);
   table60->set_row_spacings(2);
   table60->set_col_spacings(2);
   table60->attach(*label395, 0, 1, 0, 1, 0, 0, 0, 0);
   table60->attach(*vsky_epoch, 1, 2, 0, 1, GTK_FILL, 0, 0, 0);
   frame80->set_name("frame80");
   frame80->set_border_width(5);
   frame80->set_label_align(0, 0);
   frame80->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame80->add(*table60);
   vbox64->set_name("vbox64");
   vbox64->pack_start(*frame79, false, false, 5);
   vbox64->pack_start(*frame82);
   vbox64->pack_start(*frame80, false, false, 5);
   vsky_page_time->set_name("vsky_page_time");
   vsky_page_time->set_title_color(Gdk_Color("#ffffff"));
   vsky_page_time->set_bg_color(Gdk_Color("#191970"));
   vsky_page_time->set_logo_bg_color(Gdk_Color("#ffffff"));
   vsky_page_time->set_title(_("Observation Time"));
   
   Gtk::VBox *druid_vbox21 = Gtk::wrap((GtkVBox*)GNOME_DRUID_PAGE_STANDARD(vsky_page_time->gtkobj())->vbox);
   druid_vbox21->set_name("druid-vbox21");
   druid_vbox21->set_homogeneous(true);
   druid_vbox21->pack_start(*vbox64);
   label400->show();
   vsky_local_date->show();
   label402->show();
   vsky_local_hours->show();
   label403->show();
   vsky_local_mins->show();
   label404->show();
   vsky_local_secs->show();
   hbox93->show();
   label393->show();
   vsky_julian->show();
   vsky_now->show();
   table61->show();
   frame79->show();
   label463->show();
   time_zone_combo->show();
   hbox106->show();
   frame82->show();
   label395->show();
   vsky_epoch->show();
   table60->show();
   frame80->show();
   vbox64->show();
   vsky_page_time->show();
//  vsky_local_date->date_changed.connect(SigC::slot(static_cast<class vsky_page_time*>(this), &vsky_page_time::on_date_time_local_date_date_changed));
   vsky_local_hours->changed.connect(SigC::slot(static_cast<class vsky_page_time*>(this), &vsky_page_time::on_date_time_local_hours_spin_changed));
   vsky_local_mins->changed.connect(SigC::slot(static_cast<class vsky_page_time*>(this), &vsky_page_time::on_date_time_local_minutes_spin_changed));
   vsky_local_secs->changed.connect(SigC::slot(static_cast<class vsky_page_time*>(this), &vsky_page_time::on_date_time_local_seconds_spin_changed));
   vsky_julian->changed.connect(SigC::slot(static_cast<class vsky_page_time*>(this), &vsky_page_time::on_date_time_julian_changed));
   vsky_now->clicked.connect(SigC::slot(static_cast<class vsky_page_time*>(this), &vsky_page_time::on_vsky_now_clicked));
   time_zone_combo->get_entry()->changed.connect(SigC::slot(static_cast<class vsky_page_time*>(this), &vsky_page_time::on_time_zone_entry_changed));
   vsky_epoch->changed.connect(SigC::slot(static_cast<class vsky_page_time*>(this), &vsky_page_time::on_dat_time_epoch_spin_changed));
 //  vsky_page_time->next.connect(SigC::slot(static_cast<class vsky_page_time*>(this), &vsky_page_time::on_vsky_page_time_next));
 //  vsky_page_time->back.connect(SigC::slot(static_cast<class vsky_page_time*>(this), &vsky_page_time::on_vsky_page_time_back));
}

vsky_page_time_glade::~vsky_page_time_glade()
{   
}

vsky_page_finish_glade::vsky_page_finish_glade(
)
{   
   
   Gnome::DruidPageFinish *vsky_page_finish = this;
   vsky_page_finish->set_name("vsky_page_finish");
   vsky_page_finish->set_title_color(Gdk_Color("#ffffff"));
   vsky_page_finish->set_bg_color(Gdk_Color("#191970"));
   vsky_page_finish->set_logo_bg_color(Gdk_Color("#ffffff"));
   vsky_page_finish->set_title(_("Virtual Sky Complete"));
   vsky_page_finish->set_text_color(Gdk_Color("#000000"));
   vsky_page_finish->set_textbox_color(Gdk_Color("#ffffff"));
   vsky_page_finish->set_text(_("Click finish to add the new virtual\n"
		"sky to Nova."));
   vsky_page_finish->show();
}

vsky_page_finish_glade::~vsky_page_finish_glade()
{   
}
