// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#ifndef _VIRTUAL_SKY_DRUID_GLADE_HH
#  define _VIRTUAL_SKY_DRUID_GLADE_HH

#include <gtk--/window.h>
#include <gnome--/dialog.h>
#include <gtk--/label.h>
#include <gtk--/entry.h>
#include <gtk--/box.h>
#include <gtk--/frame.h>
#include <gtk--/spinbutton.h>
#include <gtk--/adjustment.h>
#include <gtk--/combo.h>
#include <gtk--/table.h>
#include <gnome--/druid-page-standard.h>
#include <gtk--/entry.h>


#include "virtual_sky_info.hh"

class vsky_page_start;
class vsky_page_observatory;
class vsky_page_time;
class vsky_page_finish;

class virtual_sky_druid_glade : public Gnome::Dialog
{   
protected:
        
        
        virtual_sky_druid_glade();
        
        ~virtual_sky_druid_glade();
	
	virtual_sky_info * m_info;
	vsky_page_observatory *vsky_druid_page_observatory;
   	vsky_page_time *vsky_druid_page_time;

};

#include <gnome--/druid-page-start.h>

class vsky_page_start_glade : public Gnome::DruidPageStart
{   
protected:
        
        
        vsky_page_start_glade();
        
        ~vsky_page_start_glade();
};


class vsky_page_observatory_glade : public Gnome::DruidPageStandard
{   
protected:
        
        
        vsky_page_observatory_glade();
        
        ~vsky_page_observatory_glade();
	
	Gtk::Entry *vsky_name;
	Gtk::Label *label462;
	Gtk::HBox *hbox105;
	Gtk::Frame *frame81;
	Gtk::Adjustment *vsky_lat_deg_adj;
	Gtk::SpinButton *vsky_lat_deg;
	Gtk::Label *label380;
	Gtk::Adjustment *vsky_lat_mins_adj;
	Gtk::SpinButton *vsky_lat_mins;
	Gtk::Label *label381;
	Gtk::Adjustment *vsky_lat_secs_adj;
	Gtk::SpinButton *vsky_lat_secs;
	Gtk::HBox *hbox89;
	Gtk::Adjustment *vsky_long_hours_adj;
	Gtk::SpinButton *vsky_long_hours;
	Gtk::Label *label382;
	Gtk::Adjustment *vsky_long_mins_adj;
	Gtk::SpinButton *vsky_long_mins;
	Gtk::Label *label383;
	Gtk::Adjustment *vsky_long_secs_adj;
	Gtk::SpinButton *vsky_long_secs;
	Gtk::HBox *hbox90;
	Gtk::Combo *vsky_location;
	Gtk::Label *label384;
	Gtk::Label *label385;
	Gtk::Label *label386;
	Gtk::Label *label387;
	Gtk::Adjustment *vsky_elevation_adj;
	Gtk::SpinButton *vsky_elevation;
	Gtk::Table *table58;
	Gtk::Frame *frame77;
	Gtk::Label *label460;
	Gtk::Label *label461;
	Gtk::Adjustment *vsky_temp_adj;
	Gtk::SpinButton *vsky_temp;
	Gtk::Adjustment *vsky_pressure_adj;
	Gtk::SpinButton *vsky_pressure;
	Gtk::Table *table68;
	Gtk::Frame *frame78;
	Gtk::VBox *vbox63;
	
	virtual_sky_info * m_info;

};

class vsky_page_time_glade : public Gnome::DruidPageStandard
{   
protected:
        
        
        vsky_page_time_glade();
        
        ~vsky_page_time_glade();
	
	Gtk::Label *label400;
	Gtk::Label *vsky_local_date;
	Gtk::Label *label402;
	Gtk::Adjustment *vsky_local_hours_adj;
	Gtk::SpinButton *vsky_local_hours;
	Gtk::Label *label403;
	Gtk::Adjustment *vsky_local_mins_adj;
	Gtk::SpinButton *vsky_local_mins;
	Gtk::Label *label404;
	Gtk::Adjustment *vsky_local_secs_adj;
	Gtk::SpinButton *vsky_local_secs;
	Gtk::HBox *hbox93;
	Gtk::Label *label393;
	Gtk::Entry *vsky_julian;
	Gtk::Button *vsky_now;
	Gtk::Table *table61;
	Gtk::Frame *frame79;
	Gtk::Label *label463;
	Gtk::Combo *time_zone_combo;
	Gtk::HBox *hbox106;
	Gtk::Frame *frame82;
	Gtk::Label *label395;
	Gtk::Adjustment *vsky_epoch_adj;
	Gtk::SpinButton *vsky_epoch;
	Gtk::Table *table60;
	Gtk::Frame *frame80;
	Gtk::VBox *vbox64;
	

	virtual_sky_info * m_info;

};

#include <gnome--/druid-page-finish.h>

class vsky_page_finish_glade : public Gnome::DruidPageFinish
{   
protected:
        
        
        vsky_page_finish_glade();
        
        ~vsky_page_finish_glade();
};
#endif
