// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 

// Copyright 2001 Liam Girdwood  

#ifndef _VIRTUAL_SKY_PAGE_HH
#  include "virtual_sky_page_glade.hh"
#  define _VIRTUAL_SKY_PAGE_HH

#include <gnome--/canvas.h>
#include "astro_object.hh"
#include "virtual_sky_info.hh"
#include "object_cache.hh"

class virtual_sky_page : public virtual_sky_page_glade
{   
        
        friend class virtual_sky_page_glade;
        gint on_canvas_button_press_event(GdkEventButton *ev);
        gint on_canvas_button_release_event(GdkEventButton *ev);
	
	private:
		double m_xmax;
		double m_ymax;
		double m_xmin;
		double m_ymin;
		double m_pixels;
		
		Gnome::CanvasGroup * m_root;
		
		virtual_sky_info * m_info;
		
		object_cache * m_object_cache;
				
	public:
		virtual_sky_page();
		~virtual_sky_page();
		
		int update_page_standard (int object_type);
		int add_bsc_objects_to_page (astro_object * object);
		Gnome::Canvas * get_canvas ();
		double get_pixels_per_unit ();
		void set_pixels_per_unit (double r);
		double get_object_size (double mag);
		void update_grid (Gnome::Canvas * root);
		void set_vsky_info (virtual_sky_info * info);
		virtual_sky_info * get_vsky_info (void);
		
};
#endif
